perl (5.24.1-3+deb9u7) stretch; urgency=medium

  * Multiple regexp security fixes (Closes: #962005)
     + [SECURITY] CVE-2020-10543: Buffer overflow caused by a crafted
       regular expression
     + [SECURITY] CVE-2020-10878: Integer overflow via malformed bytecode
       produced by a crafted regular expression
     + [SECURITY] CVE-2020-12723: Buffer overflow caused by a crafted
       regular expression
  * Fix FTBFS with IPv6-only host (Closes: #962019)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 20 Jun 2020 18:33:46 +0100

perl (5.24.1-3+deb9u6) stretch; urgency=medium

  * Add backported Time-Local patch by Bernhard M. Wiedemann fixing test
    failures from the year 2020 onwards. Thanks to Dean Hamstead.
    (Closes: #915209)

 -- Niko Tyni <ntyni@debian.org>  Sat, 25 Jan 2020 19:54:54 +0200

perl (5.24.1-3+deb9u5) stretch-security; urgency=high

  * [SECURITY] CVE-2018-18311: Integer overflow leading to buffer
    overflow and segmentation fault
  * [SECURITY] CVE-2018-18312: Heap-buffer-overflow write in S_regatom
    (regcomp.c)
  * [SECURITY] CVE-2018-18313: Heap-buffer-overflow read in regcomp.c
  * [SECURITY] CVE-2018-18314: Heap-based buffer overflow in extended
    character classes

 -- Dominic Hargreaves <dom@earth.li>  Thu, 29 Nov 2018 11:11:57 +0000

perl (5.24.1-3+deb9u4) stretch-security; urgency=high

  * [SECURITY] CVE-2018-12015: fix directory traversal vulnerability
    in Archive-Tar (Closes: #900834)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 10 Jun 2018 18:37:28 +0100

perl (5.24.1-3+deb9u3) stretch-security; urgency=high

  * [SECURITY] CVE-2018-6797: buffer overflow related to regex
                              unicode semantics.
  * [SECURITY] CVE-2018-6798: heap buffer overflow when matching
                              malformed UTF-8 characters.
  * [SECURITY] CVE-2018-6913: heap buffer overflow with large data blocks.

 -- Niko Tyni <ntyni@debian.org>  Sat, 10 Mar 2018 20:39:49 +0200

perl (5.24.1-3+deb9u2) stretch-security; urgency=high

  * Update upstream base.pm no-dot-in-inc fix patch description.
  * [SECURITY] CVE-2017-12837: Fix a heap buffer overflow in regular
    expression compiler. (Closes: #875596)
  * [SECURITY] CVE-2017-12883: Fix a buffer over-read in regular
    expression parser.   (Closes: #875597)

 -- Niko Tyni <ntyni@debian.org>  Tue, 12 Sep 2017 19:37:26 +0300

perl (5.24.1-3+deb9u1) stretch; urgency=medium

  * Backport various Getopt-Long fixes from upstream 2.49..2.51.
    (Closes: #855532, #864544)
  * Backport upstream patch fixing regexp "Malformed UTF-8 character"
    crashes. (Closes: #864782)
  * Apply upstream base.pm no-dot-in-inc fix (from 5.24.2-RC1)
    (Closes: #867170)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 11 Jul 2017 16:27:24 +0100

perl (5.24.1-3) unstable; urgency=high

  * [CVE-2017-6512] Fix file permissions race condition in File-Path;
    patch from John Lightsey (Closes: #863870)
  * Also fix test logic in ExtUtils-MakeMaker required for the above

 -- Dominic Hargreaves <dom@earth.li>  Thu, 01 Jun 2017 16:09:52 +0100

perl (5.24.1-2) unstable; urgency=medium

  * Apply patch from upstream fixing leak in list assignment
    (Closes: #855064)
  * Clarify documentation of 'do' in the face of '.' being removed
    from @INC (Closes: #839536)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 16 Mar 2017 11:11:46 +0000

perl (5.24.1-1) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Break libexception-class-perl (<< 1.42) since this version fixes an
    @INC related vulnerability potentially exposed by the reversion of the
    base.pm changes below.
  * Remove <nocheck> profile flag for build dependency on file, as it
    is needed outside the test suite (Closes: #850296)

  [ Niko Tyni ]
  * Use https for URLs in the patchlevel list.
  * Refresh cross build support files.

  [ Dominic Hargreaves ]
  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Sun, 15 Jan 2017 23:35:20 +0000

perl (5.24.1~rc5-1) experimental; urgency=medium

  * New upstream release candidate which reverts the base.pm @INC fixes
    pending a patch which does not break legitimate use cases.

 -- Dominic Hargreaves <dom@earth.li>  Tue, 03 Jan 2017 21:22:31 +0000

perl (5.24.1~rc4-1) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Fix Vcs-Git header. Thanks to Axel Beckert (Closes: #839057)
  * Add Breaks on dh-haskell (<< 0.3) (Closes: #839018)
  * Add workaround for optimization test failure on HPPA (Closes: #838613)

  [ Niko Tyni ]
  * Import new upstream release candidate with improved @INC localizing
    in base.pm.
  * Patch Test::Builder to fix a 'used only once' warning. (Closes: #840968)
  * Sort the binary package conffile lists for reproducibility.
  * Break amanda-common versions built against perlapi-5.22. (See #843700)
  * Patch Configure to filter longdblinfbytes randomness for
    build reproducibility. (Closes: #844752)
  * Patch installman to generate man pages with UTF-8 characters.
    (Closes: #840211)

 -- Niko Tyni <ntyni@debian.org>  Sat, 26 Nov 2016 23:12:44 +0200

perl (5.24.1~rc3-3) unstable; urgency=medium

  * Reinstate perl-modules virtual package (Closes: #838855)

 -- Niko Tyni <ntyni@debian.org>  Sun, 25 Sep 2016 23:22:41 +0300

perl (5.24.1~rc3-2) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Build-Depends on netbase for hurd to fix FTBFS. The original
    reason for the conditional exclude in #89406 is no longer
    relevant (Closes: #836892)
  * Fix test failure in Hurd due to hard-coded ENOENT.
    Thanks to Pino Toscano for the fix
  * Fix symbols file for Hurd. Thanks to Pino Toscano

  [ Niko Tyni ]
  * Refresh cross build support files.

  [ Dominic Hargreaves ]
  * Activate perl-major-upgrade trigger
  * Update perlapi-* provides to be suitable for unstable
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Tue, 20 Sep 2016 12:53:37 +0100

perl (5.24.1~rc3-1) experimental; urgency=medium

  [ Dominic Hargreaves ]
  * Add Breaks for older verions of texinfo which didn't work
    with perl 5.24 (Closes: #825223)
  * Skip some POSIX uid and pid tests on GNU/Hurd. Thanks to
    Samuel Thibault for the report (Closes: #825016)
  * Fix GNU/Hurd hints (Closes: #825020)
  * Switch Vcs-Browser from gitweb to cgit and Vcs-Git to https

  [ Niko Tyni ]
  * [SECURITY] CVE-2016-6185: Make XSLoader skip relative paths not
    on @INC. (Closes: #829578)
  * Add patch from Chris Lamb making the output of ExtUtils::ParseXS
    reproducible. (Closes: #829296)
  * Import new upstream release candidate.
    + provide perlapi-5.24.0-exp1 for compatibility with test packages
  * Merge 5.22.2-5 from unstable.

 -- Niko Tyni <ntyni@debian.org>  Sat, 03 Sep 2016 14:18:56 +0300

perl (5.24.0-1) experimental; urgency=medium

  [ Niko Tyni ]
  * New upstream release.
  * Make libperl-dev depend on perl:any of the same version.
    This makes sure that versions of headers and libraries match
    while keeping cross building possible. (Closes: #823861)
  * Wrap long lines in perlbug messages. (Closes: #822463)

  [ Dominic Hargreaves ]
  * Add deprecation warning to bundled version of rename program
    (see #735134)

 -- Niko Tyni <ntyni@debian.org>  Tue, 17 May 2016 22:32:32 +0300

perl (5.24.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Niko Tyni <ntyni@debian.org>  Sat, 07 May 2016 19:32:25 +0300

perl (5.24.0~rc4-1) experimental; urgency=medium

  * Merge 5.22.2-1 from unstable
  * Apply various minor documentation improvements in dual-lived
    modules (Closes: #51962, #367291, #697567, #697568, #731505, #817925)
  * New upstream release candidate
    + documentation tweaks (Closes: #246542, #494590, #776614, #810156)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 03 May 2016 22:29:06 +0100

perl (5.24.0~rc3-2) experimental; urgency=medium

  * Fix libperl5.24.triggers permissions.
  * Update to Standards-Version 3.9.8.

 -- Niko Tyni <ntyni@debian.org>  Thu, 28 Apr 2016 10:55:17 +0300

perl (5.24.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
    + fixes Makefile.SH quoting (Closes: #754057)
    + includes Time::Piece documentation improvements
      (Closes: #762816, #796089, #782655)
  * No longer Provide perl-modules. (Closes: #822064)
  * Add symbols file for libperl5.24 (Closes: #702752)
  * Provide perlapi-5.24.0-exp1 (and set $Config{debian_abi} accordingly):
    while no further ABI changes are planned, this helps if some turn
    out to be necessary before 5.24 enters unstable.
  * Upload to experimental.

 -- Niko Tyni <ntyni@debian.org>  Wed, 27 Apr 2016 22:59:49 +0300

perl (5.22.2-5) unstable; urgency=low

  [ Dominic Hargreaves ]
  * Document in perlvar that we remove '.' from @INC by default

  [ Niko Tyni ]
  * Fix dpkg-buildflags filtering to handle slash characters.
    (Closes: #836378)
  * Break libencode-perl (<< 2.86) to make sure CVE-2016-1238 fixes are
    active. (Closes: #836138)

 -- Niko Tyni <ntyni@debian.org>  Sat, 03 Sep 2016 12:48:53 +0300

perl (5.22.2-4) unstable; urgency=low

  * Fix test failure when '.' has been removed from @INC
  * Remove '.' from @INC by default (Closes: #588017)
    + this behaviour can (for now) be disabled by commenting out the
      last line of /etc/perl/sitecustomize.pl
  * Make perllocal.pod files reproducible. Thanks to Chris Lamb
    (Closes: #834190, #835815)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 01 Sep 2016 11:47:02 +0100

perl (5.22.2-3) unstable; urgency=high

  * [SECURITY] CVE-2016-1238: opportunistic loading of optional
    modules can make many programs unintentionally load code
    from the current working directory (which might be changed to
    another directory without the user realising).
    + allow user configurable removal of "." from @INC in
      /etc/perl/sitecustomize.pl for a transitional period. (See: #588017)
    + backport patches from [perl #127834] to fix known vulnerabilities
      even if the user does not configure "." to be removed from @INC
    + backport patches from [perl #127810] to fix various classes of
      build failures in perl and CPAN modules if "." is removed from
      @INC

 -- Dominic Hargreaves <dom@earth.li>  Mon, 25 Jul 2016 16:00:43 +0100

perl (5.22.2-2) unstable; urgency=medium

  [ Niko Tyni ]
  * [SECURITY] CVE-2016-6185: Make XSLoader skip relative paths not
    on @INC. (Closes: #829578)
  * Add patch from Chris Lamb making the output of ExtUtils::ParseXS
    reproducible. (Closes: #829296)
  * Refresh cross build support files for all architectures.

  [ Dominic Hargreaves ]
  * Update wrong-path-for-interpreter override for 5.22.2, fixing
    Lintian error introduced in previous upload
  * Switch Vcs-Browser from gitweb to cgit and Vcs-Git to https

 -- Niko Tyni <ntyni@debian.org>  Thu, 07 Jul 2016 20:40:41 +0200

perl (5.22.2-1) unstable; urgency=medium

  [ Niko Tyni ]
  * Refresh cross build support files for alpha, amd64, arm64, i386
    kfreebsd-amd64, kfreebsd-i386, powerpc, ppc64el and s390x.
  * Add cross build support files for ppc64.
  * Merge 5.22.1-10 from unstable.
  * Fix libperl5.22.triggers permissions.
  * Work around t/op/stat.t problems on GNU/Hurd. (Closes: #822735)

  [ Dominic Hargreaves ]
  * New upstream release
    + update version of libmodule-corelist-perl Breaks and Replaces
      for 5.22.2
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sat, 30 Apr 2016 13:20:51 +0100

perl (5.22.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    + update versions of libmodule-corelist-perl and libfile-spec-perl
      Breaks and Replaces for 5.22.2-RC1
  * Fix a misleading cross build note in build logs. (Closes: #820633)

 -- Niko Tyni <ntyni@debian.org>  Sun, 10 Apr 2016 23:35:40 +0300

perl (5.22.1-10) unstable; urgency=medium

  * Replace libperl5.22 manual ldconfig calls with an explicit trigger.
    (Closes: #820500)
  * Only conflict with versioned (i.e. non-virtual) perl-modules packages.
    (Closes: #821161)
  * Emulate 'uname -m' output for reproducibility regardless of kernel arch.
    (Closes: #821182)
  * Add cross build support files for m68k, powerpcspe and sh4.

 -- Niko Tyni <ntyni@debian.org>  Sun, 17 Apr 2016 22:08:08 +0300

perl (5.22.1-9) unstable; urgency=medium

  * Add cross build support files for alpha, hppa, sparc64, x32, mips,
    and hurd-i386. (Closes: #816217)
  * Use the standard library from the build tree, fixing non-cross
    bootstrapping. (Closes: #817948)

 -- Niko Tyni <ntyni@debian.org>  Sun, 13 Mar 2016 13:54:18 +0200

perl (5.22.1-8) unstable; urgency=high

  * [SECURITY] CVE-2016-2381 fix duplicate environment variable taint
    checking issue

 -- Dominic Hargreaves <dom@earth.li>  Fri, 26 Feb 2016 21:59:01 +0000

perl (5.22.1-7) unstable; urgency=medium

  * small tweaks to cross support file import infrastructure
  * debian/copyright: include CC0-1.0 License for Test-Simple
  * Changes prompted by lintian:
    + debian/copyright: move license grants into Comment sections
    + Bump build dependency on dpkg-dev to 1.17.14 for build profile support
      (Closes: #813811)
    + Call ldconfig in libperl5.22 postrm script.
    + Override lintian warning about file conflict over /usr/bin/perldoc.
    + Install manual pages for perl5.22-<arch> and cpan5.22-<arch>.
    + Fix POD errors in Memoize, Encode-Unicode and ok.
  * Remove libperl-dev dependency on perl. (Closes: #813384)
    + this enables experimental support for cross building applications
      linking against libperl; see /usr/share/doc/libperl-dev/README.cross
      for more information.
  * Add cross build support files for amd64, i386, powerpc, ppc64el, armel,
    armhf, arm64, s390x, mipsel, mips64el, kfreebsd-amd64 and kfreebsd-i386.
    (Closes: #285559)
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Mon, 08 Feb 2016 22:09:56 +0200

perl (5.22.1-6) experimental; urgency=medium

  * Annotate test suite specific build dependencies with <!nocheck> for
    better build profile support.
  * Add packaging infrastructure for cross build support (#285559 et al.)
    + Configure probes still need to run on native builds; we now stash
      the results in libperl5.22 and copy them back to the source
      package. See debian/cross/README.
    + The full process is not quite established yet, and no commitment
      is made on the long term feasibility of this approach. We will
      see how it goes.
    + Uploading to experimental to bootstrap the thing: we can then
      gather the generated files from autobuilt binary packages.

 -- Niko Tyni <ntyni@debian.org>  Tue, 02 Feb 2016 19:11:23 +0200

perl (5.22.1-5) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Add Breaks entry for versions of mailagent not compatible with
    perl 5.22

  [ Niko Tyni ]
  * Make perl-modules-5.22 Conflict with perl-modules rather than Break it.
    Thanks to Adam Conrad. (Closes: #810164)
  * Fix umask in mkstemp(3) calls. (Closes: #810924)

 -- Niko Tyni <ntyni@debian.org>  Sat, 30 Jan 2016 11:41:34 +0200

perl (5.22.1-4) unstable; urgency=high

  * Add Breaks entry for versions of libsbuild-perl, maildirsync,
    and backuppc not compatible with perl 5.22
    (Closes: #808805, #809562, #810118)
  * Apply patch from Niko Tyni restoring debugperl functionality
    (Closes: #810326)
  * [SECURITY] CVE-2015-8607 fix untaint issue with File::Spec::canonpath()
    (Closes: #810719)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 11 Jan 2016 22:29:23 +0000

perl (5.22.1-3) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * psed was removed in 5.22, so remove the (broken) manpage symlink
    too (Closes: #808683)

  [ Niko Tyni ]
  * Fix an autodie scoping issue with "no autodie" and the "system" sub.
    (Closes: #808629)
    + break libautodie-perl (<< 2.29-2) to make sure it won't override the fix

 -- Niko Tyni <ntyni@debian.org>  Sat, 26 Dec 2015 09:28:43 +0200

perl (5.22.1-2) unstable; urgency=low

  * Work around a t/op/stat.t failure on GNU/kFreeBSD, possibly related
    to softupdates. Fix by Steven Chamberlain. (Closes: #796798)

 -- Niko Tyni <ntyni@debian.org>  Fri, 18 Dec 2015 14:31:00 +0200

perl (5.22.1-1) unstable; urgency=low

  * New upstream release.
  * Backport Encode::Unicode BOM fix from Encode-2.77.
    (Closes: #798727)
    + break+replace libencode-perl (<< 2.77) accordingly
  * Upload to unstable.
    + drop perlapi-5.22.0 for transition purposes

 -- Niko Tyni <ntyni@debian.org>  Wed, 16 Dec 2015 20:13:17 +0200

perl (5.22.1~rc4-2) experimental; urgency=low

  * Activate the "perl-major-upgrade" trigger in "noawait" mode.
    (Closes: #807647)

 -- Niko Tyni <ntyni@debian.org>  Fri, 11 Dec 2015 13:41:55 +0200

perl (5.22.1~rc4-1) experimental; urgency=low

  * New upstream release candidate.

 -- Niko Tyni <ntyni@debian.org>  Wed, 09 Dec 2015 18:51:28 +0200

perl (5.22.1~rc3-2) experimental; urgency=low

  * Fix a podlators test failure when building under SOURCE_DATE_EPOCH.
    (Closes: #807086)
  * Apply upstream patch to skip tests only intended for long double
    configurations, failing on big-endian architectures. (Closes: #807038)
  * Slightly patch Devel-PPPort to make its XS code reproducible
    rather than vary with system file ordering. (Closes: #801523)

 -- Niko Tyni <ntyni@debian.org>  Sat, 05 Dec 2015 11:03:44 +0200

perl (5.22.1~rc3-1) experimental; urgency=low

  * New upstream release candidate.
  * Rename the license of the Sys-Syslog syslog.h file in debian/copyright
    (Closes: #799014)
  * Backport SOURCE_DATE_EPOCH support in Pod::Man from podlators-4.00.
    (Closes: #801621)
  * Remove strcpy usage from debian/patches/debian/mod_paths.diff,
    now policed by t/porting/libperl.t

 -- Niko Tyni <ntyni@debian.org>  Fri, 04 Dec 2015 11:42:57 +0200

perl (5.22.0-4) experimental; urgency=medium

  [ Dominic Hargreaves ]
  * Move perl-debug from the debug to the devel section (Closes: #796834)

  [ gregor herrmann ]
  * Convert /usr/share/doc/libperl5.22 symlink into a directory.

  [ Niko Tyni ]
  * Remove obsolete debian/*.moduledocs references
  * Don't try to install cpan/libnet/Config.eg, it's gone with 5.22
  * Split out binary-only changelog entries (Closes: #797106)
  * Unbreak libperl5.22 binNMUs by using ${binary:Version} in shlibs.local

 -- Niko Tyni <ntyni@debian.org>  Fri, 11 Sep 2015 11:19:45 +0300

perl (5.22.0-3) experimental; urgency=medium

  * The "reproducible builds" release. (Closes: #774422)

  [ Jérémy Bobbio ]
  * Fix mtimes before building binary packages
  * Set a deterministic configuration time
  * Sort file list when generating md5sums
  * Set mtime of patchlevel.h to highest mtime of Debian patches

  [ Niko Tyni ]
  * Override $Config{osvers} and $Config{myuname} to deterministic values
  * Set the timezone to UTC when building as a workaround for #791362
  * Set LC_ALL=C for the build to ensure stable sort ordering
  * Replace __DATE__/__TIME__ usage with a deterministic time stamp

  [ Dominic Hargreaves ]
  *  Document the special case of modifying Configure in
     debian/README.Source (Closes: #762638)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 22 Aug 2015 23:40:24 +0200

perl (5.22.0-2) experimental; urgency=medium

  * Drop the ExtUtils::MakeMaker changes we've been carrying for much too long
    to keep "make install PREFIX=something" working after upstream stopped
    supporting it. (Closes: #788883)
  * Describe and rename the remaining inherited "ExtUtils hack" patch
    that makes MakeMaker honour MANnEXT settings in generated manpage
    headers. (See #247370)
  * Provide libtest-use-ok-perl and libtest-tester-perl. (Closes: #790302)
  * Make Replaces entries for dual life module packages versioned.
    (Closes: #789339)

 -- Niko Tyni <ntyni@debian.org>  Thu, 02 Jul 2015 19:56:57 +0300

perl (5.22.0-1) experimental; urgency=medium

  [ Dominic Hargreaves ]
  * New upstream release

  [ Niko Tyni ]
  * Add upstream patch to fix a 5.22 regression with 'perl -C<number>'.
    (Closes: #788636)

 -- Niko Tyni <ntyni@debian.org>  Sat, 13 Jun 2015 20:05:07 +0300

perl (5.22.0~rc2-2) experimental; urgency=medium

  * Small build system tweaks:
    + stash Config* files by copying them rather than renaming
    + remove deprecated dpkg-gencontrol -isp options
  * Restore the short version symlinks on privlib/archlib.
    (Closes: #787158)
  * Add infrastructure for cross compiling XS module packages:
    + link Config.pm to /usr/lib/<triplet>/perl/cross-config-5.22.0/
      (Closes: #717433)
    + make libperl5.22 Provide a perl-cross-config virtual package
  * Ship a cpan5.22-<arch> "binary" in the libperl5.22 package
    to compensate for the lack of packaged XS modules visible to
    embedded interpreters which don't match the version or architecture
    of /usr/bin/perl.

 -- Niko Tyni <ntyni@debian.org>  Sun, 31 May 2015 22:02:15 +0300

perl (5.22.0~rc2-1) experimental; urgency=medium

  [ Dominic Hargreaves ]
  * New upstream release candidate
    - fixes FTBFS under pbuilder with USENETWORK=no (Closes: #759799)
    - fixes UTF8 issues with $!, $@ etc. (Closes: #409704)
    - fixes fatal warnings hiding syntax errors (Closes: #663544)
    - add Getopt::Long bundling_values option (Closes: #764621)
    - libperl5.20 becomes libperl5.22
    - update Breaks/Provides/Replaces to reflect changes to
      dual-lived packages
    - activate the perl-major-upgrade trigger
  * Merge multiarch changes from Niko Tyni as detailed below

  [ Niko Tyni ]
  * Make the libperl5.22 package co-installable between different
    major versions and architectures (Closes: #495394, #786575)
    + perl-modules is renamed to perl-modules-5.22
    + the standard library is now in libperl5.22 + perl-modules-5.22
      instead of perl + perl-modules
    + perl-base has a copy of the essential parts of the standard library
      (~3M) in /usr/lib/<triplet>/perl-base
    + libperl5.22 includes a thin /usr/bin/perl5.22-<triplet>, linked
      against the shared libperl.
  * change @INC to contain the full upstream version instead of the
    short one (5.22.0 vs. 5.22) for the core paths (privlib and archlib)
  * Prefix $Config{cc}, ld, and cpp with DEB_HOST_GNU_TYPE as a step
    towards enabling multiarch and crosscompiling. While at it, explicitly
    use gcc now. (Closes: #775009)

  [ Dominic Hargreaves ]
  * Various cleanups to dependency fields
    - we no longer provide the perl5, perl5-base, and data-dumper virtual
      packages
  * Upload to experimental from the Barcelona Perl team sprint

 -- Dominic Hargreaves <dom@earth.li>  Sun, 24 May 2015 19:15:46 +0200

perl (5.20.2-6) unstable; urgency=low

  * Remove two obsolete lintian overrides.
  * Make libperl5.20 Break older perl-base versions to ensure perl-base
    is upgraded first.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Thu, 14 May 2015 13:38:21 +0300

perl (5.20.2-5) experimental; urgency=medium

  * Link /usr/bin/perl statically against libperl on all architectures.
    (Closes: #781476)
  * Relax the perl-modules -> perl-base dependency. (Closes: #784574)
  * Upload to experimental.

 -- Niko Tyni <ntyni@debian.org>  Fri, 08 May 2015 22:38:33 +0300

perl (5.20.2-4) unstable; urgency=medium

  * Make the perl debugger work with threaded programs again.
    Thanks to James McCoy. (Closes: #779357)
  * Make t/run/locale more robust against subtly broken locale settings
    common in pbuilder chroot builds. (Closes: #782068)
  * Backport upstream patches for gcc-5 compatibility. (Closes: #778060)
  * Replace a few ancient and incorrect DEB_BUILD_{GNU_TYPE,ARCH_CPU}
    occurrences with the corresponding DEB_HOST_* ones. (Closes: #782803)
  * Make perl-doc suggest groff-base instead of the full groff.
    (Closes: #206211)
  * Backport podlators patches to base the Pod::Man footer date
    on UTC instead of the local time zone. (Closes: #780259)
  * Backport podlators patch to make Pod::Man support an empty
    POD_MAN_DATE variable. (See #780259)
  * Backport podlators patch to improve error handling with standard
    input. (Closes: #777405)
  * Minor improvements to the package maintainer test framework.
    + remove the obsolete debian/check-control script

 -- Niko Tyni <ntyni@debian.org>  Sun, 26 Apr 2015 13:00:50 +0300

perl (5.20.2-3) unstable; urgency=medium

  * Improve the error message when a path is inaccessible during
    module loading (Closes: #781120)
  * Add more Breaks: entries for various packages which could be affected
    by the perl-modules dependency change (see #777597)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 29 Mar 2015 15:20:48 +0100

perl (5.20.2-2) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Make perl-modules Recommend perl

  [ Niko Tyni ]
  * Fix the Broken libfile-spec-perl versions.
  * Backport upstream fix for a regexp performance regression
    from 5.14. (Closes: #777556)
  * Make perl-modules Break older versions of perl. (Closes: #779433)
  * Make perl-modules Depend on a matching perl-base. (Closes: #779455)

 -- Niko Tyni <ntyni@debian.org>  Sun, 01 Mar 2015 19:58:59 +0200

perl (5.20.2-1) unstable; urgency=medium

  * New upstream release
  * Update Breaks versions for libfile-spec-perl, libmodule-corelist-perl,
    libstorable-perl
  * Break circular dependency between perl and perl-modules
    (Closes: #777597, #502455)
  * Add Breaks: entries for various packages which could be affected by
    the above change, where they have been fixed

 -- Dominic Hargreaves <dom@earth.li>  Fri, 27 Feb 2015 17:48:02 +0000

perl (5.20.1-5) unstable; urgency=medium

  * Make perl-base and perl-modules Break perl (<< 5.20.0~)
    to fix trigger related upgrade paths from wheezy. (Closes: #774844)
    + also make perl-base, perl-modules, and perl Pre-Depend
      on dpkg (>= 1.17.17) to get reliable trigger dependency
      guarantees. (See #671711)

 -- Niko Tyni <ntyni@debian.org>  Sun, 25 Jan 2015 18:26:53 +0200

perl (5.20.1-4) unstable; urgency=medium

  * Make perl-base and perl-modules Break pdl (<< 1:2.007-4)
    to fix upgrade failures with dpkg triggers. (Closes: #773323)

 -- Niko Tyni <ntyni@debian.org>  Fri, 19 Dec 2014 18:55:26 +0200

perl (5.20.1-3) unstable; urgency=low

  * Move File::Temp and its dependencies (File::Path, File::Basename,
    and parent) to perl-base. (Closes: #757905)
    See https://lists.debian.org/debian-devel/2014/11/msg00216.html

 -- Niko Tyni <ntyni@debian.org>  Sun, 16 Nov 2014 18:54:17 +0200

perl (5.20.1-2) unstable; urgency=medium

  * Fix IO::Uncompress::Gunzip gunzip to in-memory file handle
    (Closes: #747363)
  * Fix t/io/socket.t on Hurd: include upstream fixes (Closes: #758718)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 19 Oct 2014 22:02:58 +0100

perl (5.20.1-1) unstable; urgency=medium

  * New upstream release
  * [SECURITY] CVE-2014-4330: don't recurse infinitely in Data::Dumper
    (Closes: #762256) 
  * Update Standards-Version (no changes)
  * Update maintainer tests to reflect the fact that libcgi-fast-perl
    is not being shipped
  * Update Breaks versions for libfile-spec-perl, libmodule-corelist-perl,
    libversion-perl
  * Update patch metadata to reflect upstream status
    (Closes: #762270, #762269)
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sat, 20 Sep 2014 14:11:36 +0100

perl (5.20.1~rc2-1) experimental; urgency=low

  * New upstream release candidate

 -- Dominic Hargreaves <dom@earth.li>  Sun, 07 Sep 2014 18:42:23 +0100

perl (5.20.1~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * Don't skip dist/threads/t/stack.t on GNU/Hurd as Hurd now has
    support for varying stack length sizes (Closes: #650175)
  * Disable failing test in t/io/socket.t on GNU/Hurd (see: #758718)
  * Modify $Config{libperl} to avoid exposing the full version
    (Closes: #759989)
  * Ensure that all manpage directories are installed with
    appropriate permissions, fixing Lintian warnings
  * Support POD_MAN_DATE in Pod::Man for the left-hand footer to
    help with reproducible builds; thanks to Russ Allbery
    (Closes: #759405)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 31 Aug 2014 18:17:29 -0700

perl (5.20.0-6) unstable; urgency=medium

  * Explicitly set mode of DEBIAN/conffiles to fix a Lintian error
    in certain build environments

 -- Dominic Hargreaves <dom@earth.li>  Fri, 29 Aug 2014 21:32:22 -0700

perl (5.20.0-5) unstable; urgency=medium

  [ Niko Tyni ]
  * Fix visible escape sequences in perldoc output by passing the "-R"
    option to the "less" pager. (Closes: #758689)
  * Pass explicit LD settings through to subdirectories again even if
    the build system sets LD. (Closes: #758471)
  * Drop the libcgi-fast-perl binary package, which is moving to
    a source package of its own. (Closes: #759187)

  [ Dominic Hargreaves ]
  * Note simplified developer tools requirements

 -- Dominic Hargreaves <dom@earth.li>  Thu, 28 Aug 2014 21:25:34 -0700

perl (5.20.0-4) unstable; urgency=medium

  * Drop the -exp1 suffix from perlapi-5.20.0: no further changes
    to @INC are planned in this cycle.
  * Build-depend on libc6-dev (>= 2.19-9) on s390x to make sure we
    build against the "new" reverted jmp_buf ABI. (Closes: #753444)
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Thu, 14 Aug 2014 21:47:11 +0300

perl (5.20.0-3) experimental; urgency=medium

  * Disable the gcc -ftree-vrp optimization of regcomp.c on mips and
    mipsel to work around a possible gcc-4.9 bug.
    Thanks to Aurelien Jarno. (Closes: #754054)

 -- Niko Tyni <ntyni@debian.org>  Fri, 08 Aug 2014 10:16:53 +0300

perl (5.20.0-2) experimental; urgency=medium

  * Adjust the Breaks versions of libalien-wxwidgets-perl, libjcode-perl, and
    libanyevent-perl now that fixed versions are in the archive. (See #750017)
  * Break older versions of libgtk2-perl-doc, which installed documentation
    in /usr/lib/perl5.
  * update maintainer tests in debian/t/control.t to accommodate added
    digits in libmodule-corelist-perl versioning

 -- Niko Tyni <ntyni@debian.org>  Thu, 07 Aug 2014 13:55:42 +0300

perl (5.20.0-1) experimental; urgency=low

  * New upstream release.
  * Move @INC to multiarch enabled paths. (See #748380)
    + provide perlapi-5.20.0-exp1 for now (and set $Config{debian_abi}
      accordingly), because @INC might still change.
    + break libalien-wxwidgets-perl, libjcode-perl, and libanyevent-perl,
      which use /usr/lib/perl5 without a dependency on perlapi-* or the
      current perl version.
  * debian/rules: clean: no need to remove DB_File .bak files anymore.
  * Include the ABI version in the vendorarch directory.
    (See https://lists.debian.org/debian-perl/2014/05/msg00139.html)
    + solves the problem with dual life modules in perl-base (Closes: #743690)
    + libscalar-list-utils-perl can be made installable again (Closes: #725899)
    + no need for the ABI skew induced Build-Conflicts anymore
  * Make perl Multi-Arch:allowed and perl-modules Multi-Arch:foreign.
    (See https://lists.debian.org/debian-devel/2014/05/msg00058.html)
    (Closes: #717881)

 -- Niko Tyni <ntyni@debian.org>  Sat, 31 May 2014 14:17:12 +0300

perl (5.18.2-3) unstable; urgency=medium

  [ Niko Tyni ]
  * Small changes to debian/copyright to placate Config::Model::Dpkg.
    (Closes: #731570)
  * Backport upstream patch fixing crashes with 'undef *_, goto &sub'.
    (Closes: #736187)

  [ Dominic Hargreaves ]
  * Add Recommends on rename to perl (see #735134)
  * Update Standards-Version (no changes)
  * Fix typo in debian/t/copyright.t

 -- Dominic Hargreaves <dom@earth.li>  Mon, 05 May 2014 17:15:59 +0100

perl (5.18.2-2) unstable; urgency=medium

  [ Niko Tyni ]
  * Update debian/copyright to include the year 2013.

  [ Dominic Hargreaves ]
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Tue, 14 Jan 2014 19:47:33 +0000

perl (5.18.2-1) experimental; urgency=low

  * New upstream release.

 -- Niko Tyni <ntyni@debian.org>  Wed, 08 Jan 2014 21:17:36 +0200

perl (5.18.1-5) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Revert patches disabling GNU/Hurd tests which now succeed:
    - debian/hurd_net_ping_disable_test.diff (Closes: #709385)
    - debian/hurd_test_skip_io_pipe.diff (Closes: #650096)
    - debian/hurd_test_skip_pipe.diff (Closes: #650187)
    - debian/hurd_test_skip_sigdispatch.diff (Closes: #650188)
    - debian/hurd_test_todo_syslog.diff (Closes: #650093)
  * Various tidying of Copyright file in line with Lintian's suggestions
  * Override Lintian tag spelling-error-in-copyright for an upstream error
  * Override Lintian tag empty-binary-package for libperl5.18 as it
    is a dummy package on some architectures

  [ Niko Tyni ]
  * Include upstream fix for regex \8 and \9 after literals.
    (Closes: #731365)
  * Fix spelling of IPC_CREAT in IPC-SysV documentation. (Closes: #730558)

 -- Niko Tyni <ntyni@debian.org>  Fri, 06 Dec 2013 20:05:55 +0200

perl (5.18.1-4) unstable; urgency=low

  * Add Breaks on versions of libcommon-sense-perl which were built
    with earlier version of perl (Closes: #722460)
  * Add Module::Metadata fix for use in taint mode (Closes: #722210)
  * Update Lintian override for wrong-path-for-interpreter false
    positive

 -- Dominic Hargreaves <dom@earth.li>  Wed, 11 Sep 2013 23:30:25 +0100

perl (5.18.1-3) unstable; urgency=low

  * Make perl-base conflict with all versions of libscalar-list-utils-perl,
    which overrides Essential functionality in a way that breaks during
    upgrades. (Closes: #721364)

 -- Niko Tyni <ntyni@debian.org>  Sat, 31 Aug 2013 18:32:36 +0300

perl (5.18.1-2) unstable; urgency=low

  * Remove redundant Provides: perlapi-5.18.0
  * Update Module::Metadata documentation to fix CVE-2013-1437
    by clarifying that Module::Metadata does execute code from the
    module it is acting on
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Mon, 26 Aug 2013 19:32:08 +0100

perl (5.18.1-1) experimental; urgency=low

  [ Dominic Hargreaves ]
  * Apply patch from upstream fixing Digest::SHA double-free
    crash (Closes: #711206)

  [ Niko Tyni ]
  * Amend the perlbug patchlevel fix for #710842 so that the list
    of local patches is looked up at perlbug run time.
  * Fix the permissions of the md5sums control files in the binary
    packages. (Closes: #714408)
  * Import new upstream release.
    + update Breaks versions for the libmodule-corelist-perl and
      libdigest-sha-perl packages.
  * Apply upstream patches to (partially) fix qr// precompilation
    and the /p flag. (Closes: #718209)
  * Add Breaks and Replaces entries for older versions of the (deprecated)
    libobject-accessor-perl package.

 -- Niko Tyni <ntyni@debian.org>  Mon, 12 Aug 2013 18:26:06 +0300

perl (5.18.0-3) experimental; urgency=low

  * Remove the Provides entries for the deprecated core modules. (See #702096)
  * Make perlbug.PL run patchlevel.h through cpp where possible.
    (Closes: #710842)
  * Migrate the maintainer tests from 'config-edit' to 'cme'.

 -- Niko Tyni <ntyni@debian.org>  Tue, 11 Jun 2013 22:20:35 +0300

perl (5.18.0-2) experimental; urgency=low

  * Apply patches from upstream fixing FTBFS on sparc relating to
    pmop alignment (Closes: #708792)
  * Update the deprecation warning to point to the Debian packages for
    modules deprecated in 5.18
  * Disable failing Net-Ping tests for GNU/Hurd (see: 709385)
  * Apply patch from Jonathan Nieder fixing Memoize::Storable 'nstore'
    option (Closes: #677292)
  * Apply patch from Peter Pentchev fixing Net::FTP failure handling
    (Closes: #491062)
  * Add Breaks/Provides/Replaces/Recommends/Suggests on deprecated
    modules (Closes: #702096)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 09 Jun 2013 12:47:28 +0100

perl (5.18.0-1) experimental; urgency=low

  * New upstream release
    - update Breaks version for libpod-simple-perl 
  * Additional bugs fixed since 5.14:
    - pending signals are processed in both the parent and child process
      after a fork() (Closes: 495788)
    - occasional test failures from Time-HiRes (Closes: #637470)
    - Storing shared_clone with overload in shared_clone strips off
      overload (Closes: #677588)
    - segfaults when freeing deeply nested structures (Closes: #624759)
    - creating and destroying threads with perl results in memory leak
      (Closes: #700624)
    - double free or corruption crash after thread->join when POE::Kernel
      is loaded (Closes: #707206)
    - Behaviour changed in Text::Wrap (Closes: #101933)
    - pod2html doesn't remove temporary files (Closes: #378328)
    - Syslog.pm adds newline and later EOL whitespace to spamassassin
      /var/log/syslog messages (Closes: #496254)
    - Pod::PlainText doesn't recognize =encoding (Closes: #587733)
    - libdate-manip-perl: Memory Leak (Closes: #600231)
    - perlembed.pod and perlmodinstall.pod contain invariant sections
      (Closes: #630149)
    - perl debugger dies for PDL scripts with "Can't return a temporary
      from lvalue subroutine" (Closes: #654387)
    - pod2man: no exit code & empty files left behind (Closes: #659939)
    - Man.pm: Undefined strings and a number register in groff
      (Closes: #674206)
    - perlcall(1) incorrectly refers to "X windows" (Closes: #233214)
    - perl-base: IO::Handle manual lies about write() (Closes: #335694)
    - perl-doc: be more explicit about how to use $! (Closes: #484021)
    - perl-base: Doesn't throw an error if first parameter is a directory
      (Closes: #689412)
    - mention "use diagnostics" on perldiag (Closes: #485467)
    - Please don't pollute manpages with "POD ERRORS" sections
      (Closes: #497866)
  * Override lintian warning doc-package-depends-on-main-package
    as perl-doc really depends on perl
  * Override lintian warning wrong-path-for-interpreter for a perl
    module

 -- Dominic Hargreaves <dom@earth.li>  Sun, 19 May 2013 19:00:27 +0100

perl (5.18.0~rc1-1) experimental; urgency=low

  [ Niko Tyni ]
  * Reorder the packages in debian/control to improve robustness of
    the installation step.

  [ Dominic Hargreaves ]
  * Merge 5.14.2-21 from unstable:
    + Update the Locale::Maketext fix by importing 1.23, to avoid
      double-escaping problems (see: #695224)
  * Provide a more modern description of Perl in the long description
    of the perl package (Closes: #678307)
  * New upstream release
    - update Breaks versions in debian/control for dual-lived modules

  [ Niko Tyni ]
  * Update debian/copyright for 5.17.11.
  * Fix a few false positive format-security warnings from gcc.
  * Use the DESTDIR mechanism for installation instead of mangling the
    install paths before and after.
  * New upstream release candidate.

 -- Dominic Hargreaves <dom@earth.li>  Sat, 11 May 2013 22:33:07 +0100

perl (5.16.3-1) experimental; urgency=low

  * Remove Depends/Recommends/Suggests on modules deprecated in 5.12 and
    5.14 (Closes: #702094)
  * Fix FTBFS with findutils from experimental by not using deprecated
    permissions check syntax; thanks to Roland Stigge (Closes: #702562)
  * Merge 5.14.2-17, 5.14.2-18, 5.14.2-19 and 5.14.2-20 from unstable
    + Fix a double-free bug in Digest::SHA. (Closes: #698174)
      + update the Breaks: entry accordingly.
    + Avoid wraparound when casting unsigned size_t to signed ssize_t.
      (Closes: #698320)
    + [SECURITY] CVE-2013-1667: fix a rehashing DoS opportunity
      against code that uses arbitrary user input as hash keys.
      (Closes: #702296)
    + Fix an Encode memory leak that occurred in the UTF-8 encoding.
      (Closes: #702416)
      + upgrade the Broken versions of the separate libencode-perl
        package accordingly.
  * Update debian/t/control.t to reflect Module::CoreList version
    inconsistency and to remove references to non-existent Breaks
  * Remove unneeded versioned dependencies on gcc and cpio
    (Closes: #678138)
  * Fix debian/copyright syntax (thanks, Lintian)
  * Include correct branch name in Vcs-Git field
  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Tue, 12 Mar 2013 23:08:47 +0000

perl (5.16.2-2) experimental; urgency=low

  [ Dominic Hargreaves ]
  * Merge 5.14.2-15 and 5.14.2-16 from unstable
    + [SECURITY] CVE-2012-5526: CGI.pm improper cookie and p3p
      CRLF escaping (Closes: #693420)
    + [SECURITY] Fix misparsing of maketext strings which could allow
      arbitrary code execution from untrusted maketext templates
      (Closes: #695224)
    + [SECURITY] add warning to Storable documentation that Storable
      documents should not be accepted from untrusted sources
      (Closes: #695223)
    + Fix CPAN::FirstTime defaults with nonexisting site dirs if a parent
      is writable. (Closes: #688842)
    + Don't overwrite $Config{lddlflags} or ccdlflags on GNU/kFreeBSD.
      (Closes: #689713)

  [ Niko Tyni ]
  * Minor packaging improvements:
    + present Debian bugs consistently in patchlevel.h.
    + use gzip -n for reproducible results
    + support comments in file lists
    + fix a syntax error in debian/copyright
    + support the '**' notation in file lists for matching subdirectories

 -- Dominic Hargreaves <dom@earth.li>  Sun, 13 Jan 2013 17:54:46 +0000

perl (5.16.2-1) experimental; urgency=low

  * New upstream release
    - update debian/copyright version (no changes)
    - update Breaks version for libmodule-corelist-perl
  * Merge 5.14.2-13 and 5.14.2-14 from unstable

 -- Dominic Hargreaves <dom@earth.li>  Fri, 02 Nov 2012 19:33:13 +0000

perl (5.16.1-1) experimental; urgency=low

  * Merge 5.14.2-11 and 5.14.2-12 from unstable
  * New upstream release
    - update Breaks/Replaces/Provides for libscalar-list-utils-perl
    - update debian/copyright version (no changes)
  * Update Breaks/Replaces/Provides for new libsocket-perl

 -- Dominic Hargreaves <dom@earth.li>  Sat, 18 Aug 2012 19:18:28 +0100

perl (5.16.0-1) experimental; urgency=low

  * New upstream release
    - update debian/copyright 
    - update Breaks versions in debian/control for dual-lived modules
    - remove Provides/Replaces/Breaks for removed modules
      libdevel-dprof-perl, libperl4-corelibs-perl, libshell-perl
    - add Provides/Replaces/Breaks for new libcpan-meta-requirements-perl
    - add new files to perl-base to keep it self-contained
  * Add patch from Daniel Kahn Gillmor fixing propagation of socket
    type information (Closes: #659075)
  * Fix test failure with t/op/getpid.t on kFreeBSD by including a
    linuxthreads version check

 -- Dominic Hargreaves <dom@earth.li>  Tue, 05 Jun 2012 13:34:00 +0100

perl (5.14.2-21) unstable; urgency=low

  [ Dominic Hargreaves ]
  * Update the Locale::Maketext fix by importing 1.23, to avoid
    double-escaping problems (see: #695224)

 -- Niko Tyni <ntyni@debian.org>  Wed, 10 Apr 2013 19:11:35 +0300

perl (5.14.2-20) unstable; urgency=low

  * Fix an Encode memory leak that occurred in the UTF-8 encoding.
    (Closes: #702416)
    + upgrade the Broken versions of the separate libencode-perl
      package accordingly.

 -- Niko Tyni <ntyni@debian.org>  Thu, 07 Mar 2013 19:08:47 +0200

perl (5.14.2-19) unstable; urgency=high

  * [SECURITY] CVE-2013-1667: fix a rehashing DoS opportunity
    against code that uses arbitrary user input as hash keys.
    (Closes: #702296)

 -- Niko Tyni <ntyni@debian.org>  Tue, 05 Mar 2013 21:38:26 +0200

perl (5.14.2-18) unstable; urgency=low

  * Fix a squeeze regression with STDIN and signal handlers.
    (Closes: #700171)

 -- Niko Tyni <ntyni@debian.org>  Sat, 09 Feb 2013 15:31:33 +0200

perl (5.14.2-17) unstable; urgency=low

  * Fix a double-free bug in Digest::SHA. (Closes: #698174)
    + update the Breaks: entry accordingly.
  * Avoid wraparound when casting unsigned size_t to signed ssize_t.
    (Closes: #698320)

 -- Niko Tyni <ntyni@debian.org>  Fri, 25 Jan 2013 15:22:58 +0200

perl (5.14.2-16) unstable; urgency=medium

  * [SECURITY] CVE-2012-5526: CGI.pm improper cookie and p3p
    CRLF escaping (Closes: #693420)
  * [SECURITY] Fix misparsing of maketext strings which could allow
    arbitrary code execution from untrusted maketext templates
    (Closes: #695224)
  * [SECURITY] add warning to Storable documentation that Storable
    documents should not be accepted from untrusted sources
    (Closes: #695223)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 10 Dec 2012 12:47:14 +0000

perl (5.14.2-15) unstable; urgency=low

  * Fix CPAN::FirstTime defaults with nonexisting site dirs if a parent
    is writable. (Closes: #688842)
  * Don't overwrite $Config{lddlflags} or ccdlflags on GNU/kFreeBSD.
    (Closes: #689713)
  * Fix tainted smart matching. (Closes: #690571)
  * Cherry-pick fixes from 5.14.3:
    + /i regexps match correctly with latin1 characters again (Closes: #690975)
    + /i regexps match beyond the start of the string with multi-char folds
    again. (Closes: #690976)
    + /[[:lower:]]/i and /[[:upper:]]/i match the opposite cases again
    (Closes: #690979)
    + <$fh> no longer hangs or eats memory on a glob copy (Closes: #629363)
    + enforce Any ~~ Object smartmatch precedence (Closes: #691102)
    + update perlcheat.pod to 5.14. (Closes: #691112)

 -- Niko Tyni <ntyni@debian.org>  Sun, 04 Nov 2012 12:37:46 +0200

perl (5.14.2-14) unstable; urgency=high

  * [SECURITY] CVE-2012-5195: fix a heap buffer overrun with
    the 'x' string repeat operator. (Closes: #689314)

 -- Niko Tyni <ntyni@debian.org>  Wed, 10 Oct 2012 21:17:36 +0300

perl (5.14.2-13) unstable; urgency=low

  * Apply patch fixing IPC::Open3 when command is '-' (Closes: #683894)
  * Add Breaks/Replaces/Provides for new dual-lived libsocket-perl
    (Closes: #679154)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 06 Sep 2012 23:24:28 +0100

perl (5.14.2-12) unstable; urgency=low

  * Re-enable thread tests on kFreeBSD now that libc breakage has been
    resolved (Closes: #672152, #677045)
  * Update Standards-Version (no changes)
  * Add minimal Copyright fields to debian/copyright paragraphs that
    were missing them, to fix Lintian warnings about missing required
    fields

 -- Dominic Hargreaves <dom@earth.li>  Mon, 18 Jun 2012 22:44:56 +0100

perl (5.14.2-11) unstable; urgency=low

  [ Dominic Hargreaves ]
  * Add patch from Daniel Kahn Gillmor fixing propagation of socket
    type information (Closes: #659075)

  [ Niko Tyni ]
  * Temporarily disable thread tests on kFreeBSD to work around libc breakage.
    (See #672152 and #673711)
  * Remove empty Copyright lines from debian/copyright to appease
    Config::Model.

 -- Niko Tyni <ntyni@debian.org>  Fri, 25 May 2012 10:14:00 +0300

perl (5.14.2-10) unstable; urgency=low

  * Properly propagate tainted errors (Closes: #663158)
  * Invoke x-terminal-emulator rather than xterm in perl5db.pl
    (Closes: #668490)
  * Add Conflicts with mono-gac (<< 2.10.8.1-3) to perl-base and
    perl-modules (Closes: #665384)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 07 May 2012 20:33:52 +0100

perl (5.14.2-9) unstable; urgency=low

  [ Dominic Hargreaves ]
  * Add Breaks on various packages which had 5.12/5.14 compatibility
    bugs fixed since squeeze, to help with partial upgrades
  * Add Breaks on ftpmirror for the same reason (Closes: #659799)

  [ Niko Tyni ]
  * No longer disable the 'pie' build flags: the implementation was
    overwriting DEB_BUILD_MAINT_OPTIONS altogether.
  * Modify Config_heavy.pl after the build to remove dpkg-buildflags
    effects on ccflags and lddlflags; we don't want to force them on
    all XS modules at this stage. (See #657853)
  * Update the DEP-5 URL in debian/copyright now that it is finally stabilized.
  * Make EU::MM pass LD through to recursive Makefile.PL invocations.
    (Closes: #660195)

 -- Niko Tyni <ntyni@debian.org>  Sat, 03 Mar 2012 16:23:02 +0200

perl (5.14.2-8) experimental; urgency=low

  [ Dominic Hargreaves ]
  * Include some notes in debian/rules about not using perl more than
    necessary
  * Fix CGI.pm to not use the deprecated shellwords.pl library
  * Don't use _POSIX_PATH_MAX as a fallback PATH_MAX (Closes: #656869)

  [ Niko Tyni ]
  * Pass system zlib information to the Compress-Raw-Zlib build system
    with environment variables instead of patching the source.
  * Make perl-base and perl-modules conflict with defoma (<< 0.11.12),
    whose older versions may break when invoked from preinst scripts
    during squeeze -> wheezy upgrades. (Closes: #657940)
  * Use dpkg-buildflags (when available) to enable hardened builds.
    (Closes: #657853)
    + explicitly disable the 'pie' flags until somebody finds a way
      to make them work with the build system

 -- Dominic Hargreaves <dom@earth.li>  Mon, 06 Feb 2012 21:17:04 +0000

perl (5.14.2-7) unstable; urgency=low

  [ Dominic Hargreaves ]
  * Re-enable tests dist/threads/t/libc.t, ext/Socket/t/socketpair.t
    on GNU/Hurd fixed by changes in hurd (20111206-1)
  * Re-enable test cpan/autodie/t/recv.t on GNU/Hurd fixed by changes in
    eglibc (2.13-22)
  * Add missing POD descriptions in modules from CPAN, to fix Lintian
    warnings (Closes: #650448, #650450, #650451, #650452)
  * Fix AE ligature fallback handling in Pod::Man (thanks to
    Russ Allbery for the fix) (Closes: #652851)
  * Update references to the FSF's postal address (fixes Lintian warnings)
  * Add Lintian overrides for missing manpages for perldoc stub and
    cpanp-run-perl utility script (Closes: #654652)
  * Fix POD formatting in Term-Cap and Pod-Parser (fixes Lintian warnings)
  * Remove special-case override for non-overridable no-copyright-file
    Lintian tag (see #522827 and #553262)

  [ Jonathan Nieder ]
  * Add Homepage field pointing to dev.perl.org (Closes: #657274)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 28 Jan 2012 21:40:00 +0000

perl (5.14.2-6) unstable; urgency=low

  [ Niko Tyni ]
  * debian/rules: correctly handle subject line wraps in patch headers.

  [ Dominic Hargreaves ]
  * Add versioned Conflicts on update-inetd (<< 4.41) (Closes: #649177)
  * Conflict on rather than Break doc-base (<< 0.10.3); aptitude
    runs doc-base triggers before the new version has been unpacked
  * Update Lintian override for perl-module-uses-perl4-libs-without-dep
    to reflect new path to CGI.pm
  * Disable various tests which fail on GNU/Hurd (see #648623)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 28 Nov 2011 19:48:05 +0000

perl (5.14.2-5) unstable; urgency=low

  * Update versioned Breaks for dual-lived modules with updates in
    5.14.2 (libmodule-corelist-perl, libencode-perl)
  * Update versioned Breaks for doc-base to << 0.10.3; this version
    improves the resilience of the postinst during a major perl upgrade
    (Closes: #648954)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 17 Nov 2011 23:29:20 +0000

perl (5.14.2-4) unstable; urgency=low

  * Add Conflicts: libjson-pp-perl (<< 2.27200-2) to perl package
    to fix file conflict with dual-lived module (Closes: #648897)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 15 Nov 2011 23:36:39 +0000

perl (5.14.2-3) unstable; urgency=low

  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sun, 13 Nov 2011 12:12:26 +0000

perl (5.14.2-2) experimental; urgency=low

  * [SECURITY] CVE-2011-3597: Fix unsafe use of eval in Digest->new();
    thanks to Ansgar Burchardt for the notification (Closes: #644108)
  * Merge 5.12.4-6 from unstable
  * Fix NDBM_File hints on GNU/Hurd
    (thanks, Pino Toscano) (Closes: #645989)
  * Fix hang in t/ext/POSIX/t/sysconf.t on GNU/Hurd
    (thanks, Pino Toscano) (Closes: #646016)
  * Enable LFS on GNU/Hurd
    (thanks, Pino Toscano) (Closes: #645790)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 12 Nov 2011 17:25:33 +0000

perl (5.14.2-1) experimental; urgency=low

  * Fix typos in several pod/perl*.pod files (Closes: #637816)
  * New upstream version.
    + Fix a memory leak in Carp::shortmess. (Closes: #638676)
  * Update CPAN::Distribution to use html2text rather than html2text.pl;
    thanks to Andreas Marschke for the patch (Closes: #640479)
  * Override Lintian warning perl-module-uses-perl4-libs-without-dep
    as the Perl4 libraries are provided by perl itself
  * Merge 5.12.4-5 from unstable

 -- Dominic Hargreaves <dom@earth.li>  Thu, 29 Sep 2011 21:51:55 +0100

perl (5.14.1-2) experimental; urgency=low

  * Promote libclass-isa-perl and libswitch-perl from Recommends to
    Depends, to improve partial upgrades from squeeze to wheezy
    (see: #629472)
  * Demote libpod-plainer-perl from Recommends to Suggests, based on
    analysis of its usage in Debian (see: #629472)
  * Skip a crashing test case in t/op/threads.t on GNU/kFreeBSD
    (see: #628493, thanks Niko)
  * Apply patch from Niko documenting the correct use of CCFLAGS in
    ExtUtils::MakeMaker (see: #628522)
  * Use a socket timeout on GNU/kFreeBSD to catch ICMP port unreachable
    messages (thanks, Niko) (Closes: #627821)
  * [SECURITY] CVE-2011-2939: Fix decode_xs n-byte heap-overflow security
    bug in Unicode.xs (Closes: #637376)
  * Improve general GNU hints, fixing build failures on GNU/Hurd. Patch by
    Pino Toscano. (Closes: #636609)
  * Merge 5.12.4-3 and 5.12.4-4 from unstable
  * Fix lintian error by build-depending on procps [!hurd-any] rather
    than procps | hurd (and adjust existing [!hurd-i386] to
    [!hurd-any]) (Closes: #635647)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 11 Aug 2011 18:28:44 +0100

perl (5.14.1-1) experimental; urgency=low

  [ Niko Tyni ]
  * New upstream version.
    + ODBM_File hints find libgdbm_compat again in multiarch setups
      (Closes: #625634)
    + Lengthen time-out in t/re/re.t; fixes FTBFS on sh4 (Closes: #626125)
  * Move all package maintainer tests to debian/t/
  * Switch to git-dpm for managing debian/patches
    + generate the patchlevel information from debian/patches at build time.
  * Multiarch related fixes:
    + Remove the Debian/Ubuntu specific path fix introduced in
      5.12.3-3 and obsoleted by the upstream fix in 5.14.0.
    + h2ph now correctly gets the header directories from gcc (Closes: #625808)
  * Revert obsolete patches:
    - debian/arm_optim.diff
    - debian/devel-ppport-ia64-optim.diff
    - fixes/processPL.diff (Closes: #626094) 
  * Support the 'build-arch' and 'build-indep' debian/rules targets
    as synonyms for 'build'.
  * Remove a stale perlcc reference from the libperl-dev long description.
  * Don't use LD_RUN_PATH for multiarch directories (Closes: #631096)
    (thanks, Ahmed El-Mahmoudy)
  * Add Depends on libc6-dev | libc-dev to libperl-dev (Closes: #631308)
  * Add a './perl.static -Ilib -V' invocation to the end of the build,
    for the build log record (refers to: #630399)
  * Merge 5.12.4-1 from unstable.
  * Fix tainting with index() of a constant. (Closes: #291450)
  * debian/config.over: Force the multiarch directory /usr/lib/<triplet>
    into $Config{libpth} even if doesn't exist yet. This should guarantee
    that ExtUtils::Embed works on multiarch enabled system even when
    the package isn't built on one. Thanks to Jonathan Nieder.
    (Closes: #630399)
    + needs a build dependency on dpkg-dev (>= 1.16.0) for
      "dpkg-architecture -qDEB_HOST_MULTIARCH".
  * Break older versions of doc-base to avoid a Storable binary
    incompatibility issue in partial upgrades. (Closes: #633076)
  * No longer prune -lnsl and -lutil in debian/config.over, this was
    obsoleted by a related change in 5.6.1-7 (!)
  * Match bzip2 archives in debian/watch.

  [ Dominic Hargreaves ]
  * work around -Werror compile failure of XS in linux perf tool
    (Closes: #628512)
  * Note removal of perl-suid in README.Debian and suggest alternatives
    (Closes: #628042)
  * Add note about git format-patch signatures to git-dpm section of
    README.source
  * Update Vcs-* references to point to combined git-dpm based
    repository at new anonscm URLs
  * Split up patch debian/extutils_hacks.diff into several logically
    distinct patches (relates to: #624508)
  * Merge 5.12.4-2 from unstable.

 -- Dominic Hargreaves <dom@earth.li>  Wed, 27 Jul 2011 22:15:23 +0100

perl (5.14.0-1) experimental; urgency=low

  [ Niko Tyni ]
  * New upstream release candidate.
    + update the Breaks versions for most of the bundled modules.
    + no longer Breaks/Replaces/Provides libswitch-perl, libclass-isa-perl,
      and libpod-plainer-perl as the corresponding modules have been removed
      from the Perl core distribution.
    + add Breaks/Replaces/Provides for
      * libcpan-meta-perl
      * libmath-complex-perl
      * libextutils-command-perl
      * libmodule-metadata-perl
      * libjson-pp-perl
      * libperl-ostype-perl
      * libversion-requirements-perl
      * libcpan-meta-yaml-perl
      * libdigest-perl
      * libextutils-install-perl
      * libhttp-tiny-perl
  * debian/patches/fixes/extutils-cbuilder-cflags: [perl #89478]
    Make ExtUtils::CBuilder append CFLAGS and LDFLAGS from the environment
    to their Config.pm counterparts instead of overriding them. 
  * Totally rework debian/copyright.

  [ Dominic Hargreaves ]
  * New upstream release
  * Add Recommends for deprecated modules libdevel-dprof-perl,
    libperl4-corelibs-perl, libshell-perl

 -- Dominic Hargreaves <dom@earth.li>  Fri, 20 May 2011 18:07:12 +0100

perl (5.12.4-6) unstable; urgency=medium

  * [SECURITY] CVE-2011-3597: Fix unsafe use of eval in Digest->new();
    thanks to Ansgar Burchardt for the notification (Closes: #644108)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 07 Oct 2011 22:15:54 +0100

perl (5.12.4-5) unstable; urgency=low

  [ Niko Tyni ]
  * Fix a memory leak in Carp::shortmess. (Closes: #638676)

  [ Dominic Hargreaves ]
  * Update CPAN::Distribution to use html2text rather than html2text.pl;
    thanks to Andreas Marschke for the patch (Closes: #640479)
  * Override Lintian warnings perl-module-uses-perl4-libs-without-dep
    and script-uses-perl4-libs-without-dep as the Perl4 libraries are
    provided by perl itself

 -- Dominic Hargreaves <dom@earth.li>  Thu, 29 Sep 2011 20:34:43 +0100

perl (5.12.4-4) unstable; urgency=medium

  * [SECURITY] CVE-2011-2939: Fix decode_xs n-byte heap-overflow security
    bug in Unicode.xs (Closes: #637376)

 -- Dominic Hargreaves <dom@earth.li>  Wed, 10 Aug 2011 19:25:23 +0100

perl (5.12.4-3) unstable; urgency=low

  [ Dominic Hargreaves ]
  * Fix lintian error by build-depending on procps [!hurd-any] rather
    than procps | hurd (and adjust existing [!hurd-i386] to
    [!hurd-any]) (Closes: #635647)
  * Apply patch from Niko documenting the correct use of CCFLAGS in
    ExtUtils::MakeMaker (see: #628522)
  * Use a socket timeout on GNU/kFreeBSD to catch ICMP port unreachable
    messages (thanks, Niko) (Closes: #627821)

  [ Niko Tyni ]
  * Improve general GNU hints, fixing build failures on GNU/Hurd. Patch by
    Pino Toscano. (Closes: #636609)

 -- Niko Tyni <ntyni@debian.org>  Wed, 10 Aug 2011 08:16:20 +0300

perl (5.12.4-2) unstable; urgency=low

  [ Niko Tyni ]
  * debian/config.over: Force the multiarch directory /usr/lib/<triplet>
    into $Config{libpth} even if doesn't exist yet. This should guarantee
    that ExtUtils::Embed works on multiarch enabled system even when
    the package isn't built on one. Thanks to Jonathan Nieder.
    (Closes: #630399)
    + needs a build dependency on dpkg-dev (>= 1.16.0) for
      "dpkg-architecture -qDEB_HOST_MULTIARCH".
  * Fix tainting with index() of a constant. (Closes: #291450)
  * Break older versions of doc-base to avoid a Storable binary
    incompatibility issue in partial upgrades. (Closes: #633076)
  * No longer prune -lnsl and -lutil in debian/config.over, this was
    obsoleted by a related change in 5.6.1-7 (!)
  * Match bzip2 archives in debian/watch.

 -- Dominic Hargreaves <dom@earth.li>  Wed, 27 Jul 2011 19:59:30 +0100

perl (5.12.4-1) unstable; urgency=low

  [ Niko Tyni ]
  * New upstream release.
  * Move debian/check-control to debian/t/ to anticipate new package
    maintainer tests in the future.
  * Switch to git-dpm for managing debian/patches
    + generate the patchlevel information from debian/patches at build time.
  * Multiarch related fixes:
    + h2ph now correctly gets the header directories from gcc (Closes: #625808)
    + ODBM_File hints find libgdbm_compat again (Closes: #625634)
  * Support the 'build-arch' and 'build-indep' debian/rules targets
    as synonyms for 'build'.
  * Remove a stale perlcc reference from the libperl-dev long description.
  * Remove the Debian/Ubuntu specific multiarch path fix introduced in
    5.12.3-3 and obsoleted by the upstream fix in 5.12.4.

  [ Dominic Hargreaves ]
  * Note removal of perl-suid in README.Debian and suggest alternatives
    (Closes: #628042)
  * Lengthen time-out in t/re/re.t; fixes FTBFS on sh4 (Closes: #626125)
  * Add note about git format-patch signatures to git-dpm section of
    README.source
  * Revert obsolete patches:
    - debian/arm_optim.diff
    - debian/devel-ppport-ia64-optim.diff
    - fixes/processPL.diff (Closes: #626094) 
  * Split up patch debian/extutils_hacks.diff into several logically
    distinct patches (relates to: #624508)
  * Update Vcs-* references to point to combined git-dpm based
    repository at new anonscm URLs
  * Don't use LD_RUN_PATH for multiarch directories (Closes: #631096)
    (thanks, Ahmed El-Mahmoudy)
  * Add Depends on libc6-dev | libc-dev to libperl-dev (Closes: #631308)
  * Add a './perl.static -Ilib -V' invocation to the end of the build,
    for the build log record (refers to: #630399)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 28 Jun 2011 22:25:28 +0100

perl (5.12.3-7) unstable; urgency=low

  * Fix failing tilde test when run under a UID without a passwd entry
    (Closes: #624850)
  * Adjust debian/check-control to work with strict version checks
    and release candidates
  * Add Breaks: mrtg (<< 2.16.3-3.1) (see #625695)
  * Add Breaks, Replaces, Provides for new dual-lived modules
    libshell-perl, libdevel-dprof-perl
  * Add Replaces, Provides for new deprecation module
    libperl4-corelibs-perl

 -- Dominic Hargreaves <dom@earth.li>  Thu, 19 May 2011 19:16:22 +0100

perl (5.12.3-6) unstable; urgency=low

  * Upload to unstable.

 -- Dominic Hargreaves <dom@earth.li>  Sun, 01 May 2011 17:40:10 +0100

perl (5.12.3-5) experimental; urgency=low

  * Add new debian/check-control script written by Niko, backported
    from 5.14 tree. This is used by maintainer targets in debian/rules
    to check Provides/Replaces/Breaks against bundled modules.
  * Apply upstream fix for Module::Corelist version number
  * Correct various Breaks version numbers and add Breaks, Replaces,
    Provides for new or missing dual-lived modules:
    - libmath-complex-perl
    - libextutils-command-perl
    - libdigest-perl
    - libextutils-install-perl

 -- Dominic Hargreaves <dom@earth.li>  Sat, 30 Apr 2011 20:47:53 +0100

perl (5.12.3-4) experimental; urgency=low

  * Revert gcc-4.3 on sparc workaround for #577016 which turned out to
    be a kernel bug, now fixed (#581571). gcc-4.3 is no longer available
    in sid.
  * Build-depend on unversioned libdb-dev (see #621383)
  * Merge 5.10.1-20 from unstable:
    + [SECURITY] CVE-2011-1487: taint laundering in lc, uc, et al.
      (Closes: #622817)
    + Make the package fail to build instead of silently dropping the
      DB_File module if -ldb doesn't work. (See #622916)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 22 Apr 2011 12:04:32 +0100

perl (5.12.3-3) experimental; urgency=low

  [ Dominic Hargreaves ]
  *  Remove Eugene from Uploaders as requested

  [ Niko Tyni ]
  * Move to libdb5.1. (Closes: #621383)
  * Merged from 5.10.1-19:
    + debian/config.debian: pass multiarch paths to the build (if
      available) so that we're able to find libraries needed to build.
      thanks to Steve Langasek. (Closes: #620189)
  * debian/config.debian: never use <libutil.h>, even if libbsd-dev is
    installed. Inspired by a similar Ubuntu change.
  * Add Conflicts, Replaces, Provides for libunicode-collate-perl which is
    now also packaged separately. (Closes: #599486)

  [ Dominic Hargreaves ]
  * Update Standards-Version to 3.9.2 (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 14 Apr 2011 18:59:52 +0100

perl (5.12.3-2) experimental; urgency=low

  * Fix inconsistent mix of literal tabs and spaces in debian/perl.postinst
  * Activate the 'perl-major-upgrade' trigger on major version upgrades
    to notify other packages that might need to be restarted, or take some
    other action (Closes: #230308)
  * Merge 5.10.1-17 and 18 from unstable:
    + Include information about preparing the repository for use with
      topgit in debian/README.source
    + Add Conflicts, Replaces, Provides for libfile-path-perl which is
      packaged separately (Closes: #617985)
    + Include the full text of the license statements for BSD-style
      licenses in debian/copyright, rather than the deprecated practice of
      referring to an external copy
  * Don't include full path for md5sum in perl-modules maintainer scripts
    (thanks, Lintian)
  * debian/rules: clean: remove .bak files created in cpan/DB_File/t
  * Update Standards-Version to 3.9.1 (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 20 Mar 2011 22:33:48 +0000

perl (5.12.3-1) experimental; urgency=low

  [ Dominic Hargreaves ]
  * Add Conflicts, Replaces, Provides for libencode-perl which is
    being packaged separately. (Closes: #608385)

  [ Niko Tyni ]
  * New upstream release.
    + [SECURITY] CVE-2010-2761 CVE-2010-4410 CVE-2010-4411:
      fixes CGI.pm MIME boundary and multiline header vulnerabilities.
      (Closes: #606995)
    + Update the conflict versions for libmodule-corelist-perl,
      libmodule-build-perl, and libcgi-pm-perl.
  * Don't traverse the current directory with "enc2xs -C". (Closes: #603686)
  * Use versioned breaks instead of versioned conflicts, as suggested by
    lintian. The sole exception is safe-rm, whose older versions we never
    want unpacked at the same time because they break maintainer scripts.

 -- Niko Tyni <ntyni@debian.org>  Sun, 06 Feb 2011 11:31:38 +0200

perl (5.12.2-2) experimental; urgency=low

  * Merge 5.10.1-15 and -16 from unstable:
    + Include the Text::Tabs license in debian/copyright. Thanks to "v.nix.is".
      (Closes: #596844)
    + Downgrade the 'make' recommendation to a suggestion to avoid pulling
      it in by default after all. (Closes: #596734) (Reopens: #293908)
    + Squelch useless locale warnings during package maintainer scripts.
      (Closes: #508764)
    + Improve LC_NUMERIC documentation. (Closes: #379329)
    + Fix sprintf not to ignore LC_NUMERIC with constants. (Closes: #601549)
    + Fix stack pointer corruption in pp_concat() with "use encoding".
      (Closes: #596105)
  * Unapply the debian/use_gdbm patch, obsolete since 5.8.4.
  * Fix h2ph header generation with GCC 4.5. Upstream patch by Robin Barker.
    (Closes: #599933)

 -- Niko Tyni <ntyni@debian.org>  Tue, 02 Nov 2010 11:34:32 +0200

perl (5.12.2-1) experimental; urgency=low

  * New upstream release.

 -- Niko Tyni <ntyni@debian.org>  Tue, 07 Sep 2010 10:13:56 +0300

perl (5.12.2~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    + includes the arm alignment fix (Closes: #289884)
    + upgrade the conflict versions of updated modules.
    + put the libfile-spec-perl conflict version in line with the separate
      package, which uses four digits. (Closes: #595121)
  * Merge 5.10.1-13 and -14 from unstable, most notably:
    + the GNU/Hurd @INC fix (Closes: #587901)
    + the gcc 4.5 build fix (Closes: #588799)
    + the binNMU regexp fix (Closes: #585678)
    + remove the Provides entries for the deprecated core modules
      and update their conflict versions.
  * Remove the libshell-perl recommendation, its deprecation has been
    postponed for 5.14. (See #580034)

 -- Niko Tyni <ntyni@debian.org>  Wed, 01 Sep 2010 21:38:34 +0300

perl (5.12.1-1) experimental; urgency=low

  * New upstream release.
    + upgrade the conflict versions of updated modules.
  * Transition away from the deprecated core modules
    (Shell, Switch, Pod::Plainer, Class::ISA). (Closes: #580034)
    + Recommend the now separately packaged versions
    + Modify the deprecation warnings to point to the Debian packages
      instead of CPAN.
  * Break libmarc-charset-perl (<< 1.2) because the earlier versions
    were sensitive to Perl ABI changes like use64bitint. (Closes: #579521)

 -- Niko Tyni <ntyni@debian.org>  Mon, 17 May 2010 16:16:54 +0300

perl (5.12.0-2) experimental; urgency=low

  * Revert -Dusemorebits but leave -Duse64bitint to aim for consistency
    across all the Debian architectures. See the discussion at
    http://lists.debian.org/debian-devel/2010/05/msg00078.html
    + fixes powerpc test failures due to non-IEEE compliant long doubles.
      (Closes: #578295)
    + use gcc-4.3 on sparc to work around a numeric conversion bug in 4.4.
      (Closes: #577016)
  * Downgrade the optimization of sv.c on arm due to a gcc-4.4 bug.
    (Closes: #580334)
  * Fix the new libterm-readline-gnu-perl related failure in perl5db.t and
    version the build conflict back to (<< 1.17).

 -- Niko Tyni <ntyni@debian.org>  Tue, 11 May 2010 22:53:31 +0300

perl (5.12.0-1) experimental; urgency=low

  * New upstream release.
    + POD markup in the NAME section is now suppressed by podlators,
      fixing garbled whatis information for perlpacktut. (Closes: #304143)
    + "runaway format" errors have been removed. (Closes: #77707)
    + Pod::Perldoc no longer generates broken markup for the last perlfunc
      and perlvar entries. (Closes: #558147)
    + Data::Dumper no longer crashes on an invalid push call.
      (Closes: #513935)
  * Move CPANPLUS::Config::System to the right source directory.
  * Fix CPANPLUS test failures when $HOME does not exist. (Closes: #577011)
  * Build-Conflict with libfile-sharedir-perl to avoid Module-Build test
    failures due to ABI incompatibilities. (Closes: #577018)
  * Point Vcs-* fields to the experimental git repository.
  * Set -Dusemorebits on all architectures to support long doubles.
    + apparently fixes use64bitint test failures on sparc. (Closes: #577016)

 -- Niko Tyni <ntyni@debian.org>  Fri, 16 Apr 2010 23:22:01 +0300

perl (5.12.0~rc3-1) experimental; urgency=low

  * New upstream release candidate.
  * Update conflicts/replaces/provides entries for the
    numerous separately packaged modules.
  * Unversion the libterm-readline-gnu-perl build conflict again due to a
    new failure mode in lib/perl5db.t.
  * Verify at build time that perl-base stays self contained.
    + re.so (and attributes.so) now need to go in perl-base
  * Use 64 bit integers (-Duse64bitint) on all platforms. (Closes:
    #310995)

 -- Niko Tyni <ntyni@debian.org>  Tue, 06 Apr 2010 20:08:41 +0300

perl (5.10.1-20) unstable; urgency=medium

  [ Niko Tyni ]
  * [SECURITY] CVE-2011-1487: taint laundering in lc, uc, et al.
    (Closes: #622817)
  * Make the package fail to build instead of silently dropping the
    DB_File module if -ldb doesn't work. (See #622916)

  [ Dominic Hargreaves ]
  * debian/config.debian: never use <libutil.h>, even if libbsd-dev is
    installed. Inspired by a similar Ubuntu change and merged from
    perl 5.12.3-3.

 -- Dominic Hargreaves <dom@earth.li>  Fri, 22 Apr 2011 10:29:41 +0100

perl (5.10.1-19) unstable; urgency=low

  * Remove Eugene from Uploaders as requested
  * debian/config.debian: pass multiarch paths to the build (if
    available) so that we're able to find libraries needed to build.
    Thanks to Steve Langasek. (Closes: #620189)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 01 Apr 2011 09:09:17 +0100

perl (5.10.1-18) unstable; urgency=low

  * Add Conflicts, Replaces, Provides for libencode-perl which is
    being packaged separately. (Closes: #608385)
  * Include information about preparing the repository for use with
    topgit in debian/README.source
  * Fix h2ph header generation with GCC 4.5. Upstream patch by Robin Barker.
    (Closes: #599933)
  * Override Lintian error wrong-path-for-interpreter for
    ./usr/share/perl/5.10.1/Class/ISA.pm which is not expected to be
    executed
  * Add Conflicts, Replaces, Provides for libfile-path-perl which is
    packaged separately (Closes: #617985)
  * Include the full text of the license statements for BSD-style
    licenses in debian/copyright, rather than the deprecated practice of
    referring to an external copy

 -- Dominic Hargreaves <dom@earth.li>  Tue, 15 Mar 2011 20:59:04 +0000

perl (5.10.1-17) unstable; urgency=medium

  * [SECURITY] CVE-2010-2761 CVE-2010-4410 CVE-2010-4411:
    fix CGI.pm MIME boundary and multiline header vulnerabilities.
    (Closes: #606995)

 -- Niko Tyni <ntyni@debian.org>  Fri, 07 Jan 2011 13:57:42 +0200

perl (5.10.1-16) unstable; urgency=low

  * Improve LC_NUMERIC documentation. (Closes: #379329)
  * Fix sprintf not to ignore LC_NUMERIC with constants. (Closes: #601549)
  * Fix stack pointer corruption in pp_concat() with "use encoding".
    (Closes: #596105)

 -- Niko Tyni <ntyni@debian.org>  Tue, 02 Nov 2010 10:17:28 +0200

perl (5.10.1-15) unstable; urgency=low

  * Include the Text::Tabs license in debian/copyright. Thanks to "v.nix.is".
    (Closes: #596844)
  * Downgrade the 'make' recommendation to a suggestion to avoid pulling
    it in by default after all. (Closes: #596734) (Reopens: #293908)
  * Put the libfile-spec-perl conflict version in line with the separate
    package, which uses four digits. (Closes: #595121)
  * Squelch useless locale warnings during package maintainer scripts.
    (Closes: #508764)

 -- Niko Tyni <ntyni@debian.org>  Wed, 06 Oct 2010 21:45:00 +0300

perl (5.10.1-14) unstable; urgency=medium

  * Don't override -DDEBIAN on GNU/Hurd, fixing @INC breakage and other
    things. Thanks to Samuel Thibault. (Closes: #587901)
  * Fix builds on gcc 4.5 by passing PERL_PATCHLEVEL_H_IMPLICIT to cpp.
    Thanks to Loïc Minier and Paul Brook. (Closes: #588799)
  * Fix builds when the name of the current directory contains regexp
    metacharacters, particularly binNMUs with current sbuild versions.
    Thanks to Kyle Moffett and Ansgar Burchardt. (Closes: #585678)
  * Releasing with 'medium' urgency due to an RC bug fix.

 -- Niko Tyni <ntyni@debian.org>  Wed, 04 Aug 2010 13:52:05 +0300

perl (5.10.1-13) unstable; urgency=low

  * [SECURITY] CVE-2010-1974: Update to Safe-2.25, fixing code injection
    and execution vulnerabilities. (Closes: #582978)
  * Add conflicts/replaces/provides for the new libswitch-perl,
    libclass-isa-perl, and libpod-plainer-perl packages. (See #580034)
  * Fix a tell() crash on bad arguments. (Closes: #578577)
  * Fix a format/write crash. (Closes: #579537)
  * Prevent gcc from optimizing the u32align check away, finally fixing
    MD5 on armel. Thanks to Marc Pignat. (Closes: #289884)
  * Fix a test failure in CGI/t/fast.t when FCGI is available.

 -- Niko Tyni <ntyni@debian.org>  Sun, 30 May 2010 11:09:48 +0300

perl (5.10.1-12) unstable; urgency=low

  * Fix the location of an Archive::Tar test file.
  * Update conflict versions on libscalar-list-utils-perl, libxsloader-perl,
    and libnet-perl.
  * Properly include the 5.10.0 site directories on @INC as per Perl policy.
    (Closes: #575030)
  * Fix an errno stringification bug in taint mode. (Closes: #574129) 
  * Move Config_heavy.pl into perl-base and unapply the DynaLoader
    changes introduced in 5.10.1-5. (Closes: #575308)
  * Remove B and B::Deparse from perl-base, they haven't worked without
    the perl package for a long time if ever. (Closes: #576153)
  * Upgrade to Standards-Version 3.8.4 with no changes.

 -- Niko Tyni <ntyni@debian.org>  Sun, 11 Apr 2010 22:55:05 +0300

perl (5.10.1-11) unstable; urgency=low

  * Unapply obsolete Debian patches:
    - Object::Accessor POD patch (fixed in 5.10.1)
    - "missing /etc/hosts"       (fixed in 5.10.1)
    - "arm fp non-IEEE rounding" (fixed in armel)
    - "ppc/ia64 optimization upgrade" (no-op since 5.10.0-5)
    - "arm optimization downgrade" (fixed sometime after gcc 4.0)
  * Make perl-base conflict with older versions of safe-rm to unbreak
    maintainer scripts on partial upgrades. (Closes: #566080)
  * Update debian/README.source to recommend using quilt in NMUs.
  * Include upstream commit information in patchlevel.h.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Wed, 03 Feb 2010 22:38:26 +0200

perl (5.10.1-10) experimental; urgency=low

  * Add conflicts/replaces/provides for libtime-local-perl. (Closes: #567188)
  * Really add the new perl-modules README.Debian. (Closes: #565721)
  * Make libcgi-fast-perl depend on perl (<< 5.10.2~) because
    it's now in the core directory. (Closes: #567092)
  * Switch to dpkg v3 source format.
    + remove the obsoleted quilt-series-but-no-build-dep lintian override.
  * Describe the applied Debian patches in patchlevel.h (and therefore
    `perl -V' output too.) (Closes: #567489)
  * Include minimal copyright and license information on the Debian
    packaging in debian/copyright.
  * Don't try to ship Changes5.* or patching.pod in perl-doc anymore,
    they have been removed upstream for 5.10.1.
  * Upload to experimental to verify that the source format changes work

 -- Niko Tyni <ntyni@debian.org>  Fri, 29 Jan 2010 21:52:06 +0200

perl (5.10.1-9) unstable; urgency=low

  * Move CGI/Fast.pm back to the core directory so that libcgi-pm-perl
    can override it. (Closes: #563713)
  * Add a README.Debian file to perl-modules.
  * Other packages should not depend on perl-modules but perl;
    clarify this in the perl-modules long description and the new
    README.Debian file. (Closes: #552052)
  * Fix a NULL pointer dereference when looking for a DESTROY method.
    (Closes: #564074)
  * Add conflicts/replaces/provides for libfile-spec-perl. (Closes: #556789)
    + note that perl-base contains part of libfile-spec-perl, so it has
      a conflicts entry for earlier versions but does not provide and
      replace it. The rest of the functionality is in perl-modules.

 -- Niko Tyni <ntyni@debian.org>  Sat, 16 Jan 2010 22:13:15 +0200

perl (5.10.1-8) unstable; urgency=medium

  * Fix another perl-suid/i386 dependency bug by using dpkg-shlibdeps
    correctly. (Closes: #556847)
  * Add Conflicts/Replaces/Provides for libthread-queue-perl.
    (Closes: #556793)

 -- Niko Tyni <ntyni@debian.org>  Sat, 21 Nov 2009 21:01:14 +0200

perl (5.10.1-7) unstable; urgency=medium

  * Only run dpkg-shlibdeps when all the shlibs files have been created.
    This fixes perl-suid dependencies on i386. (Closes: #552797)
  * Set myself as Maintainer and remove Brendan O'Dea from the control
    file at his request.
  * Make the threads-shared test suite more robust, fixing failures on hppa.
    (Closes: #554218)

 -- Niko Tyni <ntyni@debian.org>  Fri, 06 Nov 2009 22:18:07 +0200

perl (5.10.1-6) unstable; urgency=high

  * Added /me to Uploaders.
  * Apply upstream fix to resolve some crash in pattern matching against
    non-Unicode tainted string. This fixes CVE-2009-3626. (Closes: #552291)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 22 Oct 2009 23:21:24 +0300

perl (5.10.1-5) unstable; urgency=low

  * Make DynaLoader work without Config_heavy.pl again. (Closes: #549170)

 -- Niko Tyni <ntyni@debian.org>  Thu, 01 Oct 2009 10:52:33 +0300

perl (5.10.1-4) unstable; urgency=low

  * Temporarily work around an internal compiler error in Devel::PPPort
    on ia64+gcc-4.3. (Closes: #548943)

 -- Niko Tyni <ntyni@debian.org>  Tue, 29 Sep 2009 22:28:23 +0300

perl (5.10.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Fri, 25 Sep 2009 21:47:47 +0300

perl (5.10.1-2) experimental; urgency=low

  * reinstate Debian change to ExtUtils::MakeMaker for now to allow
    overriding PREFIX at installation time again. (Closes: #545904)
  * Separate Archive::Tar instance error strings from each other.
    (Closes: #539355)
  * Fix a crash with \G on first match. (Closes: #545234)

 -- Niko Tyni <ntyni@debian.org>  Tue, 15 Sep 2009 21:23:45 +0300

perl (5.10.1-1) experimental; urgency=low

  * New upstream release.
  * Remove traces of libcpan-plus-perl provides/conflicts/replaces in favour
    of libcpanplus-perl.
  * Clean an accidentally duplicated libcpanplus-perl conflict entry.
  * Add conflicts/replaces/provides for
    + libio-compress-bzip2-perl
  * Don't test .ph file syntax when DEB_BUILD_OPTIONS contains "nocheck"
    or "x-perl-notest"
  * Replace /usr/share/doc symlinks with separate changelog and copyright
    files in the arch-independent packages (perl-doc and perl-modules)
    to make sure they correspond to the right package version.
    (Closes: #536384, #542137)
  * Add support for abstract sockets. Thanks to Lubomir Rintel.
    (Closes: #329291, #490660)
  * In versions older than 5.10.0-24, CPANPLUS system configuration would be
    erroneously saved under /usr/share. Avoid loss of local configuration by
    copying it to /etc/perl/CPANPLUS/Config/System.pm on upgrades before the
    new package overwrites it. (Closes: #543910)
  * Add gcc predefined macros to $Config{cppsymbols} on GNU/Hurd.
    Thanks to Samuel Thibault. (Closes: #544307)
  * Fix autodie on hppa by allowing for flock returning EAGAIN instead
    of EWOULDBLOCK. (Closes: #543731)
  * Move /usr/share/perl/5.10/unicore/To into perl-base. (See #543149)

 -- Niko Tyni <ntyni@debian.org>  Thu, 03 Sep 2009 23:41:17 +0300

perl (5.10.1~rc2-1) experimental; urgency=low

  * New upstream release candidate.
    + Archive::Tar now supports bzip2 files. (Closes: #457326)
    + Module::CoreList now includes ExtUtils::Miniperl. (Closes: #508696)
    + ExtUtils::Manifest now handles whitespace correctly. (Closes: #538005)
    + CGI.pm unwanted UTF-8 conversion in URLs is fixed. (Closes: #516129)
    + FileCache needs symbolic references, documentation updated.
      (Closes: #318579)
    + perldoc.pod now references perlpod.pod. (Closes: #479638)
    + Long regular expressions work again. (Closes: #527039)
    + File::Temp::tempfile now supports TMPDIR. (Closes: #351373)
    + File::Temp now works with ACLs. (Closes: #531770)
    + IPC::Cmd now works with arrayrefs. (Closes: #533380)
    + perlpod.pod documentation fix: =encoding affects the whole document.
      (Closes: #527023)
    + CPAN.pm no longer passes make arguments through to Build.
      (Closes: #508183)
    + using the same lexically scoped variable in a foreach loop twice
      no longer segfaults. (Closes: #511589)
    + unwanted filehandle stringification in CGI.pm is fixed. (Closes: #483144)
    + script_name() in CGI.pm is fixed. (Closes: #493965)
    + revision information removed from perlfaq whatis entries
      (Closes: #402046)
  * Updated the conflicts list for the various dual-lived modules.
  * Added conflicts/replaces/provides for 
    + libio-compress-perl
    + libcompress-raw-bzip2-perl
    + libthreads-perl
    + libthreads-shared-perl
    + libparse-cpan-meta-perl
    + libparent-perl
    + libautodie-perl
  * Update the search path in the h2ph check. Thanks to Marius Vollmer.
  * Build-Depend on libbz2-dev instead of using the bundled library in
    ext/Compress-Raw-Bzip2.

 -- Niko Tyni <ntyni@debian.org>  Wed, 19 Aug 2009 23:39:54 +0300

perl (5.10.0-25) unstable; urgency=low

  * Fix File::Copy::copy with pipes on GNU/kFreeBSD.
    Thanks to Petr Salinger. (Closes: #537555)
  * Module::Build::Compat makefiles now support 'distclean'.
    Thanks to Ryan Niebur. (Closes: #527993)
  * Honor TMPDIR when open()ing an anonymous temporary file.
    Thanks to Norbert Buchmuller. (Closes: #528544)
  * Move to libdb4.7. (Closes: #536443)

 -- Niko Tyni <ntyni@debian.org>  Sat, 15 Aug 2009 23:24:30 +0300

perl (5.10.0-24) unstable; urgency=low

  * Change the perl-debug package section and priority to debug/extra.
  * POD fix for Module::Build::Cookbook.
  * Fix a memory leak with the map operator. (Closes: #528332)
  * Add gcc predefined macros to $Config{cppsymbols} on GNU/kFreeBSD.
    (Closes: #533098) 
  * Fix CPAN and CPANPLUS configuration to consistently use the
    site directories with both Build.PL and Makefile.PL. (Closes: #533707)
  * Save local versions of CPANPLUS::Config::System into /etc/perl.
    (See #533707)

 -- Niko Tyni <ntyni@debian.org>  Wed, 08 Jul 2009 23:21:31 +0300

perl (5.10.0-23) unstable; urgency=high

  * Don't try to check nonexistent .ph files: the kFreeBSD port
    doesn't have <asm/termios.h>. (Closes: #526974)
  * [SECURITY] CVE-2009-1391: Fix a buffer overflow in Compress::Raw::Zlib.
    (Closes: #532736)

 -- Niko Tyni <ntyni@debian.org>  Fri, 12 Jun 2009 21:26:18 +0300

perl (5.10.0-22) unstable; urgency=low

  * Make Archive::Extract work with recent versions of GNU tar.
    (Closes: #526822)

 -- Niko Tyni <ntyni@debian.org>  Sun, 03 May 2009 22:09:50 +0300

perl (5.10.0-21) unstable; urgency=low

  * Make the perl package recommend make because /usr/bin/cpan uses it.
    (Closes: #293908)
  * Add a .NOTPARALLEL debian/rules target to explicitly disable parallel
    builds. (Closes: #523940)
  * Squelch 'Constant subroutine ... undefined' warnings from .ph files.
    (Closes: #379757)
  * Elaborate PERL_SYS_* documentation a bit. 
  * Fix a segmentation fault with array ties. (Closes: #525180)
  * Improve Archive::Tar error reporting on short corrupted archives.
    (Closes: #521613)
  * Fix use of -section in Pod::Usage and =over, =back. (Closes: #519785)
  * Archive::Tar now validates archives created by SunOS and HP-UX tar.
    (Closes: #516472)
  * XS_VERSION_BOOTCHECK may break if $VERSION is a long floating point number,
    so recommend using a string instead. (Closes: #482139)

 -- Niko Tyni <ntyni@debian.org>  Sun, 03 May 2009 15:08:58 +0300

perl (5.10.0-20) experimental; urgency=low

  * Manage debian/patches with TopGit as documented in README.source.
    + tweak patch descriptions to consistently have a one-line subject
  * Fixes cherry-picked from upstream:
    + Elaborate a confusing cross-reference in 'perldoc -f sort'.
      (Closes: #405470)
    + Fix a crash on binary-or lvalue operation on qr//. (Closes: #483150)
    + Fix h2xs enum handling with C++ comments. (Closes: #320286) 
    + Fix Data::Dumper::new() argument checking. (Closes: #512036)
    + setpgrp() no longer corrupts the stack. (Closes: #512796)
    + Document PERL_SYS_* macros. (Closes: #522099)
    + Fix pod2man to escape backslashes in .IX entries. (Closes: #521256)
    + Fix h2xs enum handling. (Closes: #502297)
    + Add a SEE ALSO section to perldoc.pod. (Closes: #444932)
  * Activate delayed-branch optimizations on hppa and mips again.
  * Disable ext/threads/shared/t/waithires.t on m68k due to missing TLS.
    (Closes: #517938)
  * Make perlivp skip include directories in /usr/local. (Closes: #510895)
  * Wrap overlong dependency lines in debian/control.
  * Add conflicts/replaces/provides for
    + libcpanplus-perl (Closes: #516289)
    + libsys-syslog-perl (Closes: #498885)
    + libcompress-zlib-perl
    + libcompress-raw-zlib-perl
    + libio-compress-zlib-perl
    + libio-compress-base-perl
    + libpod-escapes-perl
  * Version the build-conflict with libterm-readline-gnu-perl.
    (Closes: #498807)
  * Remove the Etch->Lenny upgrade specific conflicts introduced in 5.10.0-14.
  * Remove the obsolete replacement of libclass-multimethods-perl.
  * Remove the obsolete conflict with libapache-mod-perl.
  * Include copyright and license information for
    + the Unicode database (Closes: #493421)
    + the embedded zlib source in Compress::Raw::Zlib
    + the Cwd module
    + the C parts of File::Glob
  * Test .ph files during the build phase. Thanks to Kees Cook for the patch.
    (Closes: #511848)
    + fix h2ph to find <syslimits.h> again. (Closes: #522673)
  * Various lintian fixes and overrides, most importantly:
    + Use ${binary:Version} for arch:any->any dependencies.
    + Disable zlib bundling in Compress::Raw::Zlib.
      * needs a build-dependency on zlib1g-dev | libz-dev.
  * Include sysexits.ph. (Closes: #505289)
  * Upgrade to Standards-Version 3.8.1.
  * Upload to experimental to test the new h2ph checks.

 -- Niko Tyni <ntyni@debian.org>  Mon, 13 Apr 2009 00:01:02 +0300

perl (5.10.0-19) unstable; urgency=low

  * Downgrade the perl-doc recommendation to a suggestion.
    (Closes: #496770, #442805)
  * Make File::Temp warn on cleaning up the current working directory at
    exit instead of bailing out. (Closes: #479317)
  * Fix $? when dumping core. (Closes: #509041)
  * Fix a memory leak with Scalar::Util::weaken(). (Closes: #506324)
  * [SECURITY] "second half of CVE-2007-4829": Archive::Tar no longer
    follows symlinks when unpacking. Upstream fix backported by Ubuntu.
    (Closes: #509802)

 -- Niko Tyni <ntyni@debian.org>  Thu, 01 Jan 2009 14:15:07 +0200

perl (5.10.0-18) unstable; urgency=high

  * [SECURITY] CVE-2005-0448 revisited: File::Path::rmtree no longer
    allows creating of setuid files. (Closes: #286905)

 -- Niko Tyni <ntyni@debian.org>  Fri, 21 Nov 2008 00:49:57 +0200

perl (5.10.0-17) unstable; urgency=low

  * Fix 'Unknown error' messages with attribute.pm. (Closes: #488088)
  * Add conflicts/replaces/provides for podlators-perl. (Closes: #503123)
  * Raise the timeout of ext/threads/shared/t/stress.t to accommodate
    slower build hosts. (Closes: #501970)
  * Stop t/op/fork.t relying on rand(). (Closes: #317843)
  * Fix two regexp memory leaks. (Closes: #503975)

 -- Niko Tyni <ntyni@debian.org>  Sat, 01 Nov 2008 14:48:22 +0200

perl (5.10.0-16) unstable; urgency=low

  * Revert the perldoc "pod2man --utf8" change from 5.10.0-14.
    The --utf8 option may break for POD documents with a wrong or missing
    =encoding. (Reopens: #492037)
  * Make Pod::Man use the PerlIO UTF-8 output layer when --utf8 is
    enabled. (See #500210)
  * Revert an incorrect substitution optimization introduced in 5.10.0.
    (Closes: #501178)

 -- Niko Tyni <ntyni@debian.org>  Sun, 05 Oct 2008 16:00:41 +0300

perl (5.10.0-15) unstable; urgency=low

  * Fix Sys::Syslog slowness when logging with non-native mechanisms.
    (Closes: #498776)
  * Fix memory corruption with in-place sorting. (Closes: #498769)
  * Pod::Man no longer remaps the code point for non-breaking space.
    (Closes: #500210)

 -- Niko Tyni <ntyni@debian.org>  Mon, 29 Sep 2008 15:06:37 +0300

perl (5.10.0-14) unstable; urgency=low

  * Make perl-base Pre-Depend on dpkg (>= 1.14.20), whose Essential scripts
    don't break when liblocale-gettext-perl and perl-base aren't binary
    compatible. (Closes: #488300)
  * Fix tainted usage of $ENV{TMPDIR} as an sprintf format in CGI.pm.
    (Closes: #494679)
  * Disable ext/threads/shared/t/stress.t on m68k for now. (Closes: #495826)
  * Improve Etch->Lenny upgrades by making perl-base conflict with those
    XS module packages in Etch that lacked the required perlapi-* dependency.
    (Closes: #494779)
  * Upgrade to Pod::Man 2.18 to get the 'pod2man --utf8' functionality
    in lenny. (Closes: #480997)
    + also fixes dash overescaping with non-ascii characters. (Closes: #480565)
    + headings starting with groff special characters are now handled
      correctly. (Closes: #448204)
  * Make /usr/bin/perldoc invoke pod2man with the "--utf8" option if it
    detects a new enough Pod::Man version. (Closes: #492037)

 -- Niko Tyni <ntyni@debian.org>  Mon, 08 Sep 2008 20:48:07 +0300

perl (5.10.0-13) unstable; urgency=low

  * Fix the libpod-simple-perl conflict version number. (Closes: #494272)

 -- Niko Tyni <ntyni@debian.org>  Fri, 08 Aug 2008 10:47:39 +0300

perl (5.10.0-12) unstable; urgency=low

  * Acknowledge NMU, thanks Bastian.
  * Bugfix release targeted for lenny.
  * Upgrade libfile-temp-perl conflict to (<= 0.18). (Closes: #480719)
  * Add upstream integration status information into debian/patches
    where applicable.
  * Add Vcs-Git and Vcs-Browser information in debian/control.
  * Fix Math::BigFloat::sqrt() breaking with too many digits. (Closes:
    #417528)
  * Remove numeric overloading of Getopt::Long callback functions.
    (Closes: #479434)
  * Support GNU/Hurd and GNU/kFreeBSD in Module::Build and
    ExtUtils::CBuilder. (Closes: #480385, #480375)
  * Fix a segmentation fault occurring in the mod_perl2 test suite.
    (Closes: #475498)
  * Fix the PerlIO_teardown prototype to suppress a compiler warning.
    (Closes: #479540)
  * Integrate some documentation fixes from upstream. (Closes: #357663,
    #443733, #412542)
  * Mention the relation between 'eval "require Foo"' and
    PERL_DL_NONLAZY in the 'perldoc -f eval' documentation . (See
    #479711).
  * Fix a typo in perlpodspec.pod. (Closes: #447830)
  * Fix 'constant subroutine SEEK_* redefined' warnings when using the
    Fcntl and POSIX modules together. (Closes: #479957)
  * Add conflicts/replaces/provides for libpod-simple-perl. (Closes: #481956)
  * Fix crashes on @ISA fiddling. (Closes: #480480)
  * Fix building with DEB_BUILD_OPTIONS=noopt. (Closes: #482110)
  * Remove the __LONG_MAX__ kludge introduced in 5.8.1-1, it shouldn't be
    needed anymore and emits warnings. (Closes: #480428)
  * Make the '-x' test work with 'use filetest q/access/'. (Closes:
    #483734)
  * Update the description of the perl-base package. Thanks to Justin B Rye.
    (Closes: #484681, #144193)
  * Move /usr/share/perl/5.10/unicore/lib into perl-base. (Closes: #480533)
  * Add conflicts/replaces/provides for libextutils-parsexs-perl.
    (Closes: #485416)

 -- Niko Tyni <ntyni@debian.org>  Tue, 05 Aug 2008 14:17:05 +0300

perl (5.10.0-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix lost reference in PerlIO::via::via. (closes: #479698)

 -- Bastian Blank <waldi@debian.org>  Tue, 15 Jul 2008 14:48:44 +0000

perl (5.10.0-11) unstable; urgency=high

  * [SECURITY] File::Path::rmtree() no longer makes symlink targets
    world-writable. Patch by Ben Hutchings. (Closes: #487319)

 -- Niko Tyni <ntyni@debian.org>  Sat, 21 Jun 2008 15:18:50 +0300

perl (5.10.0-10) unstable; urgency=low

  * Integrate NMU, thanks Bastian.
  * Make h2ph allow the quote mark delimiter also for those #include directives
    chased with "h2ph -a". (Closes: #479762)
  * Adjust manual page sections in Module::Build::Base for the Debian Perl
    policy. (Closes: #479460)
  * Disable the "v-string in use/require is non-portable" warning again.
    (Closes: #479863)

 -- Niko Tyni <ntyni@debian.org>  Thu, 08 May 2008 14:32:30 +0300

perl (5.10.0-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move Hash::Util into perl-base. (closes: #479202)

 -- Bastian Blank <waldi@debian.org>  Tue, 06 May 2008 11:26:01 +0000

perl (5.10.0-9) unstable; urgency=low

  * Upload to unstable.

 -- Brendan O'Dea <bod@debian.org>  Thu, 01 May 2008 01:11:40 +1000

perl (5.10.0-8) experimental; urgency=low

  * Apply upstream change 33388 to fix a segmentation fault with
    'debugperl -Dm'. (Closes: #474613)
  * Move Tie::Hash into perl-base, as it's now needed by POSIX.pm.
    (Closes: #475909)

 -- Niko Tyni <ntyni@debian.org>  Sun, 13 Apr 2008 23:40:04 +0300

perl (5.10.0-7) experimental; urgency=low

  * New comaintainer.
  * Make perl replace libmodule-corelist-perl (<< 2.14-2) because of
    /usr/bin/corelist. (Closes: #470385)
  * Update the libmodule-corelist-perl conflict version to 2.13-1.
    (Closes: #471515)
  * Apply upstream change 33554 to make IO::Socket::INET able to 
    resolve "udp" without /etc/protocols.
  * Make perl recommend netbase. Along with the new fallback defaults for the
    most common protocols, this should be a good compromise for the
    "IO::Socket::INET needs netbase" problem. (Closes: #185244)

 -- Niko Tyni <ntyni@debian.org>  Sun, 30 Mar 2008 21:09:46 +0300

perl (5.10.0-6) experimental; urgency=low

  * More fiddling with libarchive-tar-perl conflict version on perl-modules
    plus addition of replaces to perl due to ptar, ptardiff.  Thanks to Niko
    Tyni for picking this up (closes: #466874).

 -- Brendan O'Dea <bod@debian.org>  Mon, 10 Mar 2008 00:40:00 +1100

perl (5.10.0-5) experimental; urgency=low

  * Really bump libarchive-tar-perl conflict version (closes: #466874).
  * Fix typo in libmodule-corelist-perl conflict version (closes: #467112).
  * Add conflicts/replaces/provides for libxsloader-perl (closes: #468121).
  * Include debug info for all ELF files in /usr/lib/debug (closes: #468484).
  * Apply upstream change 33287 (removes non-null contraint, closes: #467072).
  * Regex engine in new version is no longer recursive--stops some
    regexes from blowing the stack and segfaulting (closes:  #466298).

 -- Brendan O'Dea <bod@debian.org>  Sun, 09 Mar 2008 19:54:55 +1100

perl (5.10.0-4) experimental; urgency=low

  * New version fixes RT segfault in Text::Tabs (closes: #400733).
  * New version fixes segfaulting oneliner (closes: #336920).
  * Apply upstream change 33127: File::Find bydepth doc (closes: #460922).
  * Convert upstream Changes file to UTF-8.
  * Bump libarchive-tar-perl conflict version (closes: #466874).
  * Fix spelling of libmodule-pluggable-perl in control file  (closes: #467007).

 -- Brendan O'Dea <bod@debian.org>  Fri, 22 Feb 2008 23:47:52 +1100

perl (5.10.0-3) experimental; urgency=low

  * New version retains pos after localizing target (closes: #49669).
  * Add conflicts/replaces/provides for libperl-version (closes: #460915).
  * Correct typo in CGI.pm documentaion (closes: #459841).
  * Modify MakeMaker install target dependencies to facilitate parallel makes.

 -- Brendan O'Dea <bod@debian.org>  Mon, 28 Jan 2008 11:58:25 +1100

perl (5.10.0-2) experimental; urgency=low

  * Fix libperl-dev depends (closes: #458135).
  * Skip failing Sys::Syslog test when /dev/log unavailable (closes: #457760).

 -- Brendan O'Dea <bod@debian.org>  Sun, 30 Dec 2007 12:51:30 +1100

perl (5.10.0-1) experimental; urgency=low

  * New upstream version.
  * perlcc has been removed (closes: #162950, #88463).
  * warn with non-ascii and I18N::Langinfo appears fixed (closes: #343831).
  * Replace use of Source-Version with source:Version.
  * Remove /etc/Net (incorrectly installed by perl 5.8, see #425850) on
    upgrade and removal (closes: #453915, #450694).

  * Add build-conflict for libterm-readline-gnu-perl to avoid a spurious
    test failure of perl5db.pl

  * Update perl conflict versions for:
     libdigest-sha-perl (5.45) and
     libtime-piece-perl (1.12).

  * Update perl-modules conflict versions for:
     libmodule-corelist-perl (2.12),
     libio-zlib-perl (1.07),
     libarchive-tar-perl (1.37.1),
     libextutils-cbuilder-perl (0.21),
     libmodule-build-perl (0.2808.1),
     libmodule-load-perl (0.12),
     liblocale-maketext-simple-perl (0.18),
     libparams-check-perl (0.26),
     libmodule-plugable-perl (3.6),
     libmodule-load-conditional-perl (0.22) and
     libcpan-plus-perl (0.83.09).

 -- Brendan O'Dea <bod@debian.org>  Sat, 22 Dec 2007 22:27:01 +1100

perl (5.8.8-12) unstable; urgency=high

  * SECURITY [CVE-2007-5116] (closes: #450456): Apply patch from
    Will Drewry and Tavis Ormandy of the Google Security Team to fix a
    UTF-8 related heap overflow in Perl's regular expression compiler,
    probably allowing attackers to execute arbitrary code by compiling
    specially crafted regular expressions.

  * Support "nocheck" option in DEB_BUILD_OPTIONS (closes: #449549).
  * Suppress Configure test for ualarm() so that setitimer() emulation
    is used (closes: #448965).

 -- Brendan O'Dea <bod@debian.org>  Thu, 08 Nov 2007 08:42:01 +1100

perl (5.8.8-11.1) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency high because of RC bug fix.
  * Fix h2ph to generate a correct check to distinguish i386/amd64 systems.
    (Closes: #443785)

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 17 Oct 2007 16:26:33 +0300

perl (5.8.8-11) unstable; urgency=low

  * Remove arm and alpha special cases (closes: #443353).

 -- Brendan O'Dea <bod@debian.org>  Fri, 21 Sep 2007 07:24:08 +1000

perl (5.8.8-10) unstable; urgency=low

  * Add support for SH4 arch (closes: #424867).
  * Add --strip-unneeded when stripping shared objects.
  * Include stripped debugging symbols for perl and libperl.so in
    /usr/lib/debug in perl-debug package (closes: #433631).

  * Switch to libdb4.6 (closes: #427517).
  * Re-instate libcgi-fast-perl, relocating module to vendor directory
    (closes: #443236).

 -- Brendan O'Dea <bod@debian.org>  Thu, 20 Sep 2007 19:47:14 +1000

perl (5.8.8-9) unstable; urgency=low

  * Fix perl-base replaces after move of PVA.pl etc.
  * Remove ancient conflicts on perl-transition packages (perl-5.004, etc).
  * Bump dependency of perl-modules on perl to version after move of
    modules to perl-base (closes: #377385).

  * Pod/Man.pm: preserve quote chars in verbatim paragraphs (closes: #393810).
  * Fix typo in Locale::Maketext::TPJ13 docs (closes: #320060).

 -- Brendan O'Dea <bod@debian.org>  Tue, 18 Sep 2007 17:32:21 +1000

perl (5.8.8-8) unstable; urgency=low

  * Include unicore/{PVA,Exact,Canonical}.pl in perl-base (closes: #437142).
  * Install libnet.cfg in /etc/perl/Net (closes: #425850).
  * Update makedepend.SH from perl-current to handle changed
    preprocessor output from new gcc (closes: #381703).

  * Fix CGI::upload when fileno == 0 (closes: #383378).
  * Abort CPAN setup if stdin is not a tty (closes: #246511).
  * Bump gcc build-depends to 4.2 and remove workaround added for register
    declaration problems in g++ 4.1 (closes: #378399).

  * Replace '_' with '.' in conflict version for libattribute-handlers-perl
    (closes: #403249).

  * Fix hang when using study + taint (closes: #415296).
  * Remove libcgi-fast-perl as a separate package (closes: #422592).
  * Pod/Man.pm: escape backslashes in index entries (closes: #440448).
  * Pod/Html.pm: Fix handling of nested definition lists (closes: #423168).

 -- Brendan O'Dea <bod@debian.org>  Mon, 17 Sep 2007 03:42:48 +1000

perl (5.8.8-7) unstable; urgency=low

  * Apply optimisation for File::Spec->abs2rel suggested by joeyh
    (closes: #376658).

  * Patch perl5db.pl to cope with lines from a remote socket requiring
    multiple calls to recv (fixes a problem reported by EPIC folks).

  * Merge NMU.

  [Marc 'HE' Brockschmidt] (closes: #398331)
  * Completly replace libnet-perl:
   + Integrate some patches for the Net:: modules
   + debian/control: Update to replace the last libnet-perl version.
   + Update configuration mechanism so that /etc/perl/Net/libnet.cfg
     sources in /etc/libnet.cfg if it exists, otherwise the
     configuration is stored there. This saves us trouble from
     converting debconf-managed /etc/libnet.cfg to a dpkg conffile

 -- Brendan O'Dea <bod@debian.org>  Sun, 19 Nov 2006 01:07:26 +1100

perl (5.8.8-6.1) unstable; urgency=high

  * Non-maintainer upload to fix Failure To Build From Source in hppa, mips
    and mipsel architectures.
  * Added debian/patches/74_debian_hppa_mips_optim, that forces pp_pack.c to
    be compiled without the delayed-branch optimization option.
    (Closes: #374396)

 -- Margarita Manterola <marga@debian.org>  Sun,  6 Aug 2006 11:50:18 -0300

perl (5.8.8-6) unstable; urgency=low

  * Work around g++-4.1 issue with register parameter declarations.
  * Add errno.ph (simple wrapper around Errno module).

 -- Brendan O'Dea <bod@debian.org>  Sun, 11 Jun 2006 22:38:12 +1000

perl (5.8.8-5) unstable; urgency=low

  * Correctly identify arch-specific modules in ext/ where the .pm
    files are under lib.  Adjust perl-base.files (closes: #369481).

  * Ensure that POSIX/SigAction is kept with the rest of the POSIX
    module under archlib.

  * Apply upstream change 26536: add INSTALL{VENDOR,SITE}SCRIPT
    macros (closes: #362949).

  * [Don Armstrong] Revert part of upstream change 24524 to always use
    PERLRUNINST when building perl modules (closes: #357264).

 -- Brendan O'Dea <bod@debian.org>  Sat,  3 Jun 2006 17:06:45 +1000

perl (5.8.8-4) unstable; urgency=low

  * Preserve timestamps in /usr/share/doc.
  * Revert Sys::Syslog change (see: #345157).
  * Fix typo in perlsec(1) (closes: #358455).
  * Change build-dep on procps to "procps|hurd" (closes: #357699).

 -- Brendan O'Dea <bod@debian.org>  Wed,  5 Apr 2006 01:30:11 +1000

perl (5.8.8-3) unstable; urgency=low

  * Add build-dep on procps (required by t/op/magic).
  * Remove trailing \0 from Sys::Syslog messages (closes: #345157).
  * Getopt::Long:  allow "ignorecase_always" as a synonym for
    "ignore_case_always" to match the documention (closes #354197).

  * Don't add -Wdeclaration-after-statement to ccflags: this causes
    problems when building extensions with gcc-3.3 .

  * Pod::Man: don't translate "|" (closes: #291391).

 -- Brendan O'Dea <bod@debian.org>  Fri, 10 Mar 2006 03:07:28 +1100

perl (5.8.8-2) unstable; urgency=low

  * Move overload.pm back to perl-base (closes: #352060).
  * Extend timer in Time::HiRes test to 5 mins (for m68k).

 -- Brendan O'Dea <bod@debian.org>  Fri, 10 Feb 2006 06:23:17 +1100

perl (5.8.8-1) unstable; urgency=low

  * New upstream version.
  * Update perl-base conflict versions for:
      libscalar-list-utils-perl (1.18).

  * Update perl conflict versions for:
      libdigest-md5-perl (2.36),
      libmime-base64-perl (3.07),
      libstorable-perl (2.15) and
      libtime-hires-perl (1.86).

  * Update perl-modules conflict versions for:
      libattribute-handlers-perl (0.78_02),
      libcgi-pm-perl (3.15),
      libpod-parser-perl (1.32),
      libansicolor-perl (1.10),
      libtest-harness-perl (2.56) and
      libtest-simple-perl (0.62).

  * Revert debian/patches/02_fix_file_path to upstream fix.
  * Update to DB_File to db4.4.
  * Move Data::Dumper and overload from perl-base to perl now that
    debconf no longer requires Data::Dumper.

 -- Brendan O'Dea <bod@debian.org>  Sat,  4 Feb 2006 19:33:24 +1100

perl (5.8.7-10) unstable; urgency=low

  * Remove DB_File version checks (closes: #340047, #343335).
  * Remove Errno version check, which can cause problems with long-running
    processes that embed perl when perl is upgraded (closes: #343351)

  * Apply upstream 26321: Disallow sprintf's vector handling for
    non-integer formats.

 -- Brendan O'Dea <bod@debian.org>  Fri, 16 Dec 2005 01:32:14 +1100

perl (5.8.7-9) unstable; urgency=high

  * SECURITY [CVE-2005-3962] (closes: #341542):
    + Apply upstream fixes to prevent buffer overflows in
      printf/sprintf caused by malicious format strings.
    + Update Sys::Syslog to 0.09, which only uses the message as a
      format string to sprintf when additional arguments are given.

  * Remove -Dusemymalloc from perl-debug (added for #178243: to
    enable PERL_DEBUGGING_MSTATS), as this causes debugperl to break with
    compiled modules.  Closes: #337050, #342526).

  * Skip Math::Complex tests 267 and 487, failing due to non-IEEE fp
    rounding rules in the kernel fp emulation.

 -- Brendan O'Dea <bod@debian.org>  Sat, 10 Dec 2005 16:43:02 +1100

perl (5.8.7-8) unstable; urgency=low

  * ARM fix is also required for armeb.
  * Skip lib/Net/hostent.t test if no /etc/hosts (some buildds).
  * Fix debugger termination message to refer to "o" rather than "O" for
    setting options (closes: #334516).

  * Fix problem with untainting of captured $N (thanks to Chris Heath
    for analysis and patch; closes: #303308).

  * Fix h2ph to correctly locate gcc's include directory (closes: #328500).
  * Update to DB_File to db4.3 (closes: #336486).

 -- Brendan O'Dea <bod@debian.org>  Sun, 13 Nov 2005 12:05:29 +1100

perl (5.8.7-7) unstable; urgency=low

  * ARM optimisation fix take 2.  Downgrade optimisation of pp_pack to
    -Os (closes:  #333510).  Thanks to Bill Gatliff for the extended
    use of the CSB625 is his basement.

  * Change section of perl-base to "perl".

 -- Brendan O'Dea <bod@debian.org>  Mon, 17 Oct 2005 23:16:32 +1000

perl (5.8.7-6) unstable; urgency=low

  * Downgrade optimisation on arm to -O1 for certain files due to
    problems with gcc 4.0 (closes: #333510).

 -- Brendan O'Dea <bod@debian.org>  Thu, 13 Oct 2005 13:35:38 +1000

perl (5.8.7-5) unstable; urgency=low

  * Handle changed dpkg-architecture output so that perl is statically
    linked on i386 again (closes: #324418).

  * Add build-dep on cpio 2.6-5 to ensure libperl.so link is included in
    libperl-dev package (#326090).

  * Various a2p fixes:
    + Make {$1++;print} work correctly.  The re-join was occuring for
      assignment, but not increment (close: #198945).

    + Make {$NF++} work.  Was generating $Fld[$#Fld++].
    + Use -1 as the last argument to split (closes: #18395).
    + Omit last argument to substr (cosmetic).

 -- Brendan O'Dea <bod@debian.org>  Mon, 12 Sep 2005 01:14:31 +1000

perl (5.8.7-4) unstable; urgency=low

  * Don't generate broken md5sums for libperl5.8 (closes: #304640).
  * Build with gcc 4.0; restore standard (-O2) optimisation on arm, ia64
    and powerpc.  Remove gcc-2.95 build work-around for m68k.
  * Fix test of reenterant function return values which was causing
    perl to malloc itself to death if ERANGE was encountered before
    ENOENT (such as a long line in /etc/group; closes: #227621).

 -- Brendan O'Dea <bod@debian.org>  Sat,  9 Jul 2005 11:14:13 +1000

perl (5.8.7-3) unstable; urgency=low

  * Add alternative for /usr/bin/rename (closes: #304705).
  * install* variables have been moved from Config.pm to
    Config_heavy.pl; strip (closes: #312419).

 -- Brendan O'Dea <bod@debian.org>  Wed,  8 Jun 2005 23:00:25 +1000

perl (5.8.7-2) unstable; urgency=low

  * Sarge has released.  Rebuild for unstable.

 -- Brendan O'Dea <bod@debian.org>  Tue,  7 Jun 2005 09:31:16 +1000

perl (5.8.7-1) experimental; urgency=low

  * New upstream version.
  * Update perl conflict versions for:
      libtime-hires-perl (1.66).

  * Update perl-module conflict versions for:
      libcgi-pm-perl (3.10),
      libfile-temp-perl (1.16),
      libmath-bigint-perl (1.77),
      libpod-parser-perl (1.30),
      libansicolor-perl (1.09),
      libtest-harness-perl (2.48) and
      libtest-simple-perl (0.54).

 -- Brendan O'Dea <bod@debian.org>  Fri,  3 Jun 2005 00:40:00 +1000

perl (5.8.6-1) experimental; urgency=low

  * New upstream version.  Uploading to experimental due to the sarge
    freeze.

  * Update perl conflict versions for:
      libmime-base64-perl (3.05) and
      libtime-hires-perl (1.65).

  * Update perl-module conflict versions for:
      libcgi-pm-perl (3.05),
      libi18n-langtags-perl (1.35) and
      libmath-bigint-perl (1.73).

 -- Brendan O'Dea <bod@debian.org>  Sat, 21 May 2005 18:01:17 +1000

perl (5.8.4-8) unstable; urgency=low

  * Remove $!{ENOENT} test from rmtree; File::Path is used during the
    build process before Errno is installed.

 -- Brendan O'Dea <bod@debian.org>  Tue,  8 Mar 2005 19:30:38 +1100

perl (5.8.4-7) unstable; urgency=low

  * SECURITY [CAN-2005-0448]: rewrite File::Path::rmtree to avoid race
    condition which allows an attacker with write permission on
    directories in the tree being removed to make files setuid or to
    remove arbitrary files (closes: #286905, #286922).  Supersedes
    the previous patch for CAN-2004-0452.

  * Add PERL_DEBUGGING_MSTATS for debugperl (closes: #178243).
  * Escape dashes in verbatim text to have groff render them as-is
    rather than as \x{2010} (closes: #250877).

  * CGI: handle escaped newlines in URLs (closes: #289709).
  * Net::NNTP: fix precedence error in article routine (closes: #275142).
  * Devel::Dprof: refer to executable as `perl' (closes: #198855).
  * Remove spurious undefined warning in getopts.pl (closes: #255919).
  * Remove XSI-isms from maintainer scripts (closes: #256731).
  * Revise MakeMaker patch to defer expansion of $(MANnEXT) until
    runtime (closes: #263325).

  * Normalise case of a2p man page OPTIONS section, place optional
    filename in brackets (closes: #281091, #281092).

  * Fix octal glitch in perlreref(1) (closes: #281437).
  * Have perl suggest both ReadLine variants (gnu, perl).
  * Upgrade suggestion on perl-doc to recommends now that dselect is
    less pedantic about the latter.

 -- Brendan O'Dea <bod@debian.org>  Mon,  7 Mar 2005 10:22:01 +1100

perl (5.8.4-6) unstable; urgency=high

  * SECURITY [CAN-2005-0155, CAN-2005-0156]: apply Mandrake patch to
    perlio.c which removes a privilege escalation in debug mode and a
    buffer overflow.

  * Make close return false if the stream had prior errors (patch from
    Jim Meyering; closes: #285435).

  * Fix enc2xs to handle missing entries symlinks in @INC, and missing
    directories (thanks to Sven Hartge; closes: #290336).

  * Add --no-backup-if-mismatch to patch/unpatch rules.
  * Correct some minor errors in 09_fix_insecure_tempfiles:  wrong
    quoting in c2ph.PL, documentation of .perldbtty in perldebug.pod .

 -- Brendan O'Dea <bod@debian.org>  Wed,  2 Feb 2005 23:55:27 +1100

perl (5.8.4-5) unstable; urgency=low

  * SECURITY [CAN-2004-0452]: use less permissive chmods in rmtree.
  * Move utf8_heavy.pl from perl-modules to perl-base (closes: #280596).
  * Change ext/*/hints/gnuk{net,free}bsd.pl to use "./hints/linux.pl"
    (added leading "./").

  * Add debian/watch file.
  * Install correct MANIFEST.SKIP for ExtUtils (closes: #283802).
  * Fix error in perlipc documentation of "|-" (closes: #282110).
  * Add replaces for libclass-multimethods-perl which erroneously
    included /usr/lib/perl/5.8 (closes: #284489).

 -- Brendan O'Dea <bod@debian.org>  Sat, 11 Dec 2004 22:50:44 +1100

perl (5.8.4-4) unstable; urgency=low

  * SECURITY [CAN-2004-0976]: patches from Trustix for insecure temp
    file usage (thanks to Joey Hess for analysis; closes #278404).
    - Some unsafe examples in the DB_File POD.
    - Use of the unsafe tmpnam in the ext/DB_File/t/db-recno.t test
      script.
    - Use of unsafe temporary file names in ext/Devel/PPPort/PPPort.pm .
    - An example in MakeMaker.pm that suggets setting PREFIX=/tmp/myperl5
      and another that suggets setting DESTDIR=/tmp/ .
    - Insecure use of /tmp file in instmodsh.
    - Insecure use of /tmp file in lib/Memoize/t/tie.t, tie_gdbm.t, tie_ndbm.t,
      tie_sdbm.t, tie_storable.t, probably exploitable at build time if these
      tests are run.
    - Use of insecure temp file in POD docs in lib/perl5db.pl
      and also an insecure temp file in the setterm() function in that
      program.

  * Fix "bizarre copy of ARRAY" error (thanks to Frank Lichtenheld for
    pointing out upstream change 22781; closes #275298).

  * Re-order DESCRIPTION paragraph of perl(1) (closes: #278323).
  * Escape - in character class in Encode::Alias (closes: #278874).
  * Add hints/gnuk{net,free}bsd.pl which sources hints/linux.pl to
    some extensions (closes: #248184).

 -- Brendan O'Dea <bod@debian.org>  Sun,  7 Nov 2004 02:19:25 +1100

perl (5.8.4-3) unstable; urgency=low

  * Cleanup NMU:
    - make patch apply/unapply cleanly (closes: #276969).
    - update libmime-base64-perl conflicts to 3.04 .

  * Add -D_GNU_SOURCE to hints/gnu.sh (closes: #258618).
  * Add hints/gnuk{net,free}bsd.sh (closes: #248184).
  * Fix IO blocking method on sparc.
  * Use -O1 selectively on powerpc (as with ia64, arm).

 -- Brendan O'Dea <bod@debian.org>  Mon, 25 Oct 2004 01:07:00 +1000

perl (5.8.4-2.3) unstable; urgency=high

  * NMU.
  * Update MIME::Base64 to version 3.03, needed by MIME-tools 5.413.
  * Fix lintian warnings in synopsis of some binary packages.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2004 15:07:29 +0200

perl (5.8.4-2.2) unstable; urgency=low

  * NMU, aided by Adam Conrad.
  * Make debian package autobuildable by integrating the handholding developed
    by the people working on #247176 into the package infrastructure.
    - on ARM and ia64 set optimize=-O1 for selected files
      (63_debian_optim_workaround)
    - Build with cpp-2.95/gcc-2.95 on m68k.

 -- Andreas Metzler <ametzler@debian.org>  Wed,  1 Sep 2004 11:51:10 +0200

perl (5.8.4-2) unstable; urgency=low

  * Revert DynaLoader version permit programs linked with pre-5.8.4 perl
    to libperl.so to work (closes: #247291).

  * Modify MakeMaker to pass the full section name to pod2man (closes:
    #247370).

 -- Brendan O'Dea <bod@debian.org>  Tue, 11 May 2004 23:29:02 +1000

perl (5.8.4-1) unstable; urgency=low

  * New upstream version.
  * DB_File now uses to db4.2 (previously db4.0; closes: #240771).
  * Update perl conflict versions for:
      libmime-base64-perl (3.01),
      libtime-hires-perl (1.59) and
      libstorable-perl (2.12).

  * Update perl-module conflict versions for:
      libansicolor-perl (1.08),
      libcgi-pm-perl (3.04),
      liblocale-maketext-perl (1.08) and
      libmath-bigint-perl (1.70).

  * Add conflicts/replaces/provides for liblocale-codes-perl.  As there
    are some core changes to this module not reflected in the CPAN
    package fake up version as 2.06.1-1 (closes: #240497).

  * Fixed debian/config.debian to pass -Doptimize correctly (changes in
    5.8.3-3 broke perl-debug; closes: #246326).

 -- Brendan O'Dea <bod@debian.org>  Sun,  2 May 2004 09:46:25 +1000

perl (5.8.3-3) unstable; urgency=medium

  * [CAN-2003-0618] Apply Paul Szabo's suidperl fixes to prevent path
    disclosure (upstream change 22563; closes: #220486).

  * Add build option to supress regression tests; document
    perl-specific DEB_BUILD_OPTIONS values in README.Debian.

 -- Brendan O'Dea <bod@debian.org>  Sat, 27 Mar 2004 11:23:37 +1100

perl (5.8.3-2) unstable; urgency=low

  * Supress spurious pseudohash warning (closes: #231619).
  * Add patch from Go"ran Weinholt for hurd (closes: #230710).
  * Create the correct site directory for perllocal (closes: #232074).
  * Documentation fixes from Julian Gilbey for Encode and perluniintro
    (closes: #219297, #219308).

  * Issue a warning for missing section 1 manual pages and add missing
    instmodsh documentation (closes: #230730).

  * cpan script moved to the perl package (from perl-modules) in
    5.8.1-1; add replaces (closes: #232705).

  * Add conflict for libapache-mod-perl which segfaults with 5.8.2+
    libperl5.8 (closes: #232537).

  * Set default Makefile.PL arg of 'INSTALLDIRS=site' for CPAN.
  * Ensure that the version of perl-doc matching Upstream-Version is
    installed (via depend on perl-doc and conflict on perl).

 -- Brendan O'Dea <bod@debian.org>  Sun, 15 Feb 2004 12:40:09 +1100

perl (5.8.3-1) unstable; urgency=low

  * New upstream version.
  * Update conflict versions for updated core modules.
  * Add epoch to conflict for libscalar-list-utils-perl, move to
    perl-base (closes: #225873).

  * Use generic values for $Config{myhostname} and $Config{mydomain}.
  * Include more information on packaging details in README.Debian.
  * Clarify signal handling during system (closes: #224235).
  * Add -march=armv3 for arm until gcc defaults are fixed (closes:
    #230010).

  * Drop sub-version from privlib/archlib directories to match the
    libperl soname, preventing problems for programs embedding an
    interpreter when upgrading libperl to a new sub-version.

 -- Brendan O'Dea <bod@debian.org>  Thu, 29 Jan 2004 13:39:00 +1100

perl (5.8.2-2) unstable; urgency=low

  * Remove empty directories from /usr/share/perl (closes: #220422).
  * Upstream change 21719: empty subroutine segfaults (closes: #220277).
  * Add reentr.pl patch from Chip to fix C++ API (closes: #220840).
  * Add Conflicts/Replaces/Provides for libscalar-list-utils-perl (in
    core since 5.8.0; closes #218356).

 -- Brendan O'Dea <bod@debian.org>  Sat, 15 Nov 2003 14:54:26 +1100

perl (5.8.2-1) unstable; urgency=low

  * New upstream version.
  * Update module conflicts.

 -- Brendan O'Dea <bod@debian.org>  Sat,  8 Nov 2003 01:19:29 +1100

perl (5.8.1-4) unstable; urgency=low

  * ODBM_File/NDBM_File: dbm/ndbm compatability libraries are now in
    libgdbm_compat.so.

 -- Brendan O'Dea <bod@debian.org>  Thu, 23 Oct 2003 22:10:22 +1000

perl (5.8.1-3) unstable; urgency=low

  * Don't mark srand as being called when setting the hash seed
    otherwise all forked processes end up with the same seed.

  * Move Net::Config back to /usr/share/perl and set location of
    libnet.cfg to /etc/perl/Net (closes #215730).

  * Apply Nicholas Clark's "Plan C" for foiling the algorithmic
    complexity attack (based on Chip's plan A (binary compatibility with
    5.8.0 and 5.8.1).  Closes: #213976, #214938.

 -- Brendan O'Dea <bod@debian.org>  Sat, 18 Oct 2003 09:41:16 +1000

perl (5.8.1-2) unstable; urgency=low

  * Added missing Provides: libstorable-perl (closes: #213320).
  * Remove temporary build dir from install{priv,arch}lib Config
    variables (closes: #213355).

 -- Brendan O'Dea <bod@debian.org>  Tue, 30 Sep 2003 09:10:33 +1000

perl (5.8.1-1) unstable; urgency=low

  * New upstream version.
    Closes: #211967 (problem with Term::Complete).

  * Remove cpan script in favour of upstream replacement.
  * Update conflict versions for core modules.
  * Add note to suidperl package description about possible timing
    attacks (as noted in #203426).

  * Kludge around missing __LONG_MAX__ definition in generated .ph
    headers (closes: #212708).

 -- Brendan O'Dea <bod@debian.org>  Sun, 28 Sep 2003 20:53:25 +1000

perl (5.8.0-21) unstable; urgency=high

  * Security: further changes for suidperl path disclosure [CAN-2003-0618]
    to correct exit values and removes extraneous period (closes: #203426).

 -- Brendan O'Dea <bod@debian.org>  Thu, 11 Sep 2003 17:58:19 +1000

perl (5.8.0-20) unstable; urgency=high

  * Security: path disclosure via suidperl [CAN-2003-0618] fixed by
    application of upstream change 21045 (thanks Jarkko; closes:
    #203426).

  * Add dependency on the exact version of perl-base to libperl5.8 to
    ensure that the correct base modules are available to programs
    embedding an interpreter (closes: 182089).

    Move shared library to the perl-base package on architectures
    where /usr/bin/perl is dynamically linked to the library
    (everything other than i386) to avoid a dependency loop.

  * Change sections to match overrides (new perl and libdevel sections).
  * Apply upstream change 18471 to correct behaviour of tell on files
    opened O_APPEND (reported by Sergio Rua).

  * Apply upstream change 21031 to alter the distribution conditions
    of perlreftut(1) (see #202723).  Include this manual page in
    perl-doc once again.  Many thanks to Kevin Carlson of TPJ and to
    Mark Jason Dominus for their cooperation and assistance with this
    licence change.

  * Apply patch from Matt Kraai making braced-group macro expressions
    conditional on !__cplusplus (fixes abiword build on m68k; closes:
    #204859).

  * Ensure all dependencies of libperl are directly linked (previously
    -lm and -lpthread were not) for prelink (closes: #187372).

  * Fix permissions on DEBIAN directories in build (closes: #207332).
  * Expand perl-modules description (closes: #210096).
  * Add some documentation to README.Debian about the source package.
  * Backport some changes from DB_File 1.806 to set some tie argument
    defaults (reported by Sergio Rua).

  * Apply upstream fix for h2ph from Kurt Starsinic to suppress
    redefinition warnings.

 -- Brendan O'Dea <bod@debian.org>  Wed, 10 Sep 2003 17:25:10 +1000

perl (5.8.0-19) unstable; urgency=low

  * Security: cross site scripting vulnerability in CGI (closes: #202367).
  * Fix in perlvar.pod (closes: #202784).
  * Remove non-free perlreftut(1) manual page and POD (closes: #202723).
  * Change architecture check to use variables set by
    dpkg-buildpackage or from dpkg-architecture (closes #201240).

 -- Brendan O'Dea <bod@debian.org>  Tue, 29 Jul 2003 23:59:58 +1000

perl (5.8.0-18) unstable; urgency=low

  * Add build-depends for new libgdbm.
  * Add -fno-regmove for shared build on m68k to work around an
    optimiser bug.

 -- Brendan O'Dea <bod@debian.org>  Thu,  5 Jun 2003 23:18:20 +1000

perl (5.8.0-17) unstable; urgency=low

  * Correct patch to ext/threads/t/join.t (closes: #181306).

 -- Brendan O'Dea <bod@debian.org>  Mon, 17 Feb 2003 20:53:25 +1100

perl (5.8.0-16) unstable; urgency=low

  * Add conflict on earlier versions of perl-doc to perl (closes: #180260).
  * Fix build issue with localised cpp output (closes: #177458).
  * Backport upstream changes to make $0 writable (closes: #178404).
  * Backport upstream changes to remove implicit utf8 I/O (closes: #164717).
  * Apply upstream fix for debugging speed issue (closes: #180591,
    thanks to Chip Salzenberg for the patch).

 -- Brendan O'Dea <bod@debian.org>  Sun, 16 Feb 2003 22:16:19 +1100

perl (5.8.0-15) unstable; urgency=low

  * Fix insecure use of /tmp by c2ph/pstruct (closes: #173241).
  * Apply upstream fix for POSIX ctype functions (closes: #175867).
  * Adjust dprofpp output to screen width (closes: #175956).
  * Modify splain description to have meaningful apropos (closes: #175584).
  * Remove bash-ism from debian/rules (closes: #171865).
  * Fix documentation of S_IMODE macro (closes: #161618).
  * Fix documentation of -i option (closes: #161636).
  * Remove hppa/mips* special cases as all arches should now use gcc
    3.2.  Add gcc build-depend.

 -- Brendan O'Dea <bod@debian.org>  Sat, 11 Jan 2003 21:58:54 +1100

perl (5.8.0-14) unstable; urgency=low

  * Security update for Safe.pm (closes: #169794):

    http://www.iss.net/security_center/static/10574.php
    http://use.perl.org/articles/02/10/06/1118222.shtml?tid=5

 -- Brendan O'Dea <bod@debian.org>  Wed, 20 Nov 2002 23:24:12 +1100

perl (5.8.0-13) unstable; urgency=low

  * Use gcc 3.2 to build on some architectures (hppa, mips*).
  * Fix examples in perlembed to work with a threaded perl.

 -- Brendan O'Dea <bod@debian.org>  Sat, 14 Sep 2002 23:05:37 +1000

perl (5.8.0-12) unstable; urgency=low

  * Move Attribute/Handlers/demo to perl-doc.
  * Skip manpages for podless modules (closes: #159504).

 -- Brendan O'Dea <bod@debian.org>  Sat,  7 Sep 2002 00:48:39 +1000

perl (5.8.0-11) unstable; urgency=low

  * Add accessor methods for POSIX::SigAction (closes: #158587).
  * Remove conflict on libcgi-pm-perl from libcgi-fast-perl (as
    perl-modules now C/R/P libcgi-pm-perl).  Closes: #159217.

 -- Brendan O'Dea <bod@debian.org>  Wed,  4 Sep 2002 03:09:07 +1000

perl (5.8.0-10) unstable; urgency=low

  * Copy import/export argument list in lib.pm (closes: #158627).
  * Term::Cap: deal with comments in infocmp output (closes: #158453).
  * Update perl-base replaces versions for perl and perl-modules.
  * libcgi-pm-perl contains CGI.pm rather than libcgi-perl, fix
    conflicts/replaces/provides (closes: #158645).

 -- Brendan O'Dea <bod@debian.org>  Thu, 29 Aug 2002 22:12:21 +1000

perl (5.8.0-9) unstable; urgency=low

  * More modules for perl-base (closes: #158499).
  * Temporarily special-case hppa to use -O1 until gcc-3.2 is the
    default compiler (issues with 3.0; closes: #158290).

  * Add build-dep on cpio (used when splitting packages) and add an
    assertion to debian/splitdoc checking that expected modules were
    found (closes: #158603).

  * Modify ext/Sys/Syslog/syslog.t test to work on buildds where syslogd
    may not be running.

 -- Brendan O'Dea <bod@debian.org>  Wed, 28 Aug 2002 23:51:30 +1000

perl (5.8.0-8) unstable; urgency=low

  * Some modules for perl-base had moved (lib, Cwd), revise
    debian/perl-base.files (closes: #158094).

  * Add dependency on the current version of perl to libperl-dev.
  * Move module documentation from dirs under /usr/share/perl to
    /usr/share/doc/perl/_module_.

 -- Brendan O'Dea <bod@debian.org>  Mon, 26 Aug 2002 18:29:45 +1000

perl (5.8.0-7) unstable; urgency=low

  * New upstream release.
  * NOTE: this release breaks binary compatability with previous
    versions of perl.  Users will need to upgrade to newer versions of
    binary module packages (if/when available) and re-build any
    locally installed modules.

  * NOTE: DB_File now uses libdb4.0 (previously libdb2).  Any DB_File
    databases created with earlier perl packages will need to be
    upgraded before being used with the current module with the
    db4.0_upgrade program (in the libdb4.0-util package, with HTML docs
    in db4.0-doc).

  * NOTE: suidperl is now deprecated upstream and support is expected
    to be discontinued for 5.10.  Package description amended.

  * Add Conflicts/Replaces/Provides for modules now included in core:
      libdigest-md5-perl, libmime-base64-perl, libnet-perl,
      libtime-hires-perl, libstorable-perl,
      libattribute-handlers-perl, libcgi-perl, libi18n-langtags-perl,
      liblocale-maketext-perl, libmath-bigint-perl, libnet-ping-perl,
      libtest-harness-perl, libtest-simple-perl

  * Update versions of conflicts on libpod-parser-perl,
    libansicolor-perl and libfile-temp-perl.

  * Add conflict for autoconf2.13 pre 2.13-45 which breaks with this
    perl (closes: #155064).

  * Enable threads (closes: #107909, #126233).
  * Add -f (--force) option to /usr/bin/rename (closes: #140746).
  * Add -n (--no-act) option to /usr/bin/rename (suggested by
    frederik@ugcs.caltech.edu).

  * Correct rename(1) manual page (closes: #153458, #153757).
  * Prepend /etc/perl to @INC to provide a standard location for
    configuration modules:
      /etc/perl/Net/Config.pm (note: previously /etc/Net in libnet-perl)
      /etc/perl/CPAN/Config.pm (closes: #138167, #103055).

  * Add an option for CPAN.pm to skip version check (closes: #98235).
  * Include /usr/bin/cpan script (closes: #136159).
  * Modify perldoc to format pages simarly to man-db when stdout is a
    terminal (closes: #135318).

  * perldoc place-holder now outputs to stderr (closes: #140448).
  * Add a note in ExtUtils::Embed(3perl) to the effect that the on
    Debian systems the libperl-dev package is required (closes: #155319).

  * Allow accept to return addresses > sockaddr_in (closes: #156284).
  * Modify debian/rules to remove libperl.so* on failure (closes: #157953).
  * This version appears to correct the following bugs:
    Closes: #54987: perl: goto inside for(;;) clears variables ?!?
    Closes: #66702: Redefining running sub dumps core.
    Closes: #67479: perl-5.005: Sys::Hostname pollutes package main...
    Closes: #68876: perlipc(1p) has broken examples
    Closes: #80141: One-liner that makes perl segfault
    Closes: #88470: perl segfaults
    Closes: #102163: Bug in perl 5.6.1 when using /sg in regular expressions
    Closes: #103576: perl: Still links libdb2...
    Closes: #104414: Taint checking bypassed on read-write file opening
    Closes: #125735: perl: segfaults on "Ode to My Thesis"
    Closes: #127973: perl crashes on simple one liner
    Closes: #131714: perl-base: Perl segfaults with this script
    Closes: #133803: perl: segfault
    Closes: #140787: perl: trivial segfault
    Closes: #144618: perl: segfault parsing bad tie() statement
    Closes: #149304: perl: chomp function makes perl segfault
    Closes: #150590: perl-base: Carp::confess() ... overloaded "" operator
    Closes: #157152: Pod::Man says that all Pod is 3rd Berkeley Distribution

 -- Brendan O'Dea <bod@debian.org>  Sat, 24 Aug 2002 14:53:35 +1000

perl (5.6.1-7) unstable; urgency=medium

  * Prune libswanted so as to link only the libraries we specifically
    want (closes: #128355).

  * Include debug-enabled libperl as /usr/lib/libdebugperl.a in the
    perl-debug package (closes: #117039).

  * Only treat a leading "+" as special to open when followed by "<"
    or ">" (closes: #52166).

  * Move warning from I18N::Collate NAME section (closes: #113370).
  * Apply patch to correct utf8 and /\s/ problem (closes: #124227).
  * Add trailing period to perl-modules description (closes: #127689).
  * Include sys/ioctl.ph (closes: #128423).
  * Remove old /usr/lib/perl5/5.* dirs from @INC now that no packages
    install modules there.

 -- Brendan O'Dea <bod@debian.org>  Fri, 11 Jan 2002 04:05:42 +1100

perl (5.6.1-6) unstable; urgency=medium

  * Cleanup for woody release.
  * Update included debhelper subset to 3.0.51.
  * Install pos2latex man page (closes: #45899).
  * Avoid undefined warnings from Term::Cap (closes: #103421).
  * Write full paths to .packlists (closes: #106859).
  * Update to podlators 1.18 (closes: #109183).
  * Fix interpreter state variable (upstream patch 10531, closes: #117100).
  * Remove spurious & from waitpid example (closes: #118115).
  * Include asm/termios.ph (closes: #118485).
  * Include sys/time.ph (closes: #119054).
  * Correct typo in IO::Seekable man page (closes: #119776).

 -- Brendan O'Dea <bod@debian.org>  Tue,  4 Dec 2001 00:56:13 +1100

perl (5.6.1-5) unstable; urgency=low

  * Correct typo in debian/config.debian which was causing the static
    perl to be installed on all arches.

  * Explicitly link NDBM_File against -lgdbm rather than -lndbm.
  * Update included debhelper subset to 3.0.36.
  * Changed perl-base depends to pre-depends.
  * Relaxed perl-modules dependencies on perl.

 -- Brendan O'Dea <bod@debian.org>  Fri, 22 Jun 2001 13:49:58 +1000

perl (5.6.1-4) unstable; urgency=low

  * Fix ExtUtils::MM_Os2 docs (closes: #99930).
  * Include autoloaded parts of Getopt::Long in -base (closes: #100557).
  * Correct perl package description (closes: #99187).
  * Update copyright date.
  * Apply all of podlators 1.09.
  * Change priority of libcgi-fast-perl to extra.
  * Add LC_MESSAGES to POSIX module.
  * Update included debhelper subset to 3.0.32.
  * Add version to perl-5.004* conflicts.

 -- Brendan O'Dea <bod@debian.org>  Wed, 13 Jun 2001 02:10:32 +1000

perl (5.6.1-3) unstable; urgency=high

  * Clean up /usr/share/doc links and directories in perl/perl-doc
    postinsts (closes:  #98850).

  * Remove incorrect CGI:: package qualifier from call to unescape in
    CGI::Cookie module (closes: #98512).

  * Add conflict/replace/provides to perl-modules for libfile-temp-perl
    which is now included as a core module (closes: #98977).

  * Add "file" to build-depends (closes: #98641).
  * Update included debhelper subset to 3.0.26.

 -- Brendan O'Dea <bod@debian.org>  Mon, 28 May 2001 11:21:16 +1000

perl (5.6.1-2) unstable; urgency=low

  * Clean up /usr/share/doc/perl symlinks/directories from 5.6.0
    packages in perl-base preinst (closes: #98302).

  * Remove unnecessary pre-dependency on perl-base from perl-doc.
  * Modify Term::Cap to fake up an entry using "infocmp -C" when all
    else fails.  Based on a suggestion by Adam Rice quite some time
    ago (closes: #39447 and a bunch more).

  * Build DynaLoader.o with -fPIC as it may be linked to shared
    objects like mod_perl.

 -- Brendan O'Dea <bod@debian.org>  Wed, 23 May 2001 23:20:19 +1000

perl (5.6.1-1) unstable; urgency=low

  * New upstream version.
    + Closes: #83246 ([upstream-patch] File::Find fails if running -T).
    + Closes: #83316 (Example from File::Glob documentation does not
      work).

    + Closes: #86188 (perl-5.6-doc: strangity in perlop.{1,pod}).
    + Closes: #88247 (perl-doc: perlre.1 problems).
    + Closes: #88461 (perlcc doesn't clean up after an error).
    + Closes: #92151 (Character class [:blank:] unknown).
    + Closes: #97860 (segfault on next inside File::Find subref).

  * Changes to perl-base:
    + Move [massive] upstream changelog to perl.
    + Move autoloaded routines from POSIX to perl.
    + Strip pod from modules into separate .pod files, distributed
      with perl-doc.

    + Strip autoloaded routines (following __END__ token, already
      split out into .al files).

    + Add Getopt::Long.
    + Add File::Glob (closes: #95238).

  * Add a place-holder perldoc script to the perl package which
    instructs the user to install perl-doc and add a similar note to
    the perl(1) page.

  * Remove perlfilter docs, newer versions of which are included in
    the libfilter-perl package (closes: #88485).

  * Patch perl5db.pl to fall back to "/usr/bin/pager" rather than
    "more" if $PAGER is not set (Debian Policy 12.4, closes: 94462).

  * Add conflicts/replaces/provides for libansicolor-perl (closes:
    #83604).

  * Allow the default build type (static /usr/bin/perl or shared) to
    be overridden by including for x-perl-{shared,static} in
    DEB_BUILD_OPIONS.

  * Removed build-dependency on debhelper (a subset of debhelper is
    now included).

  * Augment the descriptions of libperl5.6 and libperl-dev, including a note
    about perlcc in the latter (closes: #88462).

  * Remove build-dependency on netbase for i386 hurd (closes: #89406).
  * Exclude -lnsl and -lutil from from libs/perllibs (not required by
    glibc, closes: #95604).

  * Change the default Sys::Syslog socket to "UNIX" and document as
    Debian-specific (closes: #95233).

 -- Brendan O'Dea <bod@debian.org>  Mon, 21 May 2001 03:43:18 +1000

perl (5.6.0-21) unstable; urgency=low

  * Apply upstream patch 6591 to fix //m uninitialized warning
    (closes: #76900).

  * Add Build-Depends on netbase, as some tests require /etc/protocols
    (closes: #88365).

  * Add /usr/local/lib/site_perl back to @INC (note: not created by
    installation) to allow local modules to be installed in a
    non-versioned directory and to pick up local modules installed
    with the previous packages (closes: #87831).

  * Don't strip debugperl binary (closes: #88801).
  * Change man3ext to 3perl as man will otherwise select perl's
    open(3) over open(2) for example.

 -- Brendan O'Dea <bod@debian.org>  Fri,  9 Mar 2001 05:50:53 +1100

perl (5.6.0-20) unstable; urgency=low

  * Fix priorities of perl-modules and libperl5.6 to "important" and
    "required" due to dependencies from perl and (on non-386)
    perl-base respectively.

  * Fix Man/Pod.pm problem with CORE::GLOBAL::die() and similar
    (closes: #87483).

  * Conflict with old data-dumper package (closes: #86809).
  * Fix suffix of suidperl/debugperl man pages.

 -- Brendan O'Dea <bod@debian.org>  Tue, 27 Feb 2001 03:14:55 +1100

perl (5.6.0-19) unstable; urgency=low

  * Fix Build-Depends version for debhelper.
  * Apply upstream change 7428 to fix Universal::isa (reported by Joey
    Hess).

  * Move locale.pm to perl-base (requested by Joey Hess).
  * Move attributes.pm to perl-base.  Used internally to support
    subroutine attributes such as :lvalue.  This should allow debconf to
    depend only on perl-base (closes: #77399).

  * Add replaces/provides/conflicts for libpod-parser-perl to the perl
    package.  Note the programs are in perl, and the modules in
    perl-modules although the latter don't actually conflict as the
    directory is different (closes: #86459).

  * Choose one libreadline-*-perl package to suggest, as having both
    with an | was tickling an obscure bug in apt-get.

  * Patch perldoc to warn rather than die on non-existent dirs in @INC
    as not all directories may exist in a debian installation, the
    site directories for instance are created by MakeMaker on demand
    (closes: #86690).

  * Fix Getopt::Long documentation for the require_order option
    (closes: #86683).

  * Add a suidperl link for those who wish to use #!/usr/bin/suidperl
    explicitly (closes: #86654).

  * Add install-local-thread target to debian/rules to allow people to
    configure/build/install a threaded perl locally if required.

 -- Brendan O'Dea <bod@debian.org>  Wed, 21 Feb 2001 02:41:34 +1100

perl (5.6.0-18) unstable; urgency=low

  * Updated to debhelper v3.
  * Include changelogs in libcgi-fast-perl package.  (Closes: #86364).
  * Remove empty B::Stash and warnings::register man pages.
    (Closes: #86204).

  * Fix Math::Complex manual page (11_fix_math_complex_pod).
  * Remove -lsfio library.  (Closes: #86207).
  * Move AUTHORS to perl-base, as copyright references it.  Thanks to
    Dirk Eddelbuettel <edd@debian.org>.

  * Move perldiag.pod to the perl-modules package so that the
    diagnostics module works without perl-doc being installed.
    (Closes: #86154).

  * Add /usr/lib/perl5/5.6 to @INC to handle arch-indep module packages
    which didn't set privlib to /usr/lib/perl5.  (Closes: #86122).

  * Add -mieee for alpha build.  (Closes: #86059).

 -- Brendan O'Dea <bod@debian.org>  Sun, 18 Feb 2001 06:13:29 +1100

perl (5.6.0-17) unstable; urgency=low

  * Fix nasty h2ph loop which was breaking the sparc build.
  * Site installs now update perllocal.pod in sitearch rather than
    archlib.

 -- Brendan O'Dea <bod@debian.org>  Wed, 14 Feb 2001 15:10:10 +1100

perl (5.6.0-16) unstable; urgency=low

  * Split dummy versioned perl transition packages into a seperate
    source package.

 -- Brendan O'Dea <bod@debian.org>  Tue, 13 Feb 2001 03:38:46 +1100

perl (5.6.0-15) unstable; urgency=low

  * Add missing version to perl-5.005-base conflicts.
  * Modify ExtUtils::MM_Unix and Install to create site directories with
    group write permission (policy 10.1.2).

 -- Brendan O'Dea <bod@debian.org>  Sun, 11 Feb 2001 00:57:59 +1100

perl (5.6.0-14) unstable; urgency=low

  * The 5.005 packages are now gone.  Provide perl-5.005*
    pseudo-packages for transition.

 -- Brendan O'Dea <bod@debian.org>  Wed,  7 Feb 2001 23:17:19 +1100

perl (5.6.0-13) unstable; urgency=low

  * Modify MM_Unix yet again to install programs and manual pages
    under /usr/local for site installs.

 -- Brendan O'Dea <bod@debian.org>  Sun,  4 Feb 2001 23:46:29 +1100

perl (5.6.0-12) unstable; urgency=low

  * Modify MM_Unix to replace $Config{prefix} with '$(PREFIX)'
    unconditionally in the Makefile INSTALL* variables.

 -- Brendan O'Dea <bod@debian.org>  Fri,  2 Feb 2001 11:53:03 +1100

perl (5.6.0-11) unstable; urgency=low

  * Make perl-base essential.
  * Add conflicts to libcgi-fast-perl for libcgi-pm-perl (which
    includes a different version of that module).

  * Apply _PATH_LOG patch from previous packages to fix Sys::Syslog,
    which croaks if you pass an extra argument to syslog.

  * Fixed POSIX.xs to work on ia64 (forwarded upstream).
  * Applied patch 7565 which fixes Errno.pm (was not being created
    correctly with gcc-2.96).

 -- Brendan O'Dea <bod@debian.org>  Thu,  1 Feb 2001 18:31:45 +1100

perl (5.6.0-10) unstable; urgency=low

  * Move perlapi-<ver> provides to perl-base package to allow binary
    modules such as libterm-stool-perl to depend only on perl-base.

 -- Brendan O'Dea <bod@debian.org>  Sun, 28 Jan 2001 19:29:23 +1100

perl (5.6.0-9) unstable; urgency=low

  * Re-order @INC to allow site and vendor installed modules to shadow
    the versions in core.

  * Split CGI::Fast module into a separate package due to dependence
    on libfcgi-perl.

 -- Brendan O'Dea <bod@debian.org>  Fri, 26 Jan 2001 20:33:08 +1100

perl (5.6.0-8) unstable; urgency=low

  * Patch h2ph to handle glibc's bizzare enum+#define constants.
  * Clean up some glitches in the generated headers.

 -- Brendan O'Dea <bod@debian.org>  Wed, 24 Jan 2001 19:46:42 +1100

perl (5.6.0-7) unstable; urgency=low

  * New maintainer.
  * New packaging.
  * TODO: revise and include perl-policy and build a seperate
    ithread-enabled binary if required.

 -- Brendan O'Dea <bod@debian.org>  Tue, 16 Jan 2001 11:39:25 +1100

perl-5.6 (5.6.0-6.2) unstable; urgency=low

  * NMU
  * Moving the libperl.so symlink to libperl5.6 requires conflicts and
    replaces.  (Closes: #80794).

 -- Brendan O'Dea <bod@debian.org>  Fri, 29 Dec 2000 16:36:26 +1100

perl-5.6 (5.6.0-6.1) unstable; urgency=low

  * NMU
  * Ensure that a valid /usr/bin/perl exists before each instance of
    "update-alternatives --remove" in perl-5.6-base.postinst, as any
    of these may possibly blow away the symlink.  (Closes: #76432).

  * If an alternative existed for perl.1p.gz before installation, the
    file of that name in this package was removed in the postinst
    update-alternatives.  The same goes for cperl-mode.el.  Install
    versioned files and manually link like the rest of the
    alternatives mess.  (Closes:  #78742, #79728).

    Note that both of these changes to alternative handling are merely
    stop-gap measures.  The situation still remains that installing
    perl-5.004 or 5.005 after 5.6 has been installed will play merry
    havoc with the symlinks again and stands a good chance of nuking
    /usr/bin/perl if subsequently removed.

  * make.versions:  rename rather than copying files so that we don't
    ship two copies of each binary in the .deb (linked to canonical
    name in postinst).

  * Move warnings::register to -base.  (Closes: #79075, #79234).
  * Move autosplit.ix for File::Glob to -base.  (Closes: #77384)
  * Move load_imports.al for POSIX to -base.
  * Move IO.pm to -base.
  * Move dangling libperl.so symlink to libperl5.6.

 -- Brendan O'Dea <bod@debian.org>  Fri, 29 Dec 2000 00:55:21 +1100

perl-5.6 (5.6.0-6) unstable; urgency=low

  * Don't do the /usr/bin/perl.dist -> /usr/bin/perl bit anymore.  dpkg
    probably doesn't need it...

 -- Darren Stalder <torin@daft.com>  Sun,  3 Dec 2000 20:24:34 -0800

perl-5.6 (5.6.0-5) unstable; urgency=low

  * Remove all alternatives related to the Perl packages.
    (closes: #76432, #76524, #77247, #77303, #77619)
  * Fixed suidperl manpage paths.  Thanks to Jim Bray <jb@as220.org>.
  * Fixed suidperl postinst (typo).  Thanks to Joey Hess
    <joeyh@debian.org>.
  * Make all uses of local perl also make use of local perl modules
    (oops).  Thanks to Daniel Jacobowitz <dan@debian.org>.
  * Fixup and apply patch to an off by one error in decode \x{}.  Thanks
    to Kai Henningsen <kaih@khms.westfalen.de>.  (09_utf8_hex_char_fix)
  * Fix 5.005 arch compatibility path now uses the correct architecture
    rather than just i386.  (closes: #78174)
  * Verified that patch in #78048 fixes @_ segfault in ops.
    (10_op_at_underscore_segfault) (closes #78048)

 -- Darren Stalder <torin@daft.com>  Sat,  2 Dec 2000 15:40:04 -0800

perl-5.6 (5.6.0-4) unstable; urgency=low

  * put parentheses on the end of the call to _PATH_LOG in Sys::Syslog so
    that it works.  (closes: #76966)
    Remove references to syslog.ph - 07_syslog_path_log.
  * The debug target now uses ./Configure -deS to make it not look for a
    tty. (closes: #77009)
  * Fix make.base so it works for the newer version number. (closes: #47204)
  * Add base.pm to perl-5.\d+-base for debconf (closes: #77145)
  * Add XSLoader.pm to perl-5.\d+-base.  Many module authors thought Dynaloader
    took to much memory; XSLoader is a much smaller version.
    (closes: #77280, #77292)
  * Add File::Glob to perl-5.\d+-base so those scripts using globbing work under
    5.6.  (closes: #77384)
  * Add libdb2-dev to the Build-Depends list.  (closes: #77758)
  * Downgrade perl-5.\d+-suid to optional.  (closes: #77841)
  * Only mention the problem with updating to the new Berkeley DB format
    if upgrading.  (closes: #76425)
  * 5.6.0-3 fixed the include paths already.  (closes #76421)
  * Change the documentation of AutoLoader to not suggest testing against
    the text of an error message.
    Change those places in Perl where an AUTOLOAD method does so.
    08_autoload_not_anglocentric (closes: #75256)

 -- Darren Stalder <torin@daft.com>  Sun, 26 Nov 2000 17:16:07 -0800

perl-5.6 (5.6.0-3) unstable; urgency=high

  * Quick release since 5.6.0-1 had broken paths aand 5.6.0-2 was rejected
    from Incoming  (I had the source on both of them and it was only there
    when -1 was installed.) closes: #76425)
  * Make tests not run on big endian mips (from "Florian Lohoff"
    <flo@rfc822.org>).
  * Net::Ping makes invalid assumptions about UDP always returning a
    hostname if there is any data on the socket - 06_netping_udp_fix.
    (closes: #55427).
  * Mention that perl-[.\d]+-doc overwrites parts of libansicolor-perl and
    libpod-parser-perl.  (closes: #76443)
  * Note that I'll release the no-alternatives version of all three Perl
    packages 2 days after this version is accepted so as to give it time
    to hit the mirrors.

 -- Darren Stalder <torin@daft.com>  Mon,  6 Nov 2000 22:06:14 -0800

perl-5.6 (5.6.0-2) unstable; urgency=low

  * Fix t/op/filetest.t so that it works under fakeroot -
    debian/patches/03_fix_fakeroot_op_filetest
  * Make the patched target append each patch as it goes to the 'patched'
    file.  Make the target .precious to keep make from removing it on
    error.  That would rather defeat the point.
  * rm config.sh.static in clean target
  * Shorten the make targets for building the static Perl:
    - Now, build target builds both the static Perl and the libperl with
      extensions and such.
    - Only Perl and suid Perl get built.  We don't need to build the
      extensions when we're about to blow them away.
    - We also wait performing the tests until we have the shared Perl.
  * Actually get the paths correct for Perl, using a colon separated
    privlib and archlib.
    This uncovered 2 documentation and 1 Configure bug in Perl.
  * Make NDBM_File use libgdbm's ndbm emulation instead of libdb's since
    DB_File can't handle null keys currently. -
    debian/patches/04_NDBM_uses_libgdbm
  * Perl 5.6 has to conflict with the old data-dumper package.  Since the
    package isn't available anymore in potato or woody, this shouldn't be
    a problem.
  * incpush will create duplicate path entries in @INC if either
    vendorlibexp or sitelibexp don't end in the version number of Perl.
    Patch Configure to leave _stem fields empty if they'd be the same as
    the field they are created from - 05_no_define_stem

 -- Darren Stalder <torin@daft.com>  Sun, 22 Oct 2000 13:43:53 -0700

perl-5.6 (5.6.0-1) unstable; urgency=low

  * With the massive problems on my system, I've been unable to fix the
    alternatives so I'm releasing this now so that people have a perl 5.6
    to use.

 -- Darren Stalder <torin@daft.com>  Thu, 18 Oct 2000 05:58:26 -0700

perl-5.6 (5.6.0-0.3) unstable; urgency=low

  * Patched up ExtUtils::MM_Unix to not use LD_RUN_PATH if the envar
    NO_LD_RUN_PATH is true.
  * Patched eg/rename to use the modern rewritten version from Robin
    Barker (Robin.Barker@npl.co.uk).

 -- Darren Stalder <torin@daft.com>  Mon, 16 Oct 2000 04:29:34 -0700

perl-5.6 (5.6.0-0.2) unstable; urgency=low

  * Add the threading version of Perl into the build system.  XS
    components need it even if users can't.
  * Move the documentation to binary-indep
  * Copy Brendan's patched target wholesale for the application of
    patches.
  * Adapt Brendan's libperl changes.
    Be sure and link suidperl static.

 -- Darren Stalder <torin@daft.com>  Wed, 27 Sep 2000 14:53:02 -0700

perl-5.6 (5.6.0-0.1) unstable; urgency=low

  * New upstream version.  New numbering system.
  * Note that there is currently no threading available with this
    version.  The 5.6 threading model (interpreter threads) isn't
    currently usable from user space.  5.005 threads can be built but only
    will be if there is a demand for it since perl-5.005 is available.

 -- Darren Stalder <torin@daft.com>  Wed, 12 Apr 2000 01:12:45 -0700

perl-5.005 (5.005.03-7) frozen unstable; urgency=low

  * This needs to be put into frozen so that Alpha has the correct
    syscall.ph constants (important bug #55794) and the copyright on the
    perl-policy is correct (important bug #60233)
  * Changed copyright on perl-policy.sgml from "the Debian Project" to
    "Software in the Public Interest".  This is so the document is
    actually copyrighted by a legal entity.  This closes: bug#60233.
  * Completely regenerated the *.ph files.  There appears to be a clean
    separation these days of system specific stuff into the asm
    directories.  The only question would be the stuff in the bits/
    directory since that seems to be autogenerated by the kernel.
    The only one that I know needs it is bits/syscall.ph.  I've written a
    script to make sure it takes in all the syscalls as necessary.
    Note that this is a somewhat long job since h2ph only does a 90% job,
    so the generated .ph files take a bit of hand-editing.  This closes:
    bug#55794.
  * Install the Perl Social Contract (Porting/Contract) into the doc
    directory of the perl-5\d+-doc package.  This closes #51963.
  * Modified lib/ExtUtils/MM_Unix.pm so that if the environment variable
    NO_LD_RUN_PATH is set true, then MakeMaker won't use LD_RUN_PATH in
    the dynamic_lib method and therefore the .so won't have an rpath built
    into them.  This closes: bug#47116.

 -- Darren Stalder <torin@daft.com>  Sun, 26 Mar 2000 22:25:37 -0800

perl-5.005 (5.005.03-6) unstable frozen; urgency=low

  * Change Recommends perl-doc to Suggests and add
    $(DOCDIR)/Where_is_the_Documentation.gz closes: Bug#59145
  * Make suidperl be suid even if suidmanager isn't installed. closes:
    Bug#55521.

 -- Darren Stalder <torin@daft.com>  Tue, 29 Feb 2000 04:58:56 -0800

perl-5.005 (5.005.03-5.3) unstable frozen; urgency=low

  * NMU
  * adds frozen to distribution list...
  * Compile with -mieee to compile options for alpha; closes: #55269

 -- Randolph Chung <tausq@debian.org>  Sat, 22 Jan 2000 09:46:14 -0700

perl-5.005 (5.005.03-5.2) unstable; urgency=low

  * NMU
  * Missed GDBM modules last time... adding them back (closes: #55430)

 -- Randolph Chung <tausq@debian.org>  Tue, 18 Jan 2000 20:52:15 -0700

perl-5.005 (5.005.03-5.1) unstable; urgency=low

  * NMU
  * Adds IO::File; closes: #54922

 -- Randolph Chung <tausq@debian.org>  Sat, 15 Jan 2000 01:44:59 -0700

perl-5.005 (5.005.03-5) unstable; urgency=low

  * Accept all of Raphael Hertzog's changes in the NMU.  Thanks a lot
    Raphael for helping me through this hard time.  Your patches were
    without flaw.
  * I'll be fixing this up much more in the coming week.  This release is
    to fix the critical bug below.
  * Change perl-5.005-doc to Suggests and make sure
    /usr/share/doc/perl-5.005/Where_is_the_Documentation is installed.
    Closes: #43078.
  * Add overload.pm to perl-base as a temporary patch until debconf
    doesn't use Data::Dumper anymore.  Closes: #53428

 -- Darren Stalder <torin@daft.com>  Mon,  3 Jan 2000 11:07:40 -0800

perl-5.005 (5.005.03-4.1) unstable; urgency=low

  * Non maintainer upload.
  * Non-bugs that can be closed. Closes: #51656, #49812, #45908, #47122
  * Removes perl-=version= if no more needed. Closes: #46187, #41436, #46188
    Also calls update-alternatives remove only when removing
    the package. Closes: #46581
  * Correct permissions of perl-=version= in postinst after
    update-alternatives to prevent failures like we had because
    of a 0600 perl binary. Closes: #45898, #45875, #45877, #45898, #46369
  * Removed LD_RUN_PATH="". Closes: #48544
  * Added POSIX/autosplit.ix to perl-5.005-base. Closes: #50242
  * Added Data::Dumper to perl-5.005-base. Closes: #50552
  * Added IPC::Open2, IPC::Open3, Text::Wrap and Text::Tabs to
    perl-5.005-base. Closes: #50937
  * Added the perl5.005 binary too. Closes: #51289
  * I moved many files from one packages to another. I had to add
    a Replaces field in order to not cause problems.
  * Corrected postinst from perl-5.005-doc.
    Closes: #45863, #45870, #45887, #47870
  * Added Errno.pm to perl-5.005-base. Closes: #47204
  * Use relative symlinks for compatibility /usr/doc/* link. Closes: #48286
  * Applied the patch for mipsel support. Closes: #48915
  * perl-5.005-doc replaces: libcgi-perl until a better solution can be found
    for the overlapping manpages.
    Closes: #47245, #47844, #47996, #52632, #49371

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 19 Dec 1999 15:31:04 +0100

perl-5.005 (5.005.03-4) unstable; urgency=low

  * Many changes to make Perl build on Hurd from Marcus Brinkman, closes:
    Bug#31621.
    - Update debian/README to partially reflect the current situation; no
      need to type root password; the problem with locales was fixed long ago.
    - Update debian/copyright to talk about Debian rather than Debian/GNU;
      There are now many O'Reilly books on Perl.  Don't mention a number.
    - Convince debian/make.base and debian/make.versions to use
      $cpu-$system rather than $arch.
    - Use linux and gnu as acceptable systems in debian/make.base
    - Don't try to mkdir with '/' on the end of the name in debian/make.base
    - Skip packages we don't build in debian/make.versions
    - Change all maintainer scripts to use =cpu=-=system= rather than
      =arch=
    - Many changes to debian/rules to allow for conditional testing (not
      on arm, hurd) and conditional building of threads (not on hurd,
      5.004)
      I think this is the last thing (other than debian/control) that is
      different between the builds.  I'll parameterize debian/control on
      the next build and we'll be happy.
  * Change the paths in debian/rules and debian/perl-policy.MK to be FHS
    compliant.
  * Make the postinsts/prerms install/remove the compatibility symlink for
    the move from FSSTD to FHS.
  * Fix debian/make.versions to be FHS compliant as well.
  * Use -fPIC in the cccdlflags so that Perl compiles with -fPIC everwhere
    instead of -fpic in some places.  This now complies with policy and
    closes: Bug#41587, #43930.
  * Have make test actually use make test-notty so as to not die on
    automated compiles.  Closes: Bug#33225.
  * Use unlink instead of system("rm -f ...") in debian/make.base.  I seem
    to've gotten carried away using cp -a a while back and used system
    instead of unlink. Brain needs to be on...
  * Change the mention of the location of the GPL and Artistic copyright
    files in debian/copyright from /usr/doc/copyright to
    /usr/share/common-licenses.
  * Fix Getopt::Long so that the documentation of the require_order
    configuration option is now correct closes: Bug#39180.
  * Embedding works now.  It's probably as Tom Rothamel
    <tom-pine-1@onegeek.org> said; Perl just needed to be recompiled with
    glibc2.1.  Closes: Bug#38615.
  * In gv.c, Fix for 'use Safe;' with -w segfaults from Sarathy installed.
    Closes: Bug#38533.
  * In handy.h, only #define HAS_BOOL due to _G_HAVE_BOOL if we're using
    g++.  _G_HAVE_BOOL is defined in _G_config.h.  This will probably be
    included in a gcc program since stdio.h includes libio.h which
    includes _G_config.h.  Thanks to Greg Stark <gsstark@mit.edu>.  This
    can be closed once it is tested.
  * Namespace was cleaned up a while ago, closes: bug#33844.
  * Complaining locales was fixed a while ago, closes: bug#30207.
  * Perl has been compiled with glibc for a while, closes: bug#29452.
  * rename has been included, closes: bug#26616.
  * cperl-mode is installed in the right place now, closes: bug#24249.
  * Specify man1dir in Configure so that it goes to the FHS compliant
    place.
  * Fix the paths for $(LIBDIR)/ExtUtils/inst $(LIBDIR)/ExtUtils/xsubpp
    $(LIBDIR)/File/DosGlob.pm to make lintian happy.
  * Make $(LIBDIR)/ExtUtils/inst $(LIBDIR)/ExtUtils/xsubpp executable to
    make lintian happy.
  * Remove $(LIBDIR)/CGI/Fast.pm since we don't include FCGI.pm.  This
    satisfies lintian and closes: bug#44544.
  * Applied patch from Jim Pick <jimpick@jimpick.com> that adds the
    appropriate arch-specific *.ph files in debian/.ph/asm-arm.  This
    would close bug#44605 but it's requiring some *.ph files he doesn't
    supply.  Mail sent off to him about this.  Got
    .ph/arm-arch/proc/shmparam.ph from him.  Closes: bug#44605.
  * Add Porting/patchls to /usr/bin, fix its path.
  * install-doc should show be used in both remove && upgrade for prerm.
    Add stuff to debian/doc.postinst to deal with this problem.
  * Added re.pm and friends to perl-5.\d+-base.  This closes: bug#45552.
  * Removed the large number of extra POSIX autoloader modules.  The
    locale stuff that's part of POSIX don't need these.
  * I've already moved to /usr/share/man in this package and so, this
    closes: bug#45678.

 -- Darren Stalder <torin@daft.com>  Wed, 22 Sep 1999 00:15:40 -0700

perl-5.005 (5.005.03-3) unstable; urgency=low

  * run with 'make LD_RUN_PATH=""' so that we don't have rpath information
    in the shared libraries.  (Many lintian warnings.)
  * Make the shell read in the perl-base.preinst script not fail when
    stdin is /dev/null.  (Closes Bug#41598)
  * Rename asm-ppc (as it is in the linux tree) to asm-powerpc (as policy
    says it should be).  Closes Bug#42803.
  * Add DirHandle.pm to base.  (I thought I had done this.)  Closes
    Bug#33229.
  * Implemented patch from Julian Gilbey <J.D.Gilbey@qmw.ac.uk> that fixes
    up INSTALLPRIVLIB so as to make it easier for packagers.  Closes
    Bug#42421.
  * Provide perl5-suid. Closes Bug#42884.

 -- Darren Stalder <torin@daft.com>  Tue, 17 Aug 1999 00:15:41 -0700

perl-5.005 (5.005.03-2) unstable; urgency=low

  * Added arm architecture to debian/make.base, Closes Bug #40666.
    (Thanks to Jim Pick <jim@jimpick.com>)
  * Made a few more changes to debian/rules to support bugs in fileutils
    (see bug #39680 that I filed) as well as testing for arm under make
    test and letting it fail.  There has to be a better way to do this.
    Fixes from Jim Pick <jim@jimpick.com>
  * perl-5.\d+-doc replaces perl (<< 5.004.05-1) so the manpages won't
    conflict.  Closes Bug #40689.
    (Thanks to Joel Klecker <jk@espy.org>)
  * Conditionalize the inclusion of ndbm.h in ext/NDBM_File/NDBM_File.xs
    so that m68k (still on glibc 2.0) will build.  Closes Bug #40781.
    (thanks to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>)
  * New version of perl-policy from Raphael.
  * Fix Config.pm's startperl to be /usr/bin/perl (or
    /usr/bin/perl-thread) when the build is done.
  * Fix the installman[13]dir's in Config.pm so a simple perl Makefile.PL;
    make test; make install will work from the user's point of view.
    Closes bugs #34106, #15797, #28955.

 -- Darren Stalder <torin@daft.com>  Wed,  7 Jul 1999 12:23:15 -0700

perl-5.005 (5.005.03-1) unstable; urgency=low

  * Release to Incoming on master.

 -- Darren Stalder <torin@daft.com>  Thu,  1 Jul 1999 01:51:53 -0700

perl-5.005 (5.005.03-0.10) unstable; urgency=low

  * Oops.  rename needs to be versioned along with all the other
    commands.

 -- Darren Stalder <torin@daft.com>  Mon, 28 Jun 1999 12:09:11 -0700

perl-5.005 (5.005.03-0.9) unstable; urgency=low

  * perl.1p.gz didn't have an update-alternatives --remove in the prerm.
  * Make perl-$(version)-thread provide perl5-thread so packages using
    perl-thread don't have to depend on a versioned perl-thread.
  * No longer conflict with data-dumper so that it can remain installed
    while perl-5.004 and the older packages need it.
  * No longer ask if we should abort during the preinst.  Perl 5.004 isn't
    diabled with the installation of Perl 5.005, so there is no reason.
  * Convince commands with no manpages that they should have an
    unversioned symlink installed by update-alternatives.
  * Installed updated eg/rename as a command.  eg/rename was updated by
    Robin Barker <Robin.Barker@npl.co.uk).
  * Added the Perl Policy to the doc package.  Registered it with
    doc-base.  I'll install the other docs with it later.
  * Change the description of perl-base to mention perl-=version= rather
    than just perl.

 -- Darren Stalder <torin@daft.com>  Sat, 26 Jun 1999 02:54:23 -0700

perl-5.005 (5.005.03-0.8) unstable; urgency=low

  * Fix typo in perl-base.postinst (=version instead of =version=)
  * Add all of POSIX.pm,.so,.al to perl-base in an initial attempt at
    supporting Internationalization in the base disks.
    We'll need to remove *.al files that aren't necessary and put them in
    perl.
  * Automate the update-alternatives lines for the man pages for
    perl-thread.  This way when another Thread::*.3pm comes along, I don't
    have to notice, it will.
  * Add/Remove /usr/local/lib/site_perl/$arch-linux-thread in
    thread.postinst/prerm if /usr/local/lib is writable.
  * Fixed missing parens around $version when moving perl.1p back to perl
    from perl-doc
  * Mentioned installing 5.004_05 in copyright file as well as correcting
    the path to CPAN on www.perl.com.
  * Add Debian changelog to perl-base.
  * Remaining typo fixes from Raphael:
    /usr/man/man1/perl-=version=.1p.gz in postinst
    startperl should be #!/usr/bin/perl-$(version)
    the asm *.ph directories should be =version=/=arch=-version
  * perl-$(version)-base should conflict with perl-base rather than perl.
    This way, if someone has never installed the full Perl package, they
    still conflict until all the non-versioned Perl is gone.
  * rename threadperl-5.005 to perl-5.005-thread.  Raphael is right;
    tab-completion is handy.

 -- Darren Stalder <torin@daft.com>  Tue, 22 Jun 1999 08:17:23 -0700

perl-5.005 (5.005.03-0.7) unstable; urgency=low

  * Integrated Raphael's changes without the debhelper stuff.
  * Made cperl-mode.el be version specific with alternatives.
  * Raphael updated the Standards-Version in control to 2.5.0.
  * Raphael fixed up the base.postinst so that the newly installed
    (not-yet-versioned) perl runs update-alternatives.
  * Made perl-version-doc Recommend perl-version instead of just Suggest
    it.  perl-doc should only not be installed in special cases.
  * Made perl-version-thread Priority: extra instead of optional.
    Considering the experimental nature of threaded Perl right now, I'd
    say it qualifies having specialized requirements.
  * Applied the same changes to the i386-linux-thread tree as I did to the
    i386-linux tree.  Don't want my paths leaking into Config.pm.

 -- Darren Stalder <torin@daft.com>  Sat, 19 Jun 1999 05:10:13 -0700

perl-5.005 (5.005.03-0.6) unstable; urgency=low

  * Removed io reference.
  * Corrected perl-5.005-thread postinst/versionning/building.
  * Added replaces data-dumper to perl-5.005-doc so that
    the Data::Dumper man page may be overwritten without
    forcing.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Wed, 16 Jun 1999 00:10:00 +0200

perl-5.005 (5.005.03-0.5) unstable; urgency=low

  * Converted to debhelper.
  * Added POSIX stuff into perl-5.005-base.
  * Corrected many lintian warnings/errors
  * WARNING: NDBM_File and DB_File built with libdb2 - this is
    incompatible with old db files.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Tue, 15 Jun 1999 15:22:01 +0200

perl-5.005 (5.005.03-0.4) unstable; urgency=low

  * New upstream release.
  * Major changes to the debian files as we go to versioned Perls.

 -- Darren Stalder <torin@daft.com>  Sat,  5 Jun 1999 00:08:42 -0700

perl (5.005.02-1) unstable; urgency=low

  * New upstream release.  Note that this is a very basic release so that
    module authors can release their stuff under 5.005.  (Fixes Bug
    #26072)
  * Defined d_statblks in Configure (Fixes Bug #22367)
  * Conflict, replace, and provide data-dumper since it's now provided by
    Perl.  (Fixes Bug #27543)
  * Specifically turn off sfio for the standard release of Perl.

 -- Darren Stalder <torin@daft.com>  Sat,  9 Jan 1999 16:43:23 -0800

perl (5.004.04-6) frozen unstable; urgency=low

  * Fix symlinks for perl-suid and perl-debug doc directories.  (Fixes Bug
    #19867)
  * Make sure that *all* files are readable.  (Fixes Bug #20791)
  * Make changes to c2ph.PL (includes pstruct), perldoc, and s2p so that
    they try to use POSIX::tmpnam() in creating temp files.  Note that
    perlbug already checks for the existence of the temp file before
    creating it.  (Fixes Bug #19805)
  * Apply patch from next maintenance release so that -e scripts are kept
    in memory rather than written to a temporary file.
  * Fix typo in perlop(1p).  Thanks to Richard Braakman <dark@xs4all.nl>
    for pointing this out.  (Fixes Bug #22488)
  * Add /usr/doc/perl/perlfaq-is-free to explain Tom Christiansen's intent
    with his perlfaq copyright.  (Closes Bugs #10286, #22705)
  * Fix typos in postrm scripts.  Thanks to Mark Eichin <eichin@arepa.com>
    for this.  (Fixes Bug #23107)

 -- Darren Stalder <torin@daft.com>  Tue,  2 Jun 1998 04:42:47 -0700

perl (5.004.04-5) unstable; urgency=low

  * Add copyright file to perl-base since it makes it comply with the
    standards and doesn't take up much space.  (Fixes Bug #19384)
  * Added files to base so that dpkg-ftp is fully supported.  (Actually in
    -4, but I forgot to mention it.)  (Fixes Bug #16134)
  * Added even more files to base so that libnet is fully supported.
    (Fixes Bug #18338, #18593)
  * Remove /usr/lib/perl5/DynaLoader.pm - yet another file left over from
    disk install. (Fixes Bug #17970, #18823)
  * Specify -DSTRUCT_TM_HASZONE to keep POSIX from dumping core.  (Fixes
    Bug #17393)
  * debugperl and suidperl now have manpages that are symbolic links to
    perl(1p).  I debated linking debugperl(1p) to perlrun(1p) and
    suidperl(1p) to perlsec(1p) but didn't think that was appropriate.
    (Fixes Bugs #6295, #6330, #9847, #9995, #10102).
  * Changed description of perldebug to say that it shows internals of
    Perl and helps debug Perl.  (Fixes Bug #17547).
  * Changed the permissions on suidperl to give group and world read
    access.  It makes no sense to restrict read access when anyone can get
    a copy of off CPAN.
  * Also registered suidperl with suidmanager.  (Fixes Bug #15702)
  * Remove the execute permission and use strip --strip-unneeded on all
    the .so's.  (Fixes #5100, #5124, #6328, #6903)
  * Sym-Link find2perl.1p.gz and pod2latex.1p.gz to undocumented.7.gz until
    I can write something or it's provided.  Sym-Link pod2text.1p.gz to
    Pod::Text.3pm.gz.  (Fixes #6328)
  * Sym-link /usr/doc/perl/changelog to /usr/doc/perl/Changes so that the
    latest upstream changes file has the proper name.
  * Tell perl_archive in ExtUtils::MM_Unix to return -lc so that the
    shared libraries built with MakeMaker have libc dependency information
    embedded in them.  Note that if the module specifies it's own
    libraries, those will come after the -lc.  If this is a problem, the
    module should specify -lc in its library list.
  * Use mkstemp to avoid security/dos race conditions in /tmp.

 -- Darren Stalder <torin@daft.com>  Tue, 10 Mar 1998 23:00:09 -0800

perl (5.004.04-4) unstable; urgency=low

  * Add || true to the fixup lines in the perl.postinst - the previous
    method didn't expose the error return of rmdir -p, the if;then;fi
    method does.  (Fixes Bugs #15854, #16412, #17328, #17425)
  * Adapted patch from Stephen Zander <srz@mckesson.com> so that Perl
    knows to use getspnam if shadowing is enabled.  (Needed extra
    Configure bits added.) (Fixes Bug #15993)
  * Added Conflicts: perl (<<5.004.04-2) to perl-base so you can't install
    it with an older version of the perl package.  (Fixes Bug #16810)
  * Make sure that none of the gzipped examples are executable in
    /usr/doc/perl/examples.  (Fixes Bug #11978)
  * Remove /usr/lib/perl5/IO/Handle.pm.  It was left over from a disk
    install where parts of Perl weren't handled by dpkg.  Its presence is
    causing version mis-matches.  (Fixes Bug #15572)

 -- Darren Stalder <torin@daft.com>  Sat, 24 Jan 1998 21:17:28 -0800

perl (5.004.04-3) unstable; urgency=medium (High for those upgrading from bo)

  * A start on building a libperl5.so.\d+.  I'm going to put this into
    since 1) Perl is linking with a static libperl.a and 2) people may
    want to install libperl5.so.\d+ without installing perl.
  * Oops.  I hadn't considered the chance that the old perl package would
    be replaced by the new perl package (without Perl) before perl.base
    was configured.  Added a pre-depends of perl-base (>=5.004.04-2) to
    make sure that Perl is always installed on an upgrade.
  * The first 90% of a project takes 90% of the time.  The remaining 10%
    of the time takes the other 90%.  Building a libperl ran into some
    interesting snags and will not debut with this version.
  * Adapted patch by Herbert Xu <herbert@gondor.apana.org.au> that uses
    if's in the postinst so that we don't get false negatives on
    install.  Took the chance to change the find/xargs to use -print0/-0
    jic.

 -- Darren Stalder <torin@daft.com>  Tue,  9 Dec 1997 12:21:48 -0800

perl (5.004.04-2) unstable; urgency=medium

  * Wonderful idea from Scott Ellis <storm@stormcrow.ml.org>, set archlib
    to be the major version so that maintenance versions don't break all
    the arch-dependent perl-debian packages.
  * Strip a2p, fixing Bug #14891.
  * Files copied by make.base should keep hard-links.

 -- Darren Stalder <torin@daft.com>  Fri, 28 Nov 1997 22:27:45 -0800

perl (5.004.04-1) unstable; urgency=low

  * New upstream (maintenance) version
  * Turn off Perl 5.003 compatibility since this is the libc6
    version. (should've been done last version)
  * All tests finally pass now that locale test #102 was considered not
    important for Perl.
  * First attempt to get perl-base -really- working.  (As opposed to what
    I did in 5.003.07).

 -- Darren Stalder <torin@daft.com>  Tue, 21 Oct 1997 02:20:05 -0700

perl (5.004.02-1) unstable; urgency=low

  * New upstream (maintenance) version
  * Recompiled for libc6.
  * Remove ftp.pl from the distribution since it depends on chat2.pl which
    is obsolete and has been removed from the perl dist at the request of
    its author.
  * Remove the -I/usr/include/db since that was only for libc5.

 -- Darren Stalder <torin@daft.com>  Mon,  7 Aug 1997 21:55:23 -0700

perl (5.004-2) unstable; urgency=low

  * I had a semi-colon in the wrong place such that the gzip of the
    man-pages (which are now compressed) killed off the removal of the
    build artifacts in Config.pm.  Enough still ran so as to not be overly
    noticeable.  Registering bug against gzip since it should be possible
    to not have an error if you try to compress already compressed files.

 -- Darren Stalder <torin@daft.com>  Tue, 24 Jun 1997 00:52:12 -0700

perl (5.004-1) unstable; urgency=low

  * Perl 5.004 is released.  Another debian version will follow that fixes
    packaging problems.
  * Applied patch from HJ Lu for libc6.
  * Edit copyright file for correct version.
  * Take the /bin/perl link out of the build tar's postinst.

 -- Darren Stalder <torin@daft.com>  Thu, 15 May 1997 18:29:55 -0700

perl (5.003.07-10) unstable frozen; urgency=HIGH

  * SUID perl patch to fix buffer overrun that allows any user to get a
    suid-root shell.

 -- Darren Stalder <torin@daft.com>  Mon, 21 Apr 1997 20:50:21 -0700

perl (5.003.07-9) unstable frozen; urgency=medium

  * Applied patch from HJ Lu for libc6
  * Removed perl-base from dist for release into bo
  * This will be the last release that has /bin/perl as a link (or at all).

 -- Darren Stalder <torin@daft.com>  Wed, 16 Apr 1997 01:02:07 -0700

perl (5.003.07-8) unstable; urgency=low

  * How'd that get in there?
    Somehow a static version of postinst crept into the dist such that it
    depended on 5.00320 and i386.  *embarrased*

 -- Darren Stalder <torin@daft.com>  Sat, 8 Mar 1997 14:06:21 -0800

perl (5.003.07-7) unstable; urgency=low

  * Compile the perl library with -D_REENTRANT for LinuxThreads.  It's
    still dangerous and there are problems with MULTIPLICITY (which this
    isn't compiled with) as well.
  * Sent the output of the various rmdir -p's in postinst to /dev/null so
    that people don't see old gunk.
  * Included target to add a comment to the changelog so that an automatic
    package from untarring this in a new perl subversion works with the
    correct version.

 -- Darren Stalder <torin@daft.com>  Mon, 3 Mar 1997 01:35:20 -0800

perl (5.003.07-6) unstable; urgency=low

  * Changed perl, perl-suid, and perl-debug to section interpreters.
    Changed perl-base to section base.
  * Changed rules to determine the perl version dynamically so that it
    doesn't have to be editted for each new version.
  * Rebuld and upload so that perl will just pre-depend on libc5.4 rather
    than libc5.4.17-1.  This and -5 were destined for stable and 5.4.17-1
    isn't available for that.

 -- Darren Stalder <torin@daft.com>  Fri, 17 Jan 1997 19:04:13 -0800

perl (5.003.07-5) unstable; urgency=low

  * Moved config.over.MK to the debian directory so that all the files
    that I add are there.
  * Just ignore the mkdir on /usr/local as the easiest solution to the
    NFS-ro /usr/local problem.  Suggestion by Guy Maor <maor@ece.utexas.edu>.

 -- Darren Stalder <torin@daft.com>  Fri, 10 Jan 1997 02:13:22 -0800

perl (5.003.07-4) unstable; urgency=low

  * Fixed problem with suidperl.  It will actually run suid now.

 -- Darren Stalder <torin@daft.com>  Sun, 15 Dec 1996 23:56:59 -0800

perl (5.003.07-3) unstable; urgency=low

  * Add check to postinst to check for old perlconfig created include
    directories and removed them.
  * Made perlbase's Config.pm use the correct install paths
  * Made perl provide/replace/conflict with perlbase to replace it
    properly
  * No longer put libperl.a in suidperl since we not doing shared perl.

 -- Darren Stalder <torin@daft.com>  Thu, 12 Dec 1996 23:40:09 -0800

perl (5.003.07-2) unstable; urgency=low

  * Changed Perl to provide io as well as conflict with it since it's been
    subsumed into the main perl distribution.
  * Applied patch from Nick to make use FileHandle; work transparently
    although is should be use IO::Handle (or other appropriate IO::)
  * Applied patch from Randy so that use sigtrap doesn't complain anymore.
  * Applied patch from Paul that changes use strict tie; into a warning.
  * Changed perl back to a static libperl
  * Developed and packaged a perl-base to go on the base-floppies.

 -- Darren Stalder <torin@daft.com>  Thu, 21 Nov 1996 04:13:51 -0800

perl (5.003.07-1) unstable; urgency=medium

  * added code to postinst/prerm that only creates the empty
    /usr/local/lib/site_perl directory if /usr/local/lib is writable by
    root (fixes Bug #5003)
  * Updated to dpkg standards version 2.1.1.0  (fixes Bugs #3874, 4709)
  * Pre-generated all the *.ph files that people will probably need.  The
    correct asm directory will have a symbolic link set during postinst.
    (fixes Bugs #4493, 4739, 1856, 3770, 3277, 3803, 3814, 1099, 3784,
     1201, 1170, 3908, 2405, 4717, 2184, 1411, 2440)
    I wonder if this is a record for the most number of bugs fixed by a
    change.
  * Changed debian.rules to generate a shared libperl for the main
    executable with a static suidperl and debugperl.  This should help
    Fast-CGI, nvi, and if folks are using the compiler.
  * Edited the copyright file to reflect current reality rather than
    bygone days (fixes Bug #2589)
  * Added Pre-depends: ldso to control file in case the user upgrades ldso
    at the same time they upgrade Perl. (fixes Bug #2589)
  * Made sure that all files in the examples directory
    (/usr/doc/perl/examples) were readable (fixes Bug #3995, 4615, 4734,
    4870)
  * Added symbolic link /usr/doc/perl/examples to point to the examples
    directory. (fixes Bug #3997)  (this is obsoleted by new standards)

 -- Darren Stalder <torin@daft.com>  Mon, 28 Oct 1996 05:34:26 -0800

Perl 5.003 Debian 2 Mon Jul  1 01:27:23 1996  Darren Stalder  <torin@daft.com>

	* Changed Depends: libc5, libdb1, libgdbm1 to Pre-Depends
	* Added check for pre-depends support into preinst
	* Added a link to ../usr/bin/perl from /bin/perl
	* Had Configure undef CSH so that we don't need to depend on csh
	  anymore.

Perl 5.003 Debian 1 Tue Jun 25 02:25:00 1996  Darren Stalder  <torin@daft.com>

	* Added patches from Charles Bailey to bring Perl up to 5.003
	* Included patch set from Andy Dougherty to fix gconvert problem.

Perl 5.002 Debian 10 Thu Jun  6 01:05:36 1996  Darren Stalder  <torin@daft.com>

	* The permissions of many of the files were set right.  Fix in
	  debian.rules so this can't happen again.

Perl 5.002 Debian 9 Tue Jun  4 02:00:00 1996  Darren Stalder  <torin@daft.com>

	* Changed recommends of perl from source | includes to libc5-dev
	  in accord with where the include files actually come from
	* Added the following Priority fields: Perl - Important (from
	  Packages), perl-suid - Standard, perl-debug - Optional
	* use dpkg-name instead of a manual move

Perl 5.002 Debian 9 Wed May  1 00:13:32 1996  Darren Stalder  <torin@daft.com>

	* Changed the '_' in the the package names to '-' per Ian Jackson.

Perl 5.002 Debian 8 Sun Apr 28 18:28:34 1996  Darren Stalder  <torin@daft.com>

	* Added Source and Section fields to all of the control files.

Perl 5.002 Debian 8 Fri Apr 26 23:59:47 1996  Darren Stalder  <torin@daft.com>

	* Added tcsh as well as c-shell to the dependency list.  I'll
	  remove the tcsh once c-shell is provided by it.
	* Changed the suidperl from being a question in the postinst to
	  being it's own package.
	* Added perld (debugging perl) as a package.  Both of these are
	  dependent on the specific version of perl.  We'll see if this
	  causes a problem in upgrading.
	* Changed mail address in postinst to debian-bugs@pixar.com.  I've
	  got to do something about perlconfig

Perl 5.002 Debian 8 Wed Apr 17 02:48:46 1996  Darren Stalder  <torin@daft.com>

	* Changed the tcsh dependency to c-shell.
	* Added the dosuid define to Configure so that perl would once
	  again create a suidperl.  It was dropped from the upstream
	  release.  There is a question in the postinst that asks if you
	  want it or not.

Perl 5.002 Debian 8 Mon Mar 11 23:01:27 1996  Darren Stalder  <torin@daft.com>

	* Added dependency on tcsh until the globbing works without
	  calling csh.

Perl 5.002 Debian 7 Fri Feb 23 21:41:04 1996  Darren Stalder  <torin@daft.com>
	* Added changes from the m68k project to make perl compile cleanly on m68k

Perl 5.002 Debian 6 Thu Feb  8 07:42:52 1996  Darren Stalder  <torin@daft.com>

	* Patch from Andreas from Test::Harness for where libwww tickled
	  some bugs.

Perl 5.002 Debian 6 Tue Feb  6 21:20:37 1996  Darren Stalder  <torin@daft.com>

	* Paul patched his modules so they comply with version-checking
	  and makes some of them strict clean
	* Paul patched xsubpp to allow for empty prototypes (1.933)
	* Patch from Larry to fix a broken study (it didn't know when a
	  string was modified)
	* Patch from dean to shutup warnings from File:Path

Perl 5.002 Debian 5 Tue Feb  6 03:52:37 1996  Darren Stalder  <torin@daft.com>

	* Implemented basic (sev 1) changes to Config.pm for initial fix
	  on Bug #1916.  The debian install paths are no longer embedded
	  in it.

Perl 5.002 Debian 5 Mon Feb  5 19:02:01 1996  Darren Stalder  <torin@daft.com>

	* Changed to new debian release number since the beta level
	  changed
	* Larry released beta3
	* Some extra configure variables creeped into Configure.  Fixed by
	  Tim
	* Revamped 32bit overflow patch for beta3 from Chip
	* Don't allow globbing to take place on open if strict refs is in
	  place
	* Andreas upgraded Test::Harness to 1.06
	* Selfstubber nees to tell Exporter that it's autoloaded (andreas)
	* Fix so that reading the _DATA_ file handle doesn't freeze at EOF
	  (Chip)
	* debugger still had old version at the end.  Deleted (Ilya)
	* patch to avoid segv's in certain globs (Chip)
	* make autoloader warnings go away (Ilya)
	* fix to Makefile.SH so that you don't *have* to have . in your
	  path (Roderick Shertler)
	* Dean upgraded h2xs to 1.15
	
Perl 5.002 Debian 4 Sat Feb  3 02:10:40 1996  Darren Stalder  <torin@daft.com>

	* Ilya released a new version of the debugger
	* A SEGV based on magic is fixed with a patch from Chip

Perl 5.002 Debian 4 Tue Jan 30 01:08:52 1996  Darren Stalder  <torin@daft.com>

	* Paul upgraded xsubpp to 1.932
	* The documentation for the -M switch had been dropped somewhere.
	  This puts it back in.  (from Tom)
	* $@ would append to itself with each die

Perl 5.002 Debian 4 Fri Jan 26 03:15:26 1996  Darren Stalder  <torin@daft.com>

	* perlxs.pod documentation patch by Dean

Perl 5.002 Debian 4 Wed Jan 24 00:45:04 1996  Darren Stalder  <torin@daft.com>

	* Andy added an extra $ to nm when he applied my patch - fixed
	* Paul upgraded xsubpp to 1.931
	* Started using the debian-extract-changes.pl from the libdb package

Perl 5.002 Debian 4 Tue Jan 23 11:43:51 1996  Darren Stalder  <torin@daft.com>

	* Ilya fixed parts of the Readline pod docs
	* Andy left out a piece on the pod/Makefile patch
	* patch to DBL_BIG in case someone tries to build this with a.out

Perl 5.002 Debian 4 Mon Jan 22 03:22:34 1996  Darren Stalder  <torin@daft.com>

	* Upgraded to perl5.002beta2 from Andy
	* Added in the pod fixes from Tom
	* Upgraded xsubpp to 1.930 from Paul
	* The debugger was added in twice in 2b2, patch2b2a fixes this
	* Added a pod/Makefile fix from Andy
	* Dean upgraded h2x2 to version 1.14 - patched

Perl 5.002 Debian 4 Wed Jan 10 04:36:02 1996  Darren Stalder  <torin@daft.com>

	* Added patches for the following:
	  hex('80000000'), 0x80000000 should be the same - Chip Salzenberg
	  a variety of fixes for File::Find - Tim Bunce
	  perlembed.pod is less misleading  - Tim Bunce
	  fixes for perlre.pod and perl.pod - Hallvard B Furuseth

Perl 5.002 Debian 4 Sun Jan  7 02:47:14 1996  Darren Stalder  <torin@daft.com>

	* Upgraded to the upstream version of perl5.002beta1h from Andy
	* Removed the a.out generation from debian.rules since I'm not
	  making a.out packages anymore
	* Changed pod/Makefile from PERL = perl to PERL = ../miniperl so
	  that a build will work if you don't have perl installed already
	* Changed installperl to not try to guess about links if you
	  installing to a different directory than you will be running
	  from (debian-tmp/usr/bin)

Perl 5.002 Debian 4 Fri Dec 29 23:57:14 1995  Darren Stalder  <torin@daft.com>

	* Added a check to see if /usr/local/include is there before
	  attempting to build .ph files from the .h files there (Bug #1856)

Perl 5.002 Debian 4 Fri Dec 22 01:39:08 1995  Darren Stalder  <torin@daft.com>

	* Added the patch 5.002b1g from Tom - a documentation only patch

Perl 5.002 Debian 3 Tue Dec 19 01:47:19 1995  Darren Stalder  <torin@daft.com>

	* Perl now uses the new sonames for libgdbm and libdb with
	  dependencies on the new names (libdb1 and libgdbm1)
	
Perl 5.002 Debian 3 Mon Dec 18 03:23:04 1995  Darren Stalder  <torin@daft.com>

	* Summary of additions:
	  Added patches a-f from Andy
	  Applied the patch to implement Safe perl that will be coming out
	  soon.
	  Applied some documentation patches - perldata/dsc/mod/ref by
	  TomC, perlembed by JonO, tiehash by RandyR, and perlxs by DeanR
	* Had to cruft up the Configure script so that it does an nm on
	  static libs and an nm -D on shared libs.  I thought just nm
	  should work on both.

Perl 5.002 Debian 2 Mon Nov 27 02:34:59 1995  Darren Stalder  <torin@daft.com>

	* Removed find lines in debian.rules binary install since
	  installperl does a good job of it
	* Removed find lines in postinst/perlconfig since the include file
	  permissions and modes should be fine.
	* moved /usr/doc/perl/example_code to /usr/doc/examples/perl
	* Changed reference in example README to 'eg' directory to
	  examples directory
	* Changed some bad paths in example code directory
	* Had install check and not ask about installing in odd places if
	  debian-tmp is in the install-path

Perl 5.002 Debian 1 Sat Nov 25 01:05:15 1995  Darren Stalder  <torin@daft.com>

	* Removed manual generation of manpages in debian.rules file.  Now
	  just call ./installman with the appropriate arguments.
	* Changed extensions for man1 pages to 1p and man3 pages to 3pm
	* Changed Configure so that it actually listens when you tell it
	  what extensions to use for for man1 and man3.
	* Changed references to /usr/local and perl5.000 in the man pages
	* Changed references in scripts from /usr/local to /usr
	* Setup config.over file to fix-up config.sh to install into
	  debian-tmp/usr/* instead of trying to do it in sh.  The shared
	  libs weren't going in the right place.
	* Generated absolute path in config.over since the install runs
	  from many different subdirectoris

Perl 5.002 Debian 1 Wed Nov 22 20:42:34 1995  Darren Stalder <torin@daft.com>
	* Applied some doc changes to perlre.pod

Perl 5.002 Debian 1 Tue Nov 21 02:57:54 1995  Darren Stalder  <torin@daft.com>

	* Updated to 5.002beta1.
	* Changed the prerm/postinst scripts to reflect the new version
	  specific *.ph directories
	* Added dependencies on libgdbm and libdb, giving support for
	  those databases.
	* Removed gdbm capability from aout version.  User can add it if
	  necessary without recompiling perl.
	* SDBM problem went away with patchlevel 2.

Perl 5.002 Debian 1 Sat Nov 18 00:16:15 1995  Darren Stalder  <torin@daft.com>

	* I (Darren Stalder) took over as maintainer of Perl.
	* Put quotes around $Config{archlibexp} in h2ph.PL to prevent -w
	  warnings.
	* Changed the various debian files to reflect the new status.
	* Changed the debian.rules to use elf as the primary development
	  platform with a.out being secondary.
	* Having problems with SDBM.

Perl 5.001 Debian 7 (5.001n) - ??-??-95 Ray Dassen <jdassen@wi.LeidenUniv.nl>
* UNRELEASED
* Longer Description field in control file.
* Changed Maintainer field to myself. This package should still be considered
  orphaned though.
* a.out version now does dynamic loading via libdld.

Perl 5.001 Debian 6 (5.001n) - 04-11-95 Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Updated to 5.001n: big patch, small problems remain.
* debian.rules now passes definitions to Configure, instead of running
  Configure with a modified hints/linux.sh.
* Use a variable in debian.rules to test the binary format.
* With ELF, DB_File support is disabled (rather ad hoc).
* Use softlinks for suidperl and perl<version>.
* Added explicit Depends: elf-libc, which was implicit (via elf-libgdbm).

Perl 5.001 Debian 5 (5.001m) - 16-10-95 Ray Dassen <jdassen@wi.LeidenUniv.nl>
* ELF version has GDBM support; depends on elf-libgdbm
* Diff now relative to Andy Dougherty's patches (these are unofficial, but
  de facto standard).

Perl 5.001 Debian 4 - 13-10-95 Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Interim release, since perl appears to be orphaned.
* Updated to 5.001m.

Perl 5.001 Debian 3 - 5/9/95 Carl Streeter <streeter@cae.wisc.edu>
* Fixed Bug#219.  h2ph was making output which didn't work.
* put magic in the postinst to fix it.  This opens the can
* of worms whereby I fix all of h2ph's messups.  Ugh.

Perl 5.001 Debian 2 - 5/8/95 Carl Streeter <streeter@cae.wisc.edu>
* Added dialog.pl interface to dialog for Jim Robinson

Perl 5.001 Debian 1 - 3/1/95 Carl Streeter <streeter@cae.wisc.edu>
* Updated perl version to 5.001.
* Added black magic to figure out if a kernel tree was installed
* Yelled a lot if one wasn't
* added unofficial patches a-e from perl5-porters
* added 'perlconfig' script to generate all possible header files
  (Just a copy of postinst, really)
* perl now passes all of the tests.

Perl 5.000 Debian 5 - 3/1/95 Carl Streeter <streeter@cae.wisc.edu>
* fixed bug in h2ph handling on subdirectories
* merged all of the unofficial patches from the perl5-porters mailing list.

Perl 5.000 Debian 4 - 3/1/95 Carl Streeter <streeter@cae.wisc.edu>
* h2ph now makes all useful headers.

Perl 5.000 Debian 3 - 2/28/95 Carl Streeter <streeter@cae.wisc.edu>
* called h2ph to make the handy perl headers.
* Put the example code and emacs modes in /usr/doc

Perl 5.000 Debian 2 - 2/27/95 Carl Streeter <streeter@cae.wisc.edu>
* generally fixed it up so it was useful for debian.

Perl 5.000 Debian 1 - Robert Sanders <Robert.Sanders@linux.org>
* Initial release.

Local variables:
mode: debian-changelog
End:
